/*
 * $Id: Group.java,v 1.6 2007/05/15 16:01:59 bacon Exp $
 */

package com.unimar.shipneeds;

public class Group
{
	private String name;
	private String longName;
	private String email;
	private String address;
	private String telno1;
	private String telno2;
	private String telno3;
	private Role   role;

	public Group ()
	{
		clear ();
	}

	public Group (Group group)
	{
		copy (group);
	}

	public void copy (Group group)
	{
		this.name = group.name;
		this.longName = group.longName;
		this.email = group.email;
		this.address = group.address;
		this.telno1 = group.telno1;
		this.telno2 = group.telno2;
		this.telno3 = group.telno3;
		this.role.copy (group.role);
	}

	public void clear ()
	{
		this.name = "";
		this.longName = "";
		this.email = "";
		this.address = "";
		this.telno1 = "";
		this.telno2 = "";
		this.telno3 = "";
		this.role = new Role ();
	}

	public boolean equals (Group group)
	{
		return this.name.equals(group.name) &&
		       this.longName.equals(group.longName) &&
		       this.email.equals(group.email) &&
		       this.address.equals(group.address) &&
		       this.telno1.equals(group.telno1) &&
		       this.telno2.equals(group.telno2) &&
		       this.telno3.equals(group.telno3) &&
		       this.role.equals(group.role);
	}

	public String getName ()
	{
		return this.name;
	}

	public void setName (String s)
	{
		this.name = s;
	}

	public String getLongName ()
	{
		return this.longName;
	}

	public void setLongName (String s)
	{
		this.longName = s;
	}

	public String getEmail ()
	{
		return this.email;
	}

	public void setEmail (String s)
	{
		this.email = s;
	}

	public String getAddress ()
	{
		return this.address;
	}

	public void setAddress (String s)
	{
		this.address = s;
	}

	public String getTelno1 ()
	{
		return this.telno1;
	}

	public void setTelno1 (String s)
	{
		this.telno1 = s;
	}

	public String getTelno2 ()
	{
		return this.telno2;
	}

	public void setTelno2 (String s)
	{
		this.telno2 = s;
	}

	public String getTelno3 ()
	{
		return this.telno3;
	}

	public void setTelno3 (String s)
	{
		this.telno3 = s;
	}

	public Role getRole ()
	{
		return this.role;
	}

	public void setRole (Role r)
	{
		this.role = r;
	}
}
