/*
 * $Id: Rfq.java,v 1.6 2007/05/16 12:08:41 bacon Exp $
 */

package com.unimar.shipneeds;

import java.util.List;
import java.util.LinkedList;

public class Rfq extends RfqHeader
{
	private List items;
	
	public Rfq ()
	{
		super ();
		clear ();
	}
 
	public Rfq (Rfq rfq)
	{
		super (rfq);
		copy (rfq);
	}
	
	public void clear ()
	{
		super.clear ();
		this.items = new LinkedList ();
	}

	public void copy (Rfq rfq)
	{
		super.copy (rfq);
		this.items = rfq.items;
	}

	public RfqHeader getHeader ()
	{
		return (RfqHeader)this;
	}

	public void setHeader (RfqHeader header)
	{
		super.copy (header);
	}

	public List getItems ()
	{
		return this.items;
	}

	public void setItems (List items)
	{
		this.items = items;
	}
}
