/*
 * $Id: RfqItem.java,v 1.2 2007/05/15 16:01:59 bacon Exp $
 */

package com.unimar.shipneeds;

public class RfqItem
{
	private long rfqno = -1;
	private int  seqno = -1;
	private String longname;
	private String code;
	private String preferredBrand;
	private int quantity = 0;
	
	public RfqItem ()
	{
		clear ();
	}
 
	public RfqItem (RfqItem item)
	{
		copy (item);
	}

	public void clear ()
	{
		this.rfqno = 0;
		this.seqno = 0;
		this.longname = "";
		this.code = "";
		this.preferredBrand = "";
		this.quantity = 0;
	}

	public void copy (RfqItem item)
	{
		this.rfqno = item.rfqno;
		this.seqno = item.seqno;
		this.longname = item.longname;
		this.code = item.code;
		this.preferredBrand = item.preferredBrand;
		this.quantity = item.quantity;
	}
 
	public long getRfqno ()
	{
		return this.rfqno;
	}
	
	public void setRfqno (long rfqno)
	{
		this.rfqno = rfqno;
	}

	public int getSeqno ()
	{
		return this.seqno;
	}
	
	public void setSeqno (int seqno)
	{
		this.seqno = seqno;
	}
	
	public String getLongName ()
	{
		return this.longname;
	}
	
	public void setLongName (String longname)
	{
		this.longname = longname;
	}
	
	public String getCode ()
	{
		return this.code;
	}
	
	public void setCode (String code)
	{
		this.code = code;
	}
	
	public String getPreferredBrand ()
	{
		return this.preferredBrand;
	}
	
	public void setPreferredBrand (String brand)
	{
		this.preferredBrand = brand;
	}
	
	public int getQuantity ()
	{
		return this.quantity;
	}
	
	public void setQuantity (int quantity)
	{
		this.quantity = quantity;
	}
}
