/*
 * $Id: UserProfile.java,v 1.3 2007/05/08 12:56:36 tomanish Exp $
 */

package com.unimar.shipneeds;

public class UserProfile
{
    public static final String DEFAULT_LOCALE = "en";
    
    private String locale;
    private String originatingPage;
    
    private String name;
    private String companyID;
    private String userID;
    
    public String getName() {
        return name;
    }
    
    public String getCompanyID(){
        return companyID;
    }
    
    public String getUserID() {
        return userID;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    public void setCompanyID(String companyID) {
        this.companyID = companyID;
    }
    public void setUserID(String userID) {
        this.userID = userID;
    }
    
    
    
    public UserProfile ()
    {
	this.locale = DEFAULT_LOCALE;
    }
    
    public String getLocale ()
    {
	return this.locale;
    }
    
    public void setLocale (String locale)
    {
	this.locale = locale;
    }
    
    // originatingPage, in fact, is not a part of the user preference
    public String getOriginatingPage ()
    {
	return this.originatingPage;
    }
    
    public void setOriginatingPage (String page)
    {
	this.originatingPage = page;
    }
}
