/*
 * $Id: Role.java,v 1.1 2007/05/14 16:16:19 tomanish Exp $
 */

package com.unimar.shipneeds.model.businessobjects;

public class Role
{
	private String name;
	private String description;

	public Role ()
	{
		clear ();
	}

	public Role (Role role)
	{
		copy (role);
	}

	public void copy (Role role)
	{
		this.name = role.name;
		this.description = role.description;
	}

	public void clear ()
	{
		this.name = "";
		this.description = "";
	}

	public boolean equals (Role role)
	{
		return this.name.equals(role.name) &&
		       this.description.equals(role.description);
	}

	public String getName ()
	{
		return this.name;
	}

	public void setName (String s)
	{
		this.name = s;
	}

	public String getDescription ()
	{
		return this.description;
	}

	public void setDescription (String s)
	{
		this.description = s;
	}
}
