

package com.unimar.shipneeds.model.dataaccess;

import com.unimar.shipneeds.model.businessobjects.UserProfile;



public interface UserDAO {
    public UserProfile findUser(String userName) throws DAOException;
    public UserProfile[] findAllUser() throws DAOException;
    public void insertUser(UserProfile user) throws DAOException;
    public void updateUser(UserProfile user) throws DAOException;
    public void deleteUser(UserProfile user) throws DAOException;    
}
