<%@ page contentType="text/html" %>
<%@page pageEncoding="UTF-8"%>

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>

<f:view locale="#{userProfile.locale}">
    <f:loadBundle basename="labels" var="labels" />
    
    <html>
	<head>
	    <title><h:outputText value="#{labels.preference}" /></title>
	    <link rel="stylesheet" type="text/css" 
	   href="${pageContext.request.contextPath}/style.css">
	</head>
	
	<body>
	    
	    <h:form id="topbar">
		<%@ include file="../WEB-INF/jspf/topbar.jspf" %>
	    </h:form>
	    
	    <h:form>
		<h:outputText value="#{labels.languages}" />
		<h:selectOneRadio value="#{userProfile.locale}">
		    <f:selectItem itemValue="en_US" itemLabel="#{labels.english}" />
		    <f:selectItem itemValue="ko_KR" itemLabel="#{labels.korean}" />
		</h:selectOneRadio>
		<h:commandButton value="#{labels.done}"
		   action="#{userProfileHandler.updateProfile}" />
	    </h:form>
	</body>
    </html>
</f:view>

