/*
 * $Id: SupplierEditPage.java,v 1.6 2007/09/23 03:02:56 bacon Exp $
 */

package com.unimar.shipneeds.admin;

import com.sun.rave.web.ui.appbase.AbstractPageBean;
import com.sun.rave.web.ui.component.AddRemove;
import com.sun.rave.web.ui.component.Alert;
import com.sun.rave.web.ui.component.Body;
import com.sun.rave.web.ui.component.Button;
import com.sun.rave.web.ui.component.Checkbox;
import com.sun.rave.web.ui.component.DropDown;
import com.sun.rave.web.ui.component.Form;
import com.sun.rave.web.ui.component.Head;
import com.sun.rave.web.ui.component.HiddenField;
import com.sun.rave.web.ui.component.Html;
import com.sun.rave.web.ui.component.Link;
import com.sun.rave.web.ui.component.Message;
import com.sun.rave.web.ui.component.MessageGroup;
import com.sun.rave.web.ui.component.Page;
import com.sun.rave.web.ui.component.Property;
import com.sun.rave.web.ui.component.PropertySheet;
import com.sun.rave.web.ui.component.PropertySheetSection;
import com.sun.rave.web.ui.component.TextArea;
import com.sun.rave.web.ui.component.TextField;
import com.sun.rave.web.ui.model.MultipleSelectOptionsList;
import com.sun.rave.web.ui.model.Option;
import com.sun.rave.web.ui.model.SingleSelectOptionsList;
import com.unimar.shipneeds.ApplicationBean1;
import com.unimar.shipneeds.RequestBean1;
import com.unimar.shipneeds.SessionBean1;
import com.unimar.shipneeds.model.Country;
import com.unimar.shipneeds.model.Port;
import com.unimar.shipneeds.model.SupplierCategory;
import com.unimar.shipneeds.trans.AdminTransaction;
import com.unimar.shipneeds.model.Supplier;
import com.unimar.shipneeds.trans.TransactionException;
import com.unimar.shipneeds.util.Resource;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.faces.FacesException;
import javax.faces.component.html.HtmlPanelGrid;
import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;

/**
 * <p>Page bean that corresponds to a similarly named JSP page.  This
 * class contains component definitions (and initialization code) for
 * all components that you have defined on this page, as well as
 * lifecycle methods and event handlers where you may add behavior
 * to respond to incoming events.</p>
 */
public class SupplierEditPage extends AbstractPageBean
{
	// <editor-fold defaultstate="collapsed" desc="Managed Component Definition">
	private int __placeholder;
	
	/**
	 * <p>Automatically managed component initialization.  <strong>WARNING:</strong>
	 * This method is automatically generated, so any user-specified code inserted
	 * here is subject to being replaced.</p>
	 */
	private void _init () throws Exception
	{
	}
	
	private Page page1 = new Page ();
	
	public Page getPage1 ()
	{
		return page1;
	}
	
	public void setPage1 (Page p)
	{
		this.page1 = p;
	}
	
	private Html html1 = new Html ();
	
	public Html getHtml1 ()
	{
		return html1;
	}
	
	public void setHtml1 (Html h)
	{
		this.html1 = h;
	}
	
	private Head head1 = new Head ();
	
	public Head getHead1 ()
	{
		return head1;
	}
	
	public void setHead1 (Head h)
	{
		this.head1 = h;
	}
	
	private Link link1 = new Link ();
	
	public Link getLink1 ()
	{
		return link1;
	}
	
	public void setLink1 (Link l)
	{
		this.link1 = l;
	}
	
	private Body body1 = new Body ();
	
	public Body getBody1 ()
	{
		return body1;
	}
	
	public void setBody1 (Body b)
	{
		this.body1 = b;
	}
	
	private Form form1 = new Form ();
	
	public Form getForm1 ()
	{
		return form1;
	}
	
	public void setForm1 (Form f)
	{
		this.form1 = f;
	}

	private TextField supplierNameTextField = new TextField ();

	public TextField getSupplierNameTextField ()
	{
		return supplierNameTextField;
	}

	public void setSupplierNameTextField (TextField tf)
	{
		this.supplierNameTextField = tf;
	}

	private TextField supplierContactTextField = new TextField ();

	public TextField getSupplierContactTextField ()
	{
		return supplierContactTextField;
	}

	public void setSupplierContactTextField (TextField tf)
	{
		this.supplierContactTextField = tf;
	}

	private TextField supplierDepartmentTextField = new TextField ();

	public TextField getSupplierDepartmentTextField ()
	{
		return supplierDepartmentTextField;
	}

	public void setSupplierDepartmentTextField (TextField tf)
	{
		this.supplierDepartmentTextField = tf;
	}

	private TextField supplierAddressTextField = new TextField ();

	public TextField getSupplierAddressTextField ()
	{
		return supplierAddressTextField;
	}

	public void setSupplierAddressTextField (TextField tf)
	{
		this.supplierAddressTextField = tf;
	}

	private TextField supplierZipcodeTextField = new TextField ();

	public TextField getSupplierZipcodeTextField ()
	{
		return supplierZipcodeTextField;
	}

	public void setSupplierZipcodeTextField (TextField tf)
	{
		this.supplierZipcodeTextField = tf;
	}

	private TextField supplierEmailTextField = new TextField ();

	public TextField getSupplierEmailTextField ()
	{
		return supplierEmailTextField;
	}

	public void setSupplierEmailTextField (TextField tf)
	{
		this.supplierEmailTextField = tf;
	}

	private TextField supplierTelnoTextField = new TextField ();

	public TextField getSupplierTelnoTextField ()
	{
		return supplierTelnoTextField;
	}

	public void setSupplierTelnoTextField (TextField tf)
	{
		this.supplierTelnoTextField = tf;
	}

	private TextField supplierFaxnoTextField = new TextField ();

	public TextField getSupplierFaxnoTextField ()
	{
		return supplierFaxnoTextField;
	}

	public void setSupplierFaxnoTextField (TextField tf)
	{
		this.supplierFaxnoTextField = tf;
	}

	private TextField supplierTelexTextField = new TextField ();

	public TextField getSupplierTelexTextField ()
	{
		return supplierTelexTextField;
	}

	public void setSupplierTelexTextField (TextField tf)
	{
		this.supplierTelexTextField = tf;
	}

	private TextArea supplierRemarksTextArea = new TextArea ();

	public TextArea getSupplierRemarksTextArea ()
	{
		return supplierRemarksTextArea;
	}

	public void setSupplierRemarksTextArea (TextArea ta)
	{
		this.supplierRemarksTextArea = ta;
	}

	private Message message1 = new Message ();

	public Message getMessage1 ()
	{
		return message1;
	}

	public void setMessage1 (Message m)
	{
		this.message1 = m;
	}

	private Message message2 = new Message ();

	public Message getMessage2 ()
	{
		return message2;
	}

	public void setMessage2 (Message m)
	{
		this.message2 = m;
	}

	private Message message3 = new Message ();

	public Message getMessage3 ()
	{
		return message3;
	}

	public void setMessage3 (Message m)
	{
		this.message3 = m;
	}

	private Button saveButton = new Button ();

	public Button getSaveButton ()
	{
		return saveButton;
	}

	public void setSaveButton (Button b)
	{
		this.saveButton = b;
	}

	private Button cancelButton = new Button ();

	public Button getCancelButton ()
	{
		return cancelButton;
	}

	public void setCancelButton (Button b)
	{
		this.cancelButton = b;
	}

	private Checkbox supplierActiveCheckbox = new Checkbox ();

	public Checkbox getSupplierActiveCheckbox ()
	{
		return supplierActiveCheckbox;
	}

	public void setSupplierActiveCheckbox (Checkbox c)
	{
		this.supplierActiveCheckbox = c;
	}

	private TextField supplierIdTextField = new TextField ();

	public TextField getSupplierIdTextField ()
	{
		return supplierIdTextField;
	}

	public void setSupplierIdTextField (TextField tf)
	{
		this.supplierIdTextField = tf;
	}

	private HtmlPanelGrid gridPanel2 = new HtmlPanelGrid ();

	public HtmlPanelGrid getGridPanel2 ()
	{
		return gridPanel2;
	}

	public void setGridPanel2 (HtmlPanelGrid hpg)
	{
		this.gridPanel2 = hpg;
	}

	private Message message4 = new Message ();

	public Message getMessage4 ()
	{
		return message4;
	}

	public void setMessage4 (Message m)
	{
		this.message4 = m;
	}

	private Message message5 = new Message ();

	public Message getMessage5 ()
	{
		return message5;
	}

	public void setMessage5 (Message m)
	{
		this.message5 = m;
	}

	private Message message6 = new Message ();

	public Message getMessage6 ()
	{
		return message6;
	}

	public void setMessage6 (Message m)
	{
		this.message6 = m;
	}

	private Message message7 = new Message ();

	public Message getMessage7 ()
	{
		return message7;
	}

	public void setMessage7 (Message m)
	{
		this.message7 = m;
	}

	private Message message8 = new Message ();

	public Message getMessage8 ()
	{
		return message8;
	}

	public void setMessage8 (Message m)
	{
		this.message8 = m;
	}

	private Message message9 = new Message ();

	public Message getMessage9 ()
	{
		return message9;
	}

	public void setMessage9 (Message m)
	{
		this.message9 = m;
	}

	private Message message10 = new Message ();

	public Message getMessage10 ()
	{
		return message10;
	}

	public void setMessage10 (Message m)
	{
		this.message10 = m;
	}

	private Message message11 = new Message ();

	public Message getMessage11 ()
	{
		return message11;
	}

	public void setMessage11 (Message m)
	{
		this.message11 = m;
	}

	private Message message12 = new Message ();

	public Message getMessage12 ()
	{
		return message12;
	}

	public void setMessage12 (Message m)
	{
		this.message12 = m;
	}

	private Message message13 = new Message ();

	public Message getMessage13 ()
	{
		return message13;
	}

	public void setMessage13 (Message m)
	{
		this.message13 = m;
	}

	private DropDown countryNameDropDown = new DropDown ();

	public DropDown getCountryNameDropDown ()
	{
		return countryNameDropDown;
	}

	public void setCountryNameDropDown (DropDown dd)
	{
		this.countryNameDropDown = dd;
	}

	private HiddenField supplierIdHiddenField = new HiddenField ();

	public HiddenField getSupplierIdHiddenField ()
	{
		return supplierIdHiddenField;
	}

	public void setSupplierIdHiddenField (HiddenField hf)
	{
		this.supplierIdHiddenField = hf;
	}

	private HiddenField viewFilterStringHiddenField = new HiddenField ();

	public HiddenField getViewFilterStringHiddenField ()
	{
		return viewFilterStringHiddenField;
	}

	public void setViewFilterStringHiddenField (HiddenField hf)
	{
		this.viewFilterStringHiddenField = hf;
	}

	private HiddenField topSupplierStringHiddenField = new HiddenField ();

	public HiddenField getTopSupplierStringHiddenField ()
	{
		return topSupplierStringHiddenField;
	}

	public void setTopSupplierStringHiddenField (HiddenField hf)
	{
		this.topSupplierStringHiddenField = hf;
	}

	private AddRemove supplierCategoriesAddRemoveList = new AddRemove ();

	public AddRemove getSupplierCategoriesAddRemoveList ()
	{
		return supplierCategoriesAddRemoveList;
	}

	public void setSupplierCategoriesAddRemoveList (AddRemove ar)
	{
		this.supplierCategoriesAddRemoveList = ar;
	}

	private MultipleSelectOptionsList supplierCategoriesAddRemoveListOptionsList = new MultipleSelectOptionsList ();

	public MultipleSelectOptionsList getSupplierCategoriesAddRemoveListOptionsList ()
	{
		return supplierCategoriesAddRemoveListOptionsList;
	}

	public void setSupplierCategoriesAddRemoveListOptionsList (MultipleSelectOptionsList msol)
	{
		this.supplierCategoriesAddRemoveListOptionsList = msol;
	}

	private Message message14 = new Message ();

	public Message getMessage14 ()
	{
		return message14;
	}

	public void setMessage14 (Message m)
	{
		this.message14 = m;
	}

	private PropertySheet propertySheet1 = new PropertySheet ();

	public PropertySheet getPropertySheet1 ()
	{
		return propertySheet1;
	}

	public void setPropertySheet1 (PropertySheet ps)
	{
		this.propertySheet1 = ps;
	}

	private PropertySheetSection section1 = new PropertySheetSection ();

	public PropertySheetSection getSection1 ()
	{
		return section1;
	}

	public void setSection1 (PropertySheetSection pss)
	{
		this.section1 = pss;
	}

	private Property property1 = new Property ();

	public Property getProperty1 ()
	{
		return property1;
	}

	public void setProperty1 (Property p)
	{
		this.property1 = p;
	}

	private Property property2 = new Property ();

	public Property getProperty2 ()
	{
		return property2;
	}

	public void setProperty2 (Property p)
	{
		this.property2 = p;
	}

	private PropertySheetSection section2 = new PropertySheetSection ();

	public PropertySheetSection getSection2 ()
	{
		return section2;
	}

	public void setSection2 (PropertySheetSection pss)
	{
		this.section2 = pss;
	}

	private Property property3 = new Property ();

	public Property getProperty3 ()
	{
		return property3;
	}

	public void setProperty3 (Property p)
	{
		this.property3 = p;
	}

	private Property property4 = new Property ();

	public Property getProperty4 ()
	{
		return property4;
	}

	public void setProperty4 (Property p)
	{
		this.property4 = p;
	}

	private Property property5 = new Property ();

	public Property getProperty5 ()
	{
		return property5;
	}

	public void setProperty5 (Property p)
	{
		this.property5 = p;
	}

	private Property property6 = new Property ();

	public Property getProperty6 ()
	{
		return property6;
	}

	public void setProperty6 (Property p)
	{
		this.property6 = p;
	}

	private Property property7 = new Property ();

	public Property getProperty7 ()
	{
		return property7;
	}

	public void setProperty7 (Property p)
	{
		this.property7 = p;
	}

	private Property property8 = new Property ();

	public Property getProperty8 ()
	{
		return property8;
	}

	public void setProperty8 (Property p)
	{
		this.property8 = p;
	}

	private Property property9 = new Property ();

	public Property getProperty9 ()
	{
		return property9;
	}

	public void setProperty9 (Property p)
	{
		this.property9 = p;
	}

	private Property property10 = new Property ();

	public Property getProperty10 ()
	{
		return property10;
	}

	public void setProperty10 (Property p)
	{
		this.property10 = p;
	}

	private Property property11 = new Property ();

	public Property getProperty11 ()
	{
		return property11;
	}

	public void setProperty11 (Property p)
	{
		this.property11 = p;
	}

	private Property property12 = new Property ();

	public Property getProperty12 ()
	{
		return property12;
	}

	public void setProperty12 (Property p)
	{
		this.property12 = p;
	}

	private PropertySheetSection section3 = new PropertySheetSection ();

	public PropertySheetSection getSection3 ()
	{
		return section3;
	}

	public void setSection3 (PropertySheetSection pss)
	{
		this.section3 = pss;
	}

	private Property property13 = new Property ();

	public Property getProperty13 ()
	{
		return property13;
	}

	public void setProperty13 (Property p)
	{
		this.property13 = p;
	}

	private PropertySheetSection section4 = new PropertySheetSection ();

	public PropertySheetSection getSection4 ()
	{
		return section4;
	}

	public void setSection4 (PropertySheetSection pss)
	{
		this.section4 = pss;
	}

	private Property property14 = new Property ();

	public Property getProperty14 ()
	{
		return property14;
	}

	public void setProperty14 (Property p)
	{
		this.property14 = p;
	}

	private PropertySheetSection section5 = new PropertySheetSection ();

	public PropertySheetSection getSection5 ()
	{
		return section5;
	}

	public void setSection5 (PropertySheetSection pss)
	{
		this.section5 = pss;
	}

	private Property property15 = new Property ();

	public Property getProperty15 ()
	{
		return property15;
	}

	public void setProperty15 (Property p)
	{
		this.property15 = p;
	}

	private PropertySheetSection section6 = new PropertySheetSection ();

	public PropertySheetSection getSection6 ()
	{
		return section6;
	}

	public void setSection6 (PropertySheetSection pss)
	{
		this.section6 = pss;
	}

	private Property property16 = new Property ();

	public Property getProperty16 ()
	{
		return property16;
	}

	public void setProperty16 (Property p)
	{
		this.property16 = p;
	}

	private AddRemove supplierPortsAddRemoveList = new AddRemove ();

	public AddRemove getSupplierPortsAddRemoveList ()
	{
		return supplierPortsAddRemoveList;
	}

	public void setSupplierPortsAddRemoveList (AddRemove ar)
	{
		this.supplierPortsAddRemoveList = ar;
	}

	private MultipleSelectOptionsList supplierPortsAddRemoveListOptionsList = new MultipleSelectOptionsList ();

	public MultipleSelectOptionsList getSupplierPortsAddRemoveListOptionsList ()
	{
		return supplierPortsAddRemoveListOptionsList;
	}

	public void setSupplierPortsAddRemoveListOptionsList (MultipleSelectOptionsList msol)
	{
		this.supplierPortsAddRemoveListOptionsList = msol;
	}

	private Message message15 = new Message ();

	public Message getMessage15 ()
	{
		return message15;
	}

	public void setMessage15 (Message m)
	{
		this.message15 = m;
	}

	private MessageGroup messageGroup1 = new MessageGroup ();

	public MessageGroup getMessageGroup1 ()
	{
		return messageGroup1;
	}

	public void setMessageGroup1 (MessageGroup mg)
	{
		this.messageGroup1 = mg;
	}
	
	// </editor-fold>
	
	/**
	 * <p>Construct a new Page bean instance.</p>
	 */
	public SupplierEditPage ()
	{
	}
	
	/**
	 * <p>Callback method that is called whenever a page is navigated to,
	 * either directly via a URL, or indirectly via page navigation.
	 * Customize this method to acquire resources that will be needed
	 * for event handlers and lifecycle methods, whether or not this
	 * page is performing post back processing.</p>
	 *
	 * <p>Note that, if the current request is a postback, the property
	 * values of the components do <strong>not</strong> represent any
	 * values submitted with this request.  Instead, they represent the
	 * property values that were saved for this view when it was rendered.</p>
	 */
	public void init ()
	{
		// Perform initializations inherited from our superclass
		super.init ();
		// Perform application initialization that must complete
		// *before* managed components are initialized
		// TODO - add your own initialiation code here
		
		// <editor-fold defaultstate="collapsed" desc="Managed Component Initialization">
		// Initialize automatically managed components
		// *Note* - this logic should NOT be modified
		try
		{
			_init ();
		}
		catch (Exception e)
		{
			log ("SupplierEditPage Initialization Failure", e);
			throw e instanceof FacesException ? (FacesException) e: new FacesException (e);
		}
		
		// </editor-fold>
		// Perform application initialization that must complete
		// *after* managed components are initialized
		// TODO - add your own initialization code here
		
		initViews ();
		if (!isPostBack()) initData ();
	}

	private void initViews ()
	{
		FacesContext ctx = getFacesContext();
		SessionBean1 sb = getSessionBean1 ();
		AdminTransaction trans = sb.getAdminTransaction ();
		
		try
		{	
			initCountryNameDropDown (trans);
			initSupplierCategoriesAddRemoveList (trans);
			initSupplierPortsAddRemoveList (trans);
		}
		catch (Exception e)
		{
			this.error (
				Resource.getMessageString(ctx,"CannotLoadBasicData") +
				" - " + e.getMessage ());
		}

	}

	private void initData ()
	{
		FacesContext ctx = getFacesContext();
		ExternalContext ectx = ctx.getExternalContext ();
		SessionBean1 sb = getSessionBean1 ();
		AdminTransaction trans = sb.getAdminTransaction ();
			
		this.viewFilterString = (String)ectx.getRequestMap().get("viewFilterString");
		this.topSupplierString = (String)ectx.getRequestMap().get ("topSupplierString");
		
		String id = (String)ectx.getRequestMap().get("supplierId");
		if (id != null)
		{			
			try
			{
				supplier = trans.getSupplier (Long.parseLong (id));
				countryNameOptionsList.setSelectedValue (supplier.getCountry().getName());
				supplierCategoriesAddRemoveListOptionsList.setSelectedValue (supplier.getCategories().toNameArray());
				supplierPortsAddRemoveListOptionsList.setSelectedValue (supplier.getPorts().toNameArray());
			}
			catch (Exception e)
			{
				this.error (
					Resource.getMessageString(ctx,"CannotLoadData") +
					" - " + e.getMessage ());
			}
		}
	}
	
	private void initCountryNameDropDown (AdminTransaction trans) throws TransactionException
	{
		// set up country drop down 
		List countries = trans.getAllCountries ();
		Option[] countryNameOpts = new Option[countries.size()] ;
		
		int idx = 0;
		for (Iterator i = countries.iterator(); i.hasNext(); )
		{
			Country c = (Country)i.next ();
			countryNameOpts[idx++] = 
				new Option (c.getName(), c.getName());
		}
		countryNameOptionsList.setMultiple (false);
		countryNameOptionsList.setOptions (countryNameOpts);		
	}
	
	private void initSupplierCategoriesAddRemoveList (AdminTransaction trans) throws TransactionException
	{
		List supplierCategories = trans.getAllSupplierCategories ();
		Option[] categoryNameOpts = new Option[supplierCategories.size()];
			
		int idx = 0;
		for (Iterator i = supplierCategories.iterator(); i.hasNext (); )
		{
			SupplierCategory c = (SupplierCategory)i.next ();
			categoryNameOpts[idx++] = new Option (c.getName (), c.getName());
		}
		supplierCategoriesAddRemoveListOptionsList.setMultiple (true);
		supplierCategoriesAddRemoveListOptionsList.setOptions (categoryNameOpts);
	}
			
	private void initSupplierPortsAddRemoveList (AdminTransaction trans) throws TransactionException
	{
		List supplierPorts = trans.getAllPorts ();
		Option[] portNameOpts = new Option[supplierPorts.size()];

		int idx = 0;
		for (Iterator i = supplierPorts.iterator(); i.hasNext(); )
		{
			Port c = (Port)i.next ();
			portNameOpts[idx++] = new Option (c.getName (), c.getName());
		}

		supplierPortsAddRemoveListOptionsList.setMultiple (true);
		supplierPortsAddRemoveListOptionsList.setOptions (portNameOpts);
	}
	
	/**
	 * <p>Callback method that is called after the component tree has been
	 * restored, but before any event processing takes place.  This method
	 * will <strong>only</strong> be called on a postback request that
	 * is processing a form submit.  Customize this method to allocate
	 * resources that will be required in your event handlers.</p>
	 */
	public void preprocess ()
	{
	}
	
	/**
	 * <p>Callback method that is called just before rendering takes place.
	 * This method will <strong>only</strong> be called for the page that
	 * will actually be rendered (and not, for example, on a page that
	 * handled a postback and then navigated to a different page).  Customize
	 * this method to allocate resources that will be required for rendering
	 * this page.</p>
	 */
	public void prerender ()
	{
	}
	
	/**
	 * <p>Callback method that is called after rendering is completed for
	 * this request, if <code>init()</code> was called (regardless of whether
	 * or not this was the page that was actually rendered).  Customize this
	 * method to release resources acquired in the <code>init()</code>,
	 * <code>preprocess()</code>, or <code>prerender()</code> methods (or
	 * acquired during execution of an event handler).</p>
	 */
	public void destroy ()
	{
	}

	/**
	 * <p>Return a reference to the scoped data bean.</p>
	 */
	protected ApplicationBean1 getApplicationBean1 ()
	{
		return (ApplicationBean1)getBean("ApplicationBean1");
	}

	/**
	 * <p>Return a reference to the scoped data bean.</p>
	 */
	protected SessionBean1 getSessionBean1 ()
	{
		return (SessionBean1)getBean("SessionBean1");
	}

	/**
	 * <p>Return a reference to the scoped data bean.</p>
	 */
	protected RequestBean1 getRequestBean1 ()
	{
		return (RequestBean1)getBean("RequestBean1");
	}

	private SingleSelectOptionsList countryNameOptionsList = new SingleSelectOptionsList ();

	/**
	 * Getter for property countryNameOptionsList.
	 * @return Value of property countryNameOptionsList.
	 */
	public SingleSelectOptionsList getCountryNameOptionsList ()
	{
		return this.countryNameOptionsList;
	}

	/**
	 * Setter for property countryNameOptionsList.
	 * @param countryNameOptionsList New value of property countryNameOptionsList.
	 */
	public void setCountryNameOptionsList (SingleSelectOptionsList countryNameOptionsList)
	{
		this.countryNameOptionsList = countryNameOptionsList;
	}

	/**
	 * Holds value of property supplier.
	 */
	private Supplier supplier = new Supplier ();

	/**
	 * Getter for property supplier.
	 * @return Value of property supplier.
	 */
	public Supplier getSupplier ()
	{
		return this.supplier;
	}

	/**
	 * Setter for property supplier.
	 * @param supplier New value of property supplier.
	 */
	public void setSupplier (Supplier supplier)
	{
		this.supplier = supplier;
	}

	public String saveButton_action ()
	{
		FacesContext ctx = getFacesContext ();
		SessionBean1 sb = this.getSessionBean1();
		AdminTransaction trans = sb.getAdminTransaction ();
		
		try 
		{ 
			// contrust the country selection
			this.supplier.getCountry().setName (
				(String)countryNameOptionsList.getSelectedValue());

			// contrust the category selection
			Object[] categories = (Object[])supplierCategoriesAddRemoveListOptionsList.getSelectedValue ();
			if (categories != null)
			{
				Supplier.Categories sc = this.supplier.new Categories ();
				for (int i = 0; i < categories.length; i++) 
				{
					SupplierCategory c = new SupplierCategory ();
					c.setName ((String)categories[i]);
					sc.add (c);
				}
				this.supplier.setCategories (sc);
			}

			// contrust the port selection
			Object[] ports = (Object[])supplierPortsAddRemoveListOptionsList.getSelectedValue ();
			if (ports != null)
			{
				Supplier.Ports sp = this.supplier.new Ports ();
				for (int i = 0; i < ports.length; i++) 
				{
					Port p = new Port ();
					p.setName ((String)ports[i]);
					sp.add (p);
				}
				this.supplier.setPorts (sp);
			}
		
			trans.storeSupplier (this.supplier); 
		}
		catch (Exception e)
		{
			this.error (
				Resource.getMessageString(ctx,"CannotStoreData") +
				" - " + e.getMessage ());
			return null;
		}
		
		ExternalContext ectx = ctx.getExternalContext();
		Map map = ectx.getRequestMap();
		
		if (viewFilterString != null)
			map.put("viewFilterString", viewFilterString);		
		if (topSupplierString != null)
			map.put ("topSupplierString", topSupplierString);
		
		return "view";
	}
	
	public String cancelButton_action ()
	{
		FacesContext ctx = getFacesContext ();
		ExternalContext ectx = ctx.getExternalContext();
		Map map = ectx.getRequestMap();
		
		if (viewFilterString != null)
			map.put("viewFilterString", viewFilterString);		
		if (topSupplierString != null)
			map.put ("topSupplierString", topSupplierString);
		
		return "view";
	}

	/**
	 * Holds value of property viewFilterString.
	 */
	private String viewFilterString;

	/**
	 * Getter for property viewFilterString.
	 * @return Value of property viewFilterString.
	 */
	public String getViewFilterString ()
	{
		return this.viewFilterString;
	}

	/**
	 * Setter for property viewFilterString.
	 * @param viewFilterString New value of property viewFilterString.
	 */
	public void setViewFilterString (String viewFilterString)
	{
		this.viewFilterString = viewFilterString;
	}

	/**
	 * Holds value of property topSupplierString.
	 */
	private String topSupplierString;

	/**
	 * Getter for property topSupplierString.
	 * @return Value of property topSupplierString.
	 */
	public String getTopSupplierString ()
	{
		return this.topSupplierString;
	}

	/**
	 * Setter for property topSupplierString.
	 * @param topSupplierString New value of property topSupplierString.
	 */
	public void setTopSupplierString (String topSupplierString)
	{
		this.topSupplierString = topSupplierString;
	}
}

