/*
 * $Id: SystemUserViewPage.java,v 1.13 2007/10/02 09:32:44 bacon Exp $
 */

package com.unimar.shipneeds.admin;

import com.sun.data.provider.RowKey;
import com.sun.data.provider.impl.ObjectArrayDataProvider;
import com.sun.rave.web.ui.appbase.AbstractPageBean;
import com.sun.rave.web.ui.component.Alert;
import com.sun.rave.web.ui.component.Body;
import com.sun.rave.web.ui.component.Button;
import com.sun.rave.web.ui.component.Checkbox;
import com.sun.rave.web.ui.component.DropDown;
import com.sun.rave.web.ui.component.Form;
import com.sun.rave.web.ui.component.Head;
import com.sun.rave.web.ui.component.HiddenField;
import com.sun.rave.web.ui.component.Html;
import com.sun.rave.web.ui.component.Hyperlink;
import com.sun.rave.web.ui.component.Link;
import com.sun.rave.web.ui.component.Page;
import com.sun.rave.web.ui.component.PanelGroup;
import com.sun.rave.web.ui.component.StaticText;
import com.sun.rave.web.ui.component.Table;
import com.sun.rave.web.ui.component.TableColumn;
import com.sun.rave.web.ui.component.TableRowGroup;
import com.sun.rave.web.ui.component.TextField;
import com.sun.rave.web.ui.model.Option;
import com.sun.rave.web.ui.model.SingleSelectOptionsList;
import com.unimar.shipneeds.ApplicationBean1;
import com.unimar.shipneeds.RequestBean1;
import com.unimar.shipneeds.SessionBean1;
import com.unimar.shipneeds.trans.AdminTransaction;
import com.unimar.shipneeds.model.SystemUser;
import com.unimar.shipneeds.view.SystemUserViewFilter;
import com.unimar.shipneeds.view.TableRowSelect;
import com.unimar.shipneeds.util.Serializer;
import com.unimar.shipneeds.util.Resource;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import javax.faces.FacesException;
import javax.faces.component.html.HtmlPanelGrid;
import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;

/**
 * <p>Page bean that corresponds to a similarly named JSP page.  This
 * class contains component definitions (and initialization code) for
 * all components that you have defined on this page, as well as
 * lifecycle methods and event handlers where you may add behavior
 * to respond to incoming events.</p>
 */
public class SystemUserViewPage extends AbstractPageBean
{
	// <editor-fold defaultstate="collapsed" desc="Managed Component Definition">
	private int __placeholder;
	
	/**
	 * <p>Automatically managed component initialization.  <strong>WARNING:</strong>
	 * This method is automatically generated, so any user-specified code inserted
	 * here is subject to being replaced.</p>
	 */
	private void _init () throws Exception
	{
		systemUserDataProvider.setArray((java.lang.Object[])getValue("#{admin$SystemUserViewPage.systemUsers}"));
	}
	
	private Page page1 = new Page ();
	
	public Page getPage1 ()
	{
		return page1;
	}
	
	public void setPage1 (Page p)
	{
		this.page1 = p;
	}
	
	private Html html1 = new Html ();
	
	public Html getHtml1 ()
	{
		return html1;
	}
	
	public void setHtml1 (Html h)
	{
		this.html1 = h;
	}
	
	private Head head1 = new Head ();
	
	public Head getHead1 ()
	{
		return head1;
	}
	
	public void setHead1 (Head h)
	{
		this.head1 = h;
	}
	
	private Link link1 = new Link ();
	
	public Link getLink1 ()
	{
		return link1;
	}
	
	public void setLink1 (Link l)
	{
		this.link1 = l;
	}
	
	private Body body1 = new Body ();
	
	public Body getBody1 ()
	{
		return body1;
	}
	
	public void setBody1 (Body b)
	{
		this.body1 = b;
	}
	
	private Form form1 = new Form ();
	
	public Form getForm1 ()
	{
		return form1;
	}
	
	public void setForm1 (Form f)
	{
		this.form1 = f;
	}
	
	private Table systemUserTable = new Table ();
	
	public Table getSystemUserTable ()
	{
		return systemUserTable;
	}
	
	public void setSystemUserTable (Table t)
	{
		this.systemUserTable = t;
	}
	
	private TableRowGroup systemUserTableRowGroup = new TableRowGroup ();
	
	public TableRowGroup getSystemUserTableRowGroup ()
	{
		return systemUserTableRowGroup;
	}
	
	public void setSystemUserTableRowGroup (TableRowGroup trg)
	{
		this.systemUserTableRowGroup = trg;
	}
	
	private TableColumn tableColumn4 = new TableColumn ();
	
	public TableColumn getTableColumn4 ()
	{
		return tableColumn4;
	}
	
	public void setTableColumn4 (TableColumn tc)
	{
		this.tableColumn4 = tc;
	}
	
	private StaticText staticText4 = new StaticText ();
	
	public StaticText getStaticText4 ()
	{
		return staticText4;
	}
	
	public void setStaticText4 (StaticText st)
	{
		this.staticText4 = st;
	}

	private StaticText staticText6 = new StaticText ();
	
	public StaticText getStaticText6 ()
	{
		return staticText6;
	}
	
	public void setStaticText6 (StaticText st)
	{
		this.staticText6 = st;
	}
	
	private TableColumn tableColumn5 = new TableColumn ();
	
	public TableColumn getTableColumn5 ()
	{
		return tableColumn5;
	}
	
	public void setTableColumn5 (TableColumn tc)
	{
		this.tableColumn5 = tc;
	}

	private TableColumn tableColumn6 = new TableColumn ();
	
	public TableColumn getTableColumn6 ()
	{
		return tableColumn6;
	}
	
	public void setTableColumn6 (TableColumn tc)
	{
		this.tableColumn6 = tc;
	}

	private TableColumn tableColumn7 = new TableColumn ();
	
	public TableColumn getTableColumn7 ()
	{
		return tableColumn7;
	}
	
	public void setTableColumn7 (TableColumn tc)
	{
		this.tableColumn7 = tc;
	}
	
	private Button refreshButton = new Button ();
	
	public Button getRefreshButton ()
	{
		return refreshButton;
	}
	
	public void setRefreshButton (Button b)
	{
		this.refreshButton = b;
	}
	
	private TableColumn tableColumn1 = new TableColumn ();
	
	public TableColumn getTableColumn1 ()
	{
		return tableColumn1;
	}
	
	public void setTableColumn1 (TableColumn tc)
	{
		this.tableColumn1 = tc;
	}
	
	private TableColumn tableColumn2 = new TableColumn ();
	
	public TableColumn getTableColumn2 ()
	{
		return tableColumn2;
	}
	
	public void setTableColumn2 (TableColumn tc)
	{
		this.tableColumn2 = tc;
	}
	
	private StaticText staticText2 = new StaticText ();
	
	public StaticText getStaticText2 ()
	{
		return staticText2;
	}
	
	public void setStaticText2 (StaticText st)
	{
		this.staticText2 = st;
	}
	
	private Alert pageAlert = new Alert ();
	
	public Alert getPageAlert ()
	{
		return pageAlert;
	}
	
	public void setPageAlert (Alert a)
	{
		this.pageAlert = a;
	}
	
	private Button previousPageButton = new Button ();
	
	public Button getPreviousPageButton ()
	{
		return previousPageButton;
	}
	
	public void setPreviousPageButton (Button b)
	{
		this.previousPageButton = b;
	}
	
	private Button nextPageButton = new Button ();
	
	public Button getNextPageButton ()
	{
		return nextPageButton;
	}
	
	public void setNextPageButton (Button b)
	{
		this.nextPageButton = b;
	}
	
	private Hyperlink nameHyperlink = new Hyperlink ();
	
	public Hyperlink getNameHyperlink ()
	{
		return nameHyperlink;
	}
	
	public void setNameHyperlink (Hyperlink h)
	{
		this.nameHyperlink = h;
	}

	private Hyperlink useridHyperlink = new Hyperlink ();
	
	public Hyperlink getUseridHyperlink ()
	{
		return useridHyperlink;
	}
	
	public void setUseridHyperlink (Hyperlink h)
	{
		this.useridHyperlink = h;
	}

	private ObjectArrayDataProvider systemUserDataProvider = new ObjectArrayDataProvider ();

	public ObjectArrayDataProvider getSystemUserDataProvider ()
	{
		return systemUserDataProvider;
	}

	public void setSystemUserDataProvider (ObjectArrayDataProvider oadp)
	{
		this.systemUserDataProvider = oadp;
	}

	private HiddenField systemUserListStringHiddenField = new HiddenField ();

	public HiddenField getSystemUserListStringHiddenField ()
	{
		return systemUserListStringHiddenField;
	}

	public void setSystemUserListStringHiddenField (HiddenField hf)
	{
		this.systemUserListStringHiddenField = hf;
	}

	private DropDown sortKeyDropDown = new DropDown ();

	public DropDown getSortKeyDropDown ()
	{
		return sortKeyDropDown;
	}

	public void setSortKeyDropDown (DropDown dd)
	{
		this.sortKeyDropDown = dd;
	}

	private DropDown searchKeyDropDown = new DropDown ();

	public DropDown getSearchKeyDropDown ()
	{
		return searchKeyDropDown;
	}

	public void setSearchKeyDropDown (DropDown dd)
	{
		this.searchKeyDropDown = dd;
	}

	private TextField searchWordTextField = new TextField ();

	public TextField getSearchWordTextField ()
	{
		return searchWordTextField;
	}

	public void setSearchWordTextField (TextField tf)
	{
		this.searchWordTextField = tf;
	}

	private DropDown statusKeyDropDown = new DropDown ();

	public DropDown getStatusKeyDropDown ()
	{
		return statusKeyDropDown;
	}

	public void setStatusKeyDropDown (DropDown dd)
	{
		this.statusKeyDropDown = dd;
	}

	private PanelGroup groupPanel2 = new PanelGroup ();

	public PanelGroup getGroupPanel2 ()
	{
		return groupPanel2;
	}

	public void setGroupPanel2 (PanelGroup pg)
	{
		this.groupPanel2 = pg;
	}

	private HtmlPanelGrid gridPanel1 = new HtmlPanelGrid ();

	public HtmlPanelGrid getGridPanel1 ()
	{
		return gridPanel1;
	}

	public void setGridPanel1 (HtmlPanelGrid hpg)
	{
		this.gridPanel1 = hpg;
	}

	private HtmlPanelGrid gridPanel2 = new HtmlPanelGrid ();

	public HtmlPanelGrid getGridPanel2 ()
	{
		return gridPanel2;
	}

	public void setGridPanel2 (HtmlPanelGrid hpg)
	{
		this.gridPanel2 = hpg;
	}

	private HtmlPanelGrid systemUserViewPanel = new HtmlPanelGrid ();

	public HtmlPanelGrid getSystemUserViewPanel ()
	{
		return systemUserViewPanel;
	}

	public void setSystemUserViewPanel (HtmlPanelGrid hpg)
	{
		this.systemUserViewPanel = hpg;
	}

	private Checkbox checkbox1 = new Checkbox ();

	public Checkbox getCheckbox1 ()
	{
		return checkbox1;
	}

	public void setCheckbox1 (Checkbox c)
	{
		this.checkbox1 = c;
	}

	private Button deleteButton = new Button ();

	public Button getDeleteButton ()
	{
		return deleteButton;
	}

	public void setDeleteButton (Button b)
	{
		this.deleteButton = b;
	}

	private Button activateButton = new Button ();

	public Button getActivateButton ()
	{
		return activateButton;
	}

	public void setActivateButton (Button b)
	{
		this.activateButton = b;
	}

	private Button deactivateButton = new Button ();

	public Button getDeactivateButton ()
	{
		return deactivateButton;
	}

	public void setDeactivateButton (Button b)
	{
		this.deactivateButton = b;
	}

	private Button newButton = new Button ();

	public Button getNewButton ()
	{
		return newButton;
	}

	public void setNewButton (Button b)
	{
		this.newButton = b;
	}

	/**
	 * <p>Construct a new Page bean instance.</p>
	 */
	public SystemUserViewPage ()
	{
	}
	
	/**
	 * <p>Callback method that is called whenever a page is navigated to,
	 * either directly via a URL, or indirectly via page navigation.
	 * Customize this method to acquire resources that will be needed
	 * for event handlers and lifecycle methods, whether or not this
	 * page is performing post back processing.</p>
	 *
	 * <p>Note that, if the current request is a postback, the property
	 * values of the components do <strong>not</strong> represent any
	 * values submitted with this request.  Instead, they represent the
	 * property values that were saved for this view when it was rendered.</p>
	 */
	public void init ()
	{
		// Perform initializations inherited from our superclass
		super.init ();
		// Perform application initialization that must complete
		// *before* managed components are initialized
		// TODO - add your own initialiation code here
		
		// <editor-fold defaultstate="collapsed" desc="Managed Component Initialization">
		// Initialize automatically managed components
		// *Note* - this logic should NOT be modified
		try
		{
			_init ();
		}
		catch (Exception e)
		{
			log ("Page1 Initialization Failure", e);
			throw e instanceof FacesException ? (FacesException) e: new FacesException (e);
		}
		
		// </editor-fold>
		// Perform application initialization that must complete
		// *after* managed components are initialized
		// TODO - add your own initialization code here

		initViews ();
		if (!isPostBack()) initData ();
	}

	private void initViews ()
	{
		FacesContext ctx = getFacesContext ();
		String msgBundle = ctx.getApplication ().getMessageBundle ();
		Locale locale = ctx.getViewRoot ().getLocale ();

		String msgId = Resource.getMessageResourceString (
			msgBundle, "ID", null, locale);
		String msgUserId = Resource.getMessageResourceString (
			msgBundle, "UserID", null, locale);
		String msgName = Resource.getMessageResourceString (
			msgBundle, "Name", null, locale);
		String msgEmail = Resource.getMessageResourceString (
			msgBundle, "Email", null, locale);
		String msgRemarks = Resource.getMessageResourceString (
			msgBundle, "Remarks", null, locale);
		
		String msgAll = Resource.getMessageResourceString (
			msgBundle, "All", null, locale);
		String msgActive = Resource.getMessageResourceString (
			msgBundle, "Active", null, locale);
		String msgInactive = Resource.getMessageResourceString (
			msgBundle, "Inactive", null, locale);
		
		Option[] statusKeyOpts = new Option[] {
			new Option(Integer.toString (SystemUserViewFilter.STATUS_KEY_ALL), msgAll), 
			new Option(Integer.toString (SystemUserViewFilter.STATUS_KEY_ACTIVE), msgActive),
			new Option(Integer.toString (SystemUserViewFilter.STATUS_KEY_INACTIVE), msgInactive)
		};
		
		Option[] sortKeyOpts= new Option[] {
			new Option(Integer.toString (SystemUserViewFilter.SORT_KEY_ID), msgId), 
			new Option(Integer.toString (SystemUserViewFilter.SORT_KEY_USERID), msgUserId),
			new Option(Integer.toString (SystemUserViewFilter.SORT_KEY_NAME), msgName),
			new Option(Integer.toString (SystemUserViewFilter.SORT_KEY_EMAIL), msgEmail)
		};
		
		Option[] searchKeyOpts = new Option[] {
			new Option(Integer.toString (SystemUserViewFilter.SEARCH_KEY_USERID), msgUserId),
			new Option(Integer.toString (SystemUserViewFilter.SEARCH_KEY_NAME), msgName),
			new Option(Integer.toString (SystemUserViewFilter.SEARCH_KEY_EMAIL), msgEmail),
			new Option(Integer.toString (SystemUserViewFilter.SEARCH_KEY_REMARKS), msgRemarks)
		};
		
		statusKeyOptionsList.setMultiple (false);
		statusKeyOptionsList.setOptions (statusKeyOpts);
		
		sortKeyOptionsList.setMultiple (false);
		sortKeyOptionsList.setOptions (sortKeyOpts);
		
		searchKeyOptionsList.setMultiple (false);
		searchKeyOptionsList.setOptions (searchKeyOpts);
	}

	private void initData ()
	{
		FacesContext ctx = getFacesContext ();
		ExternalContext ectx = ctx.getExternalContext ();
			
		String viewFilterString = (String)ectx.getRequestMap().get("viewFilterString");
		if (viewFilterString != null) 
		{ 
			SystemUserViewFilter cvf = (SystemUserViewFilter)Serializer.stringToObject (viewFilterString);
			if (cvf != null)
			{
				this.statusKeyOptionsList.setSelectedValue (Integer.toString (cvf.getStatusKey ()));
				this.sortKeyOptionsList.setSelectedValue (Integer.toString (cvf.getSortKey ()));
				this.searchKeyOptionsList.setSelectedValue (Integer.toString (cvf.getSearchKey ()));
				this.searchWord = cvf.getSearchWord ();
			}
		}
			
		String topSystemUserString = (String)ectx.getRequestMap ().get ("topSystemUserString");
		if (topSystemUserString != null)
		{
			SystemUser topSystemUser = (SystemUser)Serializer.stringToObject (topSystemUserString);
			if (topSystemUser != null) systemUsers = new SystemUser[] { topSystemUser };
		}
				
		/* normal load - loaded by direct url access */
		loadCurrentSystemUsers (getSystemUserViewFilter());
	}
	
	/**
	 * <p>Callback method that is called after the component tree has been
	 * restored, but before any event processing takes place.  This method
	 * will <strong>only</strong> be called on a postback request that
	 * is processing a form submit.  Customize this method to allocate
	 * resources that will be required in your event handlers.</p>
	 */
	public void preprocess ()
	{
		this.systemUsers = restoreData ();
		systemUserDataProvider.setArray (this.systemUsers);
	}

	private SystemUser[] restoreData ()
	{
		FacesContext ctx = getFacesContext ();
		ExternalContext ectx = ctx.getExternalContext();

		String fid = systemUserListStringHiddenField.getClientId(ctx);
		String str = (String)ectx.getRequestParameterMap().get(fid);

		SystemUser[] c;

		if (str == null || str.length() == 0) 
		{
			c = new SystemUser[0];
		}
		else
		{
			c = (SystemUser[])Serializer.stringToArray(str);
			if (c == null) c = new SystemUser[0];
		}

		return c;
	}
	
	/**
	 * <p>Callback method that is called just before rendering takes place.
	 * This method will <strong>only</strong> be called for the page that
	 * will actually be rendered (and not, for example, on a page that
	 * handled a postback and then navigated to a different page).  Customize
	 * this method to allocate resources that will be required for rendering
	 * this page.</p>
	 */
	public void prerender ()
	{	
	}
	
	/**
	 * <p>Callback method that is called after rendering is completed for
	 * this request, if <code>init()</code> was called (regardless of whether
	 * or not this was the page that was actually rendered).  Customize this
	 * method to release resources acquired in the <code>init()</code>,
	 * <code>preprocess()</code>, or <code>prerender()</code> methods (or
	 * acquired during execution of an event handler).</p>
	 */
	public void destroy ()
	{
	}
	
	/**
	 * <p>Return a reference to the scoped data bean.</p>
	 */
	protected ApplicationBean1 getApplicationBean1 ()
	{
		return (ApplicationBean1)getBean ("ApplicationBean1");
	}
	
	/**
	 * <p>Return a reference to the scoped data bean.</p>
	 */
	protected SessionBean1 getSessionBean1 ()
	{
		return (SessionBean1)getBean ("SessionBean1");
	}
	
	/**
	 * <p>Return a reference to the scoped data bean.</p>
	 */
	protected RequestBean1 getRequestBean1 ()
	{
		return (RequestBean1)getBean ("RequestBean1");
	}
	
	/**
	 * Holds value of property systemUsers.
	 */
	private SystemUser[] systemUsers;

	/**
	 * Getter for property systemUsers.
	 * @return Value of property systemUsers.
	 */
	public SystemUser[] getSystemUsers ()
	{
		return this.systemUsers;
	}

	/**
	 * Setter for property systemUsers.
	 * @param systemUsers New value of property systemUsers.
	 */
	public void setSystemUsers (SystemUser[] systemUsers)
	{
		this.systemUsers = systemUsers;
	}

	/**
	 * Holds value of property systemUserListString.
	 */
	private String systemUserListString;

	/**
	 * Getter for property systemUserListString.
	 * @return Value of property systemUserListString.
	 */
	public String getSystemUserListString ()
	{
		return this.systemUserListString;
	}

	/**
	 * Setter for property systemUserListString.
	 * @param systemUserListString New value of property systemUserListString.
	 */
	public void setSystemUserListString (String systemUserListString)
	{
		this.systemUserListString = systemUserListString;
	}
	
	/**
	 * Holds value of property statusKeyOptionsList.
	 */
	private SingleSelectOptionsList statusKeyOptionsList = new SingleSelectOptionsList ();

	/**
	 * Getter for property statusKeyOptionsList.
	 * @return Value of property statusKeyOptionsList.
	 */
	public SingleSelectOptionsList getStatusKeyOptionsList ()
	{
		return this.statusKeyOptionsList;
	}

	/**
	 * Setter for property statusKeyOptionsList.
	 * @param statusKeyOptionsList New value of property statusKeyOptionsList.
	 */
	public void setStatusKeyOptionsList (SingleSelectOptionsList statusKeyOptionsList)
	{
		this.statusKeyOptionsList = statusKeyOptionsList;
	}

	/**
	 * Holds value of property sortKeyOptionsList.
	 */
	private SingleSelectOptionsList sortKeyOptionsList = new SingleSelectOptionsList ();

	/**
	 * Getter for property sortKeyOptionsList.
	 * @return Value of property sortKeyOptionsList.
	 */
	public SingleSelectOptionsList getSortKeyOptionsList ()
	{
		return this.sortKeyOptionsList;
	}
	
		/**
	 * Holds value of property searchKeyOptionsList.
	 */
	private SingleSelectOptionsList searchKeyOptionsList = new SingleSelectOptionsList ();

	/**
	 * Getter for property searchKeyOptionsList.
	 * @return Value of property searchKeyOptionsList.
	 */
	public SingleSelectOptionsList getSearchKeyOptionsList ()
	{
		return this.searchKeyOptionsList;
	}

	/**
	 * Setter for property searchKeyOptionsList.
	 * @param searchKeyOptionsList New value of property searchKeyOptionsList.
	 */
	public void setSearchKeyOptionsList (SingleSelectOptionsList searchKeyOptionsList)
	{
		this.searchKeyOptionsList = searchKeyOptionsList;
	}

	/**
	 * Setter for property sortKeyOptionsList.
	 * @param sortKeyOptionsList New value of property sortKeyOptionsList.
	 */
	public void setSortKeyOptionsList (SingleSelectOptionsList sortKeyOptionsList)
	{
		this.sortKeyOptionsList = sortKeyOptionsList;
	}
	
	/**
	 * Holds value of property searchWord.
	 */
	private String searchWord;

	/**
	 * Getter for property searchWord.
	 * @return Value of property searchWord.
	 */
	public String getSearchWord ()
	{
		return this.searchWord;
	}

	/**
	 * Setter for property searchWord.
	 * @param searchWord New value of property searchWord.
	 */
	public void setSearchWord (String searchWord)
	{
		this.searchWord = searchWord;
	}

	private void loadSystemUsers (int dir, SystemUser base, SystemUserViewFilter filter)
	{
		FacesContext ctx = getFacesContext ();
		SessionBean1 sb = getSessionBean1 ();
		AdminTransaction trans = sb.getAdminTransaction ();

		try
		{
			List list = trans.getSystemUsers (dir, base, filter);

			if (dir == AdminTransaction.GET_CURRENT && 
			    (list == null || list.size() == 0))
			{
				list = trans.getSystemUsers (AdminTransaction.GET_PREVIOUS, base, filter);
			}
			
			if (list == null || list.size() == 0)
			{
				if (dir == AdminTransaction.GET_CURRENT)
				{
					systemUserListString = "";
					systemUsers = new SystemUser[0];
					systemUserDataProvider.setArray (systemUsers);
				}
				else
				{
					systemUserDataProvider.setArray (systemUsers);
					pageAlert.setSummary ("no more data available");
				}
			}
			else
			{
				SystemUser[] c = new SystemUser[list.size ()];
				c = (SystemUser[])list.toArray (c);
			
				systemUserListString = Serializer.arrayToString (c);
				if (systemUserListString == null)
				{
					systemUserDataProvider.setArray (systemUsers);
					pageAlert.setSummary ("Cannot create a list string");
				}
				else
				{
					systemUsers = c;
					systemUserDataProvider.setArray (systemUsers);
				}
			}
			
		}
		catch (Exception e)
		{
			systemUserDataProvider.setArray (systemUsers);

			pageAlert.setSummary (
				Resource.getMessageString(ctx,"CannotLoadData") +
				" - " + e.getMessage ());
		}
	}
	
	private void loadCurrentSystemUsers (SystemUserViewFilter filter)
	{
		SystemUser base = SystemUser.MIN;
		if (systemUsers != null && systemUsers.length > 0) 
			base = systemUsers[0];
		loadSystemUsers (AdminTransaction.GET_CURRENT, base, filter);
	}
	
	private void loadPreviousSystemUsers (SystemUserViewFilter filter)
	{
		SystemUser base = SystemUser.MAX;
		if (systemUsers != null && systemUsers.length > 0) 
			base = systemUsers[0];
		loadSystemUsers (AdminTransaction.GET_PREVIOUS, base, filter);
	}
	
	private void loadNextSystemUsers (SystemUserViewFilter filter)
	{
		SystemUser base = SystemUser.MIN;
		if (systemUsers != null && systemUsers.length > 0) 
			base = systemUsers[systemUsers.length-1];
		loadSystemUsers (AdminTransaction.GET_NEXT, base, filter);
	}
	
	
	public String refreshButton_action ()
	{
		pageAlert.setSummary (null);
		systemUserTableRowSelect.clear ();
		loadCurrentSystemUsers (getSystemUserViewFilter());
		return null;
	}

	public String previousPageButton_action ()
	{
		pageAlert.setSummary (null);
		systemUserTableRowSelect.clear ();
		loadPreviousSystemUsers (getSystemUserViewFilter());
		return null;
	}
	
	public String nextPageButton_action ()
	{		
		pageAlert.setSummary (null);
		systemUserTableRowSelect.clear ();
		loadNextSystemUsers (getSystemUserViewFilter());
		return null;
	}
	
	public String deleteButton_action ()
	{
		String[] rows = systemUserTableRowSelect.getSelectedRowIds ();
		if (rows == null || rows.length < 0) return null;
	
		long cid[] = new long[rows.length];
		for (int i = 0; i < rows.length; i++)
		{
			int rid = Integer.parseInt (rows[i]);
			cid[i] = systemUsers[rid].getId();
		}

		FacesContext ctx = getFacesContext ();
		SessionBean1 sb = getSessionBean1 ();
		AdminTransaction trans = sb.getAdminTransaction ();

		try { trans.deleteSystemUsers (cid); }
		catch (Exception e)
		{
			pageAlert.setSummary (
				Resource.getMessageString(ctx,"CannotDeleteData") +
				" - " + e.getMessage ());
			return null;
		}
		
		systemUserTableRowSelect.clear ();
		loadCurrentSystemUsers (getSystemUserViewFilter());
		return null;
	}
	
	private String setSystemUserStatus(boolean active)
	{
		String[] rows = systemUserTableRowSelect.getSelectedRowIds ();
		if (rows == null || rows.length < 0) return null;
	
		long cid[] = new long[rows.length];
		for (int i = 0; i < rows.length; i++)
		{
			int rid = Integer.parseInt (rows[i]);
			cid[i] = systemUsers[rid].getId();
		}

		FacesContext ctx = getFacesContext ();
		SessionBean1 sb = getSessionBean1 ();
		AdminTransaction trans = sb.getAdminTransaction ();

		try { trans.setSystemUserStatus (cid, active); }
		catch (Exception e)
		{
			pageAlert.setSummary (
				Resource.getMessageString(ctx,"CannotUpdateData") +
				" - " + e.getMessage ());
			return null;
		}
		
		systemUserTableRowSelect.clear ();
		loadCurrentSystemUsers (getSystemUserViewFilter());
		return null;
	}
	
	public String activateButton_action ()
	{
		return setSystemUserStatus (true);
	}
	
	public String deactivateButton_action ()
	{
		return setSystemUserStatus (false);
	}
	
	public String newButton_action ()
	{
		FacesContext ctx = getFacesContext ();
		ExternalContext ectx = ctx.getExternalContext();
		Map map = ectx.getRequestMap ();
				
		String viewFilterString = Serializer.objectToString (getSystemUserViewFilter());
		map.put("viewFilterString", viewFilterString);
				
		if (systemUsers != null && systemUsers.length > 0)
		{
			String topSystemUserString = Serializer.objectToString (systemUsers[0]);
			map.put ("topSystemUserString", topSystemUserString);
		}
				
		return "edit";
	}
	
	private String editEntry ()
	{
		RowKey rk = this.systemUserTableRowGroup.getRowKey ();
		if (rk != null)
		{
			int ri = Integer.parseInt(rk.getRowId ());
			
			if (ri >= 0 && ri < systemUsers.length)
			{
				long id = systemUsers[ri].getId ();
				FacesContext ctx = getFacesContext ();
				ExternalContext ectx = ctx.getExternalContext();
				Map map = ectx.getRequestMap ();
				
				map.put("systemUserId", Long.toString (id));
				
				String viewFilterString = Serializer.objectToString (getSystemUserViewFilter());
				map.put("viewFilterString", viewFilterString);
				
				if (systemUsers != null && systemUsers.length > 0)
				{
					String topSystemUserString = Serializer.objectToString (systemUsers[0]);
					map.put ("topSystemUserString", topSystemUserString);
				}
				
				return "edit";
			}
		}

		return null;
	}
	
	public String nameHyperlink_action ()
	{
		return editEntry ();
	}
	
	public String useridHyperlink_action ()
	{
		return editEntry ();
	}
	
	protected SystemUserViewFilter getSystemUserViewFilter ()
	{
		SystemUserViewFilter cvf = new SystemUserViewFilter ();
		
		String x = (String)sortKeyOptionsList.getSelectedValue ();
		if (x != null) cvf.setSortKey (Integer.parseInt (x));
		
		x = (String)searchKeyOptionsList.getSelectedValue ();
		if (x != null) 
		{
			cvf.setSearchKey (Integer.parseInt(x));
			cvf.setSearchWord (searchWord);
		}
	
		x = (String)statusKeyOptionsList.getSelectedValue ();
		if (x != null) cvf.setStatusKey (Integer.parseInt (x));
		
		return cvf;
	}

	/**
	 * Holds value of property systemUserTableRowSelect.
	 */
	private TableRowSelect systemUserTableRowSelect = new TableRowSelect("currentRow");

	/**
	 * Getter for property systemUserTableRowSelect.
	 * @return Value of property systemUserTableRowSelect.
	 */
	public TableRowSelect getSystemUserTableRowSelect ()
	{
		return this.systemUserTableRowSelect;
	}

	/**
	 * Setter for property systemUserTableRowSelect.
	 * @param systemUserTableRowSelect New value of property systemUserTableRowSelect.
	 */
	public void setSystemUserTableRowSelect (TableRowSelect systemUserTableRowSelect)
	{
		this.systemUserTableRowSelect = systemUserTableRowSelect;
	}

	
}

