/*
 * $id$
 */

package com.unimar.shipneeds.model;

public class IdArray extends LongNumberArray
{	
	public IdArray ()
	{
		super (128, 128);
	}
	
	public IdArray (String str)
	{
		this ();
		
		if (str == null) str = "";
		
		int idx = 0;
		while (true)
		{
			int x = str.indexOf(',', idx);
			
			if (x == -1)
			{
				String s = str.substring (idx);
				addItem (Long.parseLong (s));
				break;
			}
			else
			{
				String s = str.substring (idx, x);
				addItem (Long.parseLong (s));
			}
			
			idx = x + 1;
		}
	}
	
	public void addId (long id)
	{
		addItem (id);
	}
	
	public String toString ()
	{
		StringBuffer buf = new StringBuffer ();
		
		int size = getSize();
		for (int i = 0; i < size; i++)
		{
			if (i > 0) buf.append (",");
			buf.append (Long.toString (getItem(i)));
		}
		
		return buf.toString ();
	}
}
