<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <f:view>
        <ui:page binding="#{admin$BuyerUserEditPage.page1}" id="page1">
            <ui:html binding="#{admin$BuyerUserEditPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{admin$BuyerUserEditPage.head1}" id="head1">
                    <ui:link binding="#{admin$BuyerUserEditPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{admin$BuyerUserEditPage.body1}" id="body1" style="-rave-layout: grid">
                    <ui:form binding="#{admin$BuyerUserEditPage.form1}" id="form1" style="height: 312px; left: 0px; top: 48px; position: absolute; width: 120px" virtualFormsConfig="cancelForm | topBuyerUserStringHiddenField viewFilterStringHiddenField buyerUserIdHiddenField | propertySheet1:section2:property9:gridPanel2:cancelButton , saveForm | topBuyerUserStringHiddenField viewFilterStringHiddenField buyerUserIdHiddenField propertySheet1:section1:property1:buyerUserIdTextField propertySheet1:section1:property3:buyerUserNameTextField propertySheet1:section1:property11:buyerNameDropDown propertySheet1:section1:property10:buyerUserAdminCheckbox propertySheet1:section1:property7:buyerUserActiveCheckbox propertySheet1:section1:property8:buyerUserRemarksTextArea propertySheet1:section1:property2:buyerUserUseridTextField propertySheet1:section1:property4:buyerUserPassword1PasswordField propertySheet1:section1:property5:buyerUserPassword2PasswordField propertySheet1:section1:property6:buyerUserEmailTextField originalUseridHiddenField | propertySheet1:section2:property9:gridPanel2:saveButton">
                        <ui:hiddenField binding="#{admin$BuyerUserEditPage.originalUseridHiddenField}" id="originalUseridHiddenField" text="#{admin$BuyerUserEditPage.originalUserid}"/>
                        <ui:hiddenField binding="#{admin$BuyerUserEditPage.topBuyerUserStringHiddenField}" id="topBuyerUserStringHiddenField" text="#{admin$BuyerUserEditPage.topBuyerUserString}"/>
                        <ui:hiddenField binding="#{admin$BuyerUserEditPage.viewFilterStringHiddenField}" id="viewFilterStringHiddenField" text="#{admin$BuyerUserEditPage.viewFilterString}"/>
                        <ui:hiddenField binding="#{admin$BuyerUserEditPage.buyerUserIdHiddenField}" id="buyerUserIdHiddenField" text="#{admin$BuyerUserEditPage.buyerUser.id}"/>
                        <ui:propertySheet binding="#{admin$BuyerUserEditPage.propertySheet1}" id="propertySheet1" style="left: 144px; top: 24px; position: absolute">
                            <ui:propertySheetSection binding="#{admin$BuyerUserEditPage.section1}" id="section1" label="">
                                <ui:property binding="#{admin$BuyerUserEditPage.property1}" id="property1" label="#{msgBundle.ID}">
                                    <ui:textField binding="#{admin$BuyerUserEditPage.buyerUserIdTextField}" disabled="true" id="buyerUserIdTextField"
                                        required="true" text="#{admin$BuyerUserEditPage.buyerUser.id}"/>
                                    <ui:message binding="#{admin$BuyerUserEditPage.message4}" for="buyerUserIdTextField" id="message4" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$BuyerUserEditPage.property2}" id="property2" label="#{msgBundle.UserID}">
                                    <ui:textField binding="#{admin$BuyerUserEditPage.buyerUserUseridTextField}" id="buyerUserUseridTextField" required="true" text="#{admin$BuyerUserEditPage.buyerUser.userid}"/>
                                    <ui:message binding="#{admin$BuyerUserEditPage.message5}" for="buyerUserUseridTextField" id="message5" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$BuyerUserEditPage.property3}" id="property3" label="#{msgBundle.Name}">
                                    <ui:textField binding="#{admin$BuyerUserEditPage.buyerUserNameTextField}" columns="70" id="buyerUserNameTextField"
                                        required="true" text="#{admin$BuyerUserEditPage.buyerUser.name}"/>
                                    <ui:message binding="#{admin$BuyerUserEditPage.message1}" for="buyerUserNameTextField" id="message1" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$BuyerUserEditPage.property4}" id="property4" label="#{msgBundle.Password}">
                                    <ui:passwordField binding="#{admin$BuyerUserEditPage.buyerUserPassword1PasswordField}"
                                        id="buyerUserPassword1PasswordField" password="#{admin$BuyerUserEditPage.buyerUser.password}"/>
                                    <ui:message binding="#{admin$BuyerUserEditPage.message7}" for="buyerUserPassword1PasswordField" id="message7"
                                        showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$BuyerUserEditPage.property5}" id="property5" label="#{msgBundle.ConfirmPassword}">
                                    <ui:passwordField binding="#{admin$BuyerUserEditPage.buyerUserPassword2PasswordField}" id="buyerUserPassword2PasswordField"/>
                                    <ui:message binding="#{admin$BuyerUserEditPage.message8}" for="buyerUserPassword2PasswordField" id="message8"
                                        showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$BuyerUserEditPage.property6}" id="property6" label="#{msgBundle.Email}">
                                    <ui:textField binding="#{admin$BuyerUserEditPage.buyerUserEmailTextField}" columns="60" id="buyerUserEmailTextField"
                                        required="true" text="#{admin$BuyerUserEditPage.buyerUser.email}"/>
                                    <ui:message binding="#{admin$BuyerUserEditPage.message6}" for="buyerUserEmailTextField" id="message6" showDetail="false" showSummary="true"/>
                                </ui:property>

                                <ui:property binding="#{admin$BuyerUserEditPage.property11}" id="property11" label="#{msgBundle.Buyer}">
	                                    <ui:dropDown binding="#{admin$BuyerUserEditPage.buyerNameDropDown}" id="buyerNameDropDown"
                                        items="#{admin$BuyerUserEditPage.buyerNameOptionsList.options}" required="true"
                                        selected="#{admin$BuyerUserEditPage.buyerNameOptionsList.selectedValue}" />
                                    <ui:message binding="#{admin$BuyerUserEditPage.message10}" for="buyerNameDropDown" id="message10" showDetail="false" showSummary="true"/>
                                </ui:property>

                                <ui:property binding="#{admin$BuyerUserEditPage.property10}" id="property10" label="#{msgBundle.Admin}">
                                    <ui:checkbox binding="#{admin$BuyerUserEditPage.buyerUserAdminCheckbox}" id="buyerUserAdminCheckbox" selected="#{admin$BuyerUserEditPage.buyerUser.admin}"/>
                                    <ui:message binding="#{admin$BuyerUserEditPage.message9}" for="buyerUserAdminCheckbox" id="message9" showDetail="false" showSummary="true"/>
                                </ui:property>

                                <ui:property binding="#{admin$BuyerUserEditPage.property7}" id="property7" label="#{msgBundle.Active}">
                                    <ui:checkbox binding="#{admin$BuyerUserEditPage.buyerUserActiveCheckbox}" id="buyerUserActiveCheckbox" selected="#{admin$BuyerUserEditPage.buyerUser.active}"/>
                                    <ui:message binding="#{admin$BuyerUserEditPage.message3}" for="buyerUserActiveCheckbox" id="message3" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$BuyerUserEditPage.property8}" id="property8" label="#{msgBundle.Remarks}">
                                    <ui:textArea binding="#{admin$BuyerUserEditPage.buyerUserRemarksTextArea}" columns="80" id="buyerUserRemarksTextArea"
                                        rows="10" text="#{admin$BuyerUserEditPage.buyerUser.remarks}"/>
                                    <ui:message binding="#{admin$BuyerUserEditPage.message2}" for="buyerUserRemarksTextArea" id="message2" showDetail="false" showSummary="true"/>
                                </ui:property>
                            </ui:propertySheetSection>
                            <ui:propertySheetSection binding="#{admin$BuyerUserEditPage.section2}" id="section2">
                                <ui:property binding="#{admin$BuyerUserEditPage.property9}" id="property9" label="">
                                    <h:panelGrid binding="#{admin$BuyerUserEditPage.gridPanel2}" columns="3" id="gridPanel2">
                                        <ui:button action="#{admin$BuyerUserEditPage.saveButton_action}" binding="#{admin$BuyerUserEditPage.saveButton}"
                                            id="saveButton" style="height: 24px; width: 72px" text="#{msgBundle.Save}"/>
                                        <ui:button action="#{admin$BuyerUserEditPage.cancelButton_action}" binding="#{admin$BuyerUserEditPage.cancelButton}"
                                            id="cancelButton" style="height: 24px; width: 72px" text="#{msgBundle.Cancel}"/>
                                        <ui:messageGroup binding="#{admin$BuyerUserEditPage.messageGroup1}" id="messageGroup1"/>
                                    </h:panelGrid>
                                </ui:property>
                            </ui:propertySheetSection>
                        </ui:propertySheet>
                    </ui:form>
                    <jsp:directive.include file="AdminNavigationFragment.jspf"/>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
</jsp:root>
