<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <f:view>
        <ui:page binding="#{admin$CountryEditPage.page1}" id="page1">
            <ui:html binding="#{admin$CountryEditPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{admin$CountryEditPage.head1}" id="head1">
                    <ui:link binding="#{admin$CountryEditPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{admin$CountryEditPage.body1}" id="body1" style="-rave-layout: grid">
                    <ui:form binding="#{admin$CountryEditPage.form1}" id="form1" style="height: 312px; left: 0px; top: 48px; position: absolute; width: 120px" virtualFormsConfig="cancelForm | topCountryStringHiddenField viewFilterStringHiddenField countryIdHiddenField | propertySheet1:section2:property5:gridPanel2:cancelButton , saveForm | topCountryStringHiddenField viewFilterStringHiddenField countryIdHiddenField propertySheet1:section1:property1:countryIdTextField propertySheet1:section1:property2:countryNameTextField propertySheet1:section1:property3:countryActiveCheckbox propertySheet1:section1:property4:countryRemarksTextArea | propertySheet1:section2:property5:gridPanel2:saveButton">
                        <ui:hiddenField binding="#{admin$CountryEditPage.topCountryStringHiddenField}" id="topCountryStringHiddenField" text="#{admin$CountryEditPage.topCountryString}"/>
                        <ui:hiddenField binding="#{admin$CountryEditPage.viewFilterStringHiddenField}" id="viewFilterStringHiddenField" text="#{admin$CountryEditPage.viewFilterString}"/>
                        <ui:hiddenField binding="#{admin$CountryEditPage.countryIdHiddenField}" id="countryIdHiddenField" text="#{admin$CountryEditPage.country.id}"/>
                        <ui:propertySheet binding="#{admin$CountryEditPage.propertySheet1}" id="propertySheet1" style="left: 144px; top: 24px; position: absolute">
                            <ui:propertySheetSection binding="#{admin$CountryEditPage.section1}" id="section1">
                                <ui:property binding="#{admin$CountryEditPage.property1}" id="property1" label="#{msgBundle.ID}">
                                    <ui:textField binding="#{admin$CountryEditPage.countryIdTextField}" disabled="true" id="countryIdTextField" required="true" text="#{admin$CountryEditPage.country.id}"/>
                                    <ui:message binding="#{admin$CountryEditPage.message4}" for="countryIdTextField" id="message4" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$CountryEditPage.property2}" id="property2" label="#{msgBundle.Name}">
                                    <ui:textField binding="#{admin$CountryEditPage.countryNameTextField}" columns="70" id="countryNameTextField" required="true" text="#{admin$CountryEditPage.country.name}"/>
                                    <ui:message binding="#{admin$CountryEditPage.message1}" for="countryNameTextField" id="message1" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$CountryEditPage.property3}" id="property3" label="#{msgBundle.Active}">
                                    <ui:checkbox binding="#{admin$CountryEditPage.countryActiveCheckbox}" id="countryActiveCheckbox" selected="#{admin$CountryEditPage.country.active}"/>
                                    <ui:message binding="#{admin$CountryEditPage.message3}" for="countryActiveCheckbox" id="message3" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$CountryEditPage.property4}" id="property4" label="#{msgBundle.Remarks}">
                                    <ui:textArea binding="#{admin$CountryEditPage.countryRemarksTextArea}" columns="80" id="countryRemarksTextArea" rows="10" text="#{admin$CountryEditPage.country.remarks}"/>
                                    <ui:message binding="#{admin$CountryEditPage.message2}" for="countryRemarksTextArea" id="message2" showDetail="false" showSummary="true"/>
                                </ui:property>
                            </ui:propertySheetSection>
                            <ui:propertySheetSection binding="#{admin$CountryEditPage.section2}" id="section2">
                                <ui:property binding="#{admin$CountryEditPage.property5}" id="property5">
                                    <h:panelGrid binding="#{admin$CountryEditPage.gridPanel2}" columns="3" id="gridPanel2">
                                        <ui:button action="#{admin$CountryEditPage.saveButton_action}" binding="#{admin$CountryEditPage.saveButton}"
                                            id="saveButton" style="height: 24px; width: 72px" text="#{msgBundle.Save}"/>
                                        <ui:button action="#{admin$CountryEditPage.cancelButton_action}" binding="#{admin$CountryEditPage.cancelButton}"
                                            id="cancelButton" style="height: 24px; width: 72px" text="#{msgBundle.Cancel}"/>
                                        <ui:messageGroup binding="#{admin$CountryEditPage.messageGroup1}" id="messageGroup1"/>
                                    </h:panelGrid>
                                </ui:property>
                            </ui:propertySheetSection>
                        </ui:propertySheet>
                    </ui:form>
                    <jsp:directive.include file="AdminNavigationFragment.jspf"/>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
</jsp:root>
