<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <f:view>
        <ui:page binding="#{admin$PortEditPage.page1}" id="page1">
            <ui:html binding="#{admin$PortEditPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{admin$PortEditPage.head1}" id="head1">
                    <ui:link binding="#{admin$PortEditPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{admin$PortEditPage.body1}" id="body1" style="-rave-layout: grid">
                    <ui:form binding="#{admin$PortEditPage.form1}" id="form1" style="height: 312px; left: 0px; top: 48px; position: absolute; width: 120px" virtualFormsConfig="cancelForm | topPortStringHiddenField viewFilterStringHiddenField portIdHiddenField | propertySheet1:section2:property6:gridPanel2:cancelButton , saveForm | topPortStringHiddenField viewFilterStringHiddenField portIdHiddenField propertySheet1:section1:property1:portIdTextField propertySheet1:section1:property2:portNameTextField propertySheet1:section1:property3:countryNameDropDown propertySheet1:section1:property4:portActiveCheckbox propertySheet1:section1:property5:portRemarksTextArea | propertySheet1:section2:property6:gridPanel2:saveButton">
                        <ui:hiddenField binding="#{admin$PortEditPage.topPortStringHiddenField}" id="topPortStringHiddenField" text="#{admin$PortEditPage.topPortString}"/>
                        <ui:hiddenField binding="#{admin$PortEditPage.viewFilterStringHiddenField}" id="viewFilterStringHiddenField" text="#{admin$PortEditPage.viewFilterString}"/>
                        <ui:hiddenField binding="#{admin$PortEditPage.portIdHiddenField}" id="portIdHiddenField" text="#{admin$PortEditPage.port.id}"/>
                        <ui:propertySheet binding="#{admin$PortEditPage.propertySheet1}" id="propertySheet1" style="left: 144px; top: 24px; position: absolute">
                            <ui:propertySheetSection binding="#{admin$PortEditPage.section1}" id="section1" label="">
                                <ui:property binding="#{admin$PortEditPage.property1}" id="property1" label="#{msgBundle.ID}">
                                    <ui:textField binding="#{admin$PortEditPage.portIdTextField}" disabled="true" id="portIdTextField" required="true"
                                        text="#{admin$PortEditPage.port.id}"/>
                                    <ui:message binding="#{admin$PortEditPage.message4}" for="portIdTextField" id="message4" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$PortEditPage.property2}" id="property2" label="#{msgBundle.Name}">
                                    <ui:textField binding="#{admin$PortEditPage.portNameTextField}" columns="70" id="portNameTextField" required="true" text="#{admin$PortEditPage.port.name}"/>
                                    <ui:message binding="#{admin$PortEditPage.message1}" for="portNameTextField" id="message1" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$PortEditPage.property3}" id="property3" label="#{msgBundle.Country}">
                                    <ui:dropDown binding="#{admin$PortEditPage.countryNameDropDown}" id="countryNameDropDown"
                                        items="#{admin$PortEditPage.countryNameOptionsList.options}" required="true"
                                        selected="#{admin$PortEditPage.countryNameOptionsList.selectedValue}" />
                                    <ui:message binding="#{admin$PortEditPage.message5}" for="countryNameDropDown" id="message5" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$PortEditPage.property4}" id="property4" label="#{msgBundle.Active}">
                                    <ui:checkbox binding="#{admin$PortEditPage.portActiveCheckbox}" id="portActiveCheckbox"
                                        selected="#{admin$PortEditPage.port.active}" />
                                    <ui:message binding="#{admin$PortEditPage.message3}" for="portActiveCheckbox" id="message3" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$PortEditPage.property5}" id="property5" label="#{msgBundle.Remarks}">
                                    <ui:textArea binding="#{admin$PortEditPage.portRemarksTextArea}" columns="80" id="portRemarksTextArea" rows="10"
                                        text="#{admin$PortEditPage.port.remarks}"/>
                                    <ui:message binding="#{admin$PortEditPage.message2}" for="portRemarksTextArea" id="message2" showDetail="false" showSummary="true"/>
                                </ui:property>
                            </ui:propertySheetSection>
                            <ui:propertySheetSection binding="#{admin$PortEditPage.section2}" id="section2" label="">
                                <ui:property binding="#{admin$PortEditPage.property6}" id="property6" label="">
                                    <h:panelGrid binding="#{admin$PortEditPage.gridPanel2}" columns="3" id="gridPanel2" >
                                        <ui:button action="#{admin$PortEditPage.saveButton_action}" binding="#{admin$PortEditPage.saveButton}" id="saveButton"
                                            style="height: 24px; width: 72px" text="#{msgBundle.Save}"/>
                                        <ui:button action="#{admin$PortEditPage.cancelButton_action}" binding="#{admin$PortEditPage.cancelButton}"
                                            id="cancelButton" style="height: 24px; width: 72px" text="#{msgBundle.Cancel}"/>
                                        <ui:messageGroup binding="#{admin$PortEditPage.messageGroup1}" id="messageGroup1"/>
                                    </h:panelGrid>
                                </ui:property>
                            </ui:propertySheetSection>
                        </ui:propertySheet>
                    </ui:form>
                    <jsp:directive.include file="AdminNavigationFragment.jspf"/>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
</jsp:root>
