<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <f:view>
        <ui:page binding="#{admin$ProductEditPage.page1}" id="page1">
            <ui:html binding="#{admin$ProductEditPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{admin$ProductEditPage.head1}" id="head1">
                    <ui:link binding="#{admin$ProductEditPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{admin$ProductEditPage.body1}" id="body1" style="-rave-layout: grid">
                    <ui:form binding="#{admin$ProductEditPage.form1}" id="form1" style="height: 312px; left: 0px; top: 48px; position: absolute; width: 120px" virtualFormsConfig="cancelForm | topProductStringHiddenField viewFilterStringHiddenField productIdHiddenField | propertySheet1:section2:property9:gridPanel2:cancelButton , saveForm | topProductStringHiddenField viewFilterStringHiddenField productIdHiddenField propertySheet1:section1:property1:productIdTextField propertySheet1:section1:property3:productNameTextField propertySheet1:section1:property7:productActiveCheckbox propertySheet1:section1:property8:productRemarksTextArea propertySheet1:section1:property2:productCodeTextField propertySheet1:section1:property6:productUnitTextField originalCodeHiddenField | propertySheet1:section2:property9:gridPanel2:saveButton">
                        <ui:hiddenField binding="#{admin$ProductEditPage.originalCodeHiddenField}" id="originalCodeHiddenField" text="#{admin$ProductEditPage.originalCode}"/>
                        <ui:hiddenField binding="#{admin$ProductEditPage.topProductStringHiddenField}" id="topProductStringHiddenField" text="#{admin$ProductEditPage.topProductString}"/>
                        <ui:hiddenField binding="#{admin$ProductEditPage.viewFilterStringHiddenField}" id="viewFilterStringHiddenField" text="#{admin$ProductEditPage.viewFilterString}"/>
                        <ui:hiddenField binding="#{admin$ProductEditPage.productIdHiddenField}" id="productIdHiddenField" text="#{admin$ProductEditPage.product.id}"/>
                        <ui:propertySheet binding="#{admin$ProductEditPage.propertySheet1}" id="propertySheet1" style="left: 144px; top: 24px; position: absolute">
                            <ui:propertySheetSection binding="#{admin$ProductEditPage.section1}" id="section1" label="">
                                <ui:property binding="#{admin$ProductEditPage.property1}" id="property1" label="#{msgBundle.ID}">
                                    <ui:textField binding="#{admin$ProductEditPage.productIdTextField}" disabled="true" id="productIdTextField"
                                        required="true" text="#{admin$ProductEditPage.product.id}"/>
                                    <ui:message binding="#{admin$ProductEditPage.message4}" for="productIdTextField" id="message4" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$ProductEditPage.property2}" id="property2" label="#{msgBundle.Code}">
                                    <ui:textField binding="#{admin$ProductEditPage.productCodeTextField}" id="productCodeTextField" required="true" text="#{admin$ProductEditPage.product.code}"/>
                                    <ui:message binding="#{admin$ProductEditPage.message5}" for="productCodeTextField" id="message5" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$ProductEditPage.property3}" id="property3" label="#{msgBundle.Name}">
                                    <ui:textField binding="#{admin$ProductEditPage.productNameTextField}" columns="70" id="productNameTextField"
                                        required="true" text="#{admin$ProductEditPage.product.name}"/>
                                    <ui:message binding="#{admin$ProductEditPage.message1}" for="productNameTextField" id="message1" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$ProductEditPage.property6}" id="property6" label="#{msgBundle.Unit}">
                                    <ui:textField binding="#{admin$ProductEditPage.productUnitTextField}" columns="60" id="productUnitTextField"
                                        required="true" text="#{admin$ProductEditPage.product.unit}"/>
                                    <ui:message binding="#{admin$ProductEditPage.message6}" for="productUnitTextField" id="message6" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$ProductEditPage.property7}" id="property7" label="#{msgBundle.Active}">
                                    <ui:checkbox binding="#{admin$ProductEditPage.productActiveCheckbox}" id="productActiveCheckbox" selected="#{admin$ProductEditPage.product.active}"/>
                                    <ui:message binding="#{admin$ProductEditPage.message3}" for="productActiveCheckbox" id="message3" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$ProductEditPage.property8}" id="property8" label="#{msgBundle.Remarks}">
                                    <ui:textArea binding="#{admin$ProductEditPage.productRemarksTextArea}" columns="80" id="productRemarksTextArea"
                                        rows="10" text="#{admin$ProductEditPage.product.remarks}"/>
                                    <ui:message binding="#{admin$ProductEditPage.message2}" for="productRemarksTextArea" id="message2" showDetail="false" showSummary="true"/>
                                </ui:property>
                            </ui:propertySheetSection>
                            <ui:propertySheetSection binding="#{admin$ProductEditPage.section2}" id="section2">
                                <ui:property binding="#{admin$ProductEditPage.property9}" id="property9" label="">
                                    <h:panelGrid binding="#{admin$ProductEditPage.gridPanel2}" columns="3" id="gridPanel2">
                                        <ui:button action="#{admin$ProductEditPage.saveButton_action}" binding="#{admin$ProductEditPage.saveButton}"
                                            id="saveButton" style="height: 24px; width: 72px" text="#{msgBundle.Save}"/>
                                        <ui:button action="#{admin$ProductEditPage.cancelButton_action}" binding="#{admin$ProductEditPage.cancelButton}"
                                            id="cancelButton" style="height: 24px; width: 72px" text="#{msgBundle.Cancel}"/>
                                        <ui:messageGroup binding="#{admin$ProductEditPage.messageGroup1}" id="messageGroup1"/>
                                    </h:panelGrid>
                                </ui:property>
                            </ui:propertySheetSection>
                        </ui:propertySheet>
                    </ui:form>
                    <jsp:directive.include file="AdminNavigationFragment.jspf"/>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
</jsp:root>
