<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <f:view>
        <ui:page binding="#{admin$SupplierUserEditPage.page1}" id="page1">
            <ui:html binding="#{admin$SupplierUserEditPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{admin$SupplierUserEditPage.head1}" id="head1">
                    <ui:link binding="#{admin$SupplierUserEditPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{admin$SupplierUserEditPage.body1}" id="body1" style="-rave-layout: grid">
                    <ui:form binding="#{admin$SupplierUserEditPage.form1}" id="form1"
                        style="height: 312px; left: 0px; top: 48px; position: absolute; width: 120px" virtualFormsConfig="cancelForm | topSupplierUserStringHiddenField viewFilterStringHiddenField supplierUserIdHiddenField | propertySheet1:section2:property9:gridPanel2:cancelButton , saveForm | topSupplierUserStringHiddenField viewFilterStringHiddenField supplierUserIdHiddenField propertySheet1:section1:property1:supplierUserIdTextField propertySheet1:section1:property3:supplierUserNameTextField propertySheet1:section1:property11:supplierNameDropDown propertySheet1:section1:property10:supplierUserAdminCheckbox propertySheet1:section1:property7:supplierUserActiveCheckbox propertySheet1:section1:property8:supplierUserRemarksTextArea propertySheet1:section1:property2:supplierUserUseridTextField propertySheet1:section1:property4:supplierUserPassword1PasswordField propertySheet1:section1:property5:supplierUserPassword2PasswordField propertySheet1:section1:property6:supplierUserEmailTextField originalUseridHiddenField | propertySheet1:section2:property9:gridPanel2:saveButton">
                        <ui:hiddenField binding="#{admin$SupplierUserEditPage.originalUseridHiddenField}" id="originalUseridHiddenField" text="#{admin$SupplierUserEditPage.originalUserid}"/>
                        <ui:hiddenField binding="#{admin$SupplierUserEditPage.topSupplierUserStringHiddenField}" id="topSupplierUserStringHiddenField" text="#{admin$SupplierUserEditPage.topSupplierUserString}"/>
                        <ui:hiddenField binding="#{admin$SupplierUserEditPage.viewFilterStringHiddenField}" id="viewFilterStringHiddenField" text="#{admin$SupplierUserEditPage.viewFilterString}"/>
                        <ui:hiddenField binding="#{admin$SupplierUserEditPage.supplierUserIdHiddenField}" id="supplierUserIdHiddenField" text="#{admin$SupplierUserEditPage.supplierUser.id}"/>
                        <ui:propertySheet binding="#{admin$SupplierUserEditPage.propertySheet1}" id="propertySheet1" style="left: 144px; top: 24px; position: absolute">
                            <ui:propertySheetSection binding="#{admin$SupplierUserEditPage.section1}" id="section1" label="">
                                <ui:property binding="#{admin$SupplierUserEditPage.property1}" id="property1" label="#{msgBundle.ID}">
                                    <ui:textField binding="#{admin$SupplierUserEditPage.supplierUserIdTextField}" disabled="true" id="supplierUserIdTextField"
                                        required="true" text="#{admin$SupplierUserEditPage.supplierUser.id}"/>
                                    <ui:message binding="#{admin$SupplierUserEditPage.message4}" for="supplierUserIdTextField" id="message4" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierUserEditPage.property2}" id="property2" label="#{msgBundle.UserID}">
                                    <ui:textField binding="#{admin$SupplierUserEditPage.supplierUserUseridTextField}" id="supplierUserUseridTextField" required="true" text="#{admin$SupplierUserEditPage.supplierUser.userid}"/>
                                    <ui:message binding="#{admin$SupplierUserEditPage.message5}" for="supplierUserUseridTextField" id="message5" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierUserEditPage.property3}" id="property3" label="#{msgBundle.Name}">
                                    <ui:textField binding="#{admin$SupplierUserEditPage.supplierUserNameTextField}" columns="70" id="supplierUserNameTextField"
                                        required="true" text="#{admin$SupplierUserEditPage.supplierUser.name}"/>
                                    <ui:message binding="#{admin$SupplierUserEditPage.message1}" for="supplierUserNameTextField" id="message1" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierUserEditPage.property4}" id="property4" label="#{msgBundle.Password}">
                                    <ui:passwordField binding="#{admin$SupplierUserEditPage.supplierUserPassword1PasswordField}"
                                        id="supplierUserPassword1PasswordField" password="#{admin$SupplierUserEditPage.supplierUser.password}"/>
                                    <ui:message binding="#{admin$SupplierUserEditPage.message7}" for="supplierUserPassword1PasswordField" id="message7"
                                        showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierUserEditPage.property5}" id="property5" label="#{msgBundle.ConfirmPassword}">
                                    <ui:passwordField binding="#{admin$SupplierUserEditPage.supplierUserPassword2PasswordField}" id="supplierUserPassword2PasswordField"/>
                                    <ui:message binding="#{admin$SupplierUserEditPage.message8}" for="supplierUserPassword2PasswordField" id="message8"
                                        showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierUserEditPage.property6}" id="property6" label="#{msgBundle.Email}">
                                    <ui:textField binding="#{admin$SupplierUserEditPage.supplierUserEmailTextField}" columns="60" id="supplierUserEmailTextField"
                                        required="true" text="#{admin$SupplierUserEditPage.supplierUser.email}"/>
                                    <ui:message binding="#{admin$SupplierUserEditPage.message6}" for="supplierUserEmailTextField" id="message6" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierUserEditPage.property11}" id="property11" label="#{msgBundle.Supplier}">
                                    <ui:dropDown binding="#{admin$SupplierUserEditPage.supplierNameDropDown}" id="supplierNameDropDown"
                                        items="#{admin$SupplierUserEditPage.supplierNameOptionsList.options}" required="true" selected="#{admin$SupplierUserEditPage.supplierNameOptionsList.selectedValue}"/>
                                    <ui:message binding="#{admin$SupplierUserEditPage.message10}" for="supplierNameDropDown" id="message10" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierUserEditPage.property10}" id="property10" label="#{msgBundle.Admin}">
                                    <ui:checkbox binding="#{admin$SupplierUserEditPage.supplierUserAdminCheckbox}" id="supplierUserAdminCheckbox" selected="#{admin$SupplierUserEditPage.supplierUser.admin}"/>
                                    <ui:message binding="#{admin$SupplierUserEditPage.message9}" for="supplierUserAdminCheckbox" id="message9" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierUserEditPage.property7}" id="property7" label="#{msgBundle.Active}">
                                    <ui:checkbox binding="#{admin$SupplierUserEditPage.supplierUserActiveCheckbox}" id="supplierUserActiveCheckbox" selected="#{admin$SupplierUserEditPage.supplierUser.active}"/>
                                    <ui:message binding="#{admin$SupplierUserEditPage.message3}" for="supplierUserActiveCheckbox" id="message3" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierUserEditPage.property8}" id="property8" label="#{msgBundle.Remarks}">
                                    <ui:textArea binding="#{admin$SupplierUserEditPage.supplierUserRemarksTextArea}" columns="80" id="supplierUserRemarksTextArea"
                                        rows="10" text="#{admin$SupplierUserEditPage.supplierUser.remarks}"/>
                                    <ui:message binding="#{admin$SupplierUserEditPage.message2}" for="supplierUserRemarksTextArea" id="message2" showDetail="false" showSummary="true"/>
                                </ui:property>
                            </ui:propertySheetSection>
                            <ui:propertySheetSection binding="#{admin$SupplierUserEditPage.section2}" id="section2">
                                <ui:property binding="#{admin$SupplierUserEditPage.property9}" id="property9" label="">
                                    <h:panelGrid binding="#{admin$SupplierUserEditPage.gridPanel2}" columns="3" id="gridPanel2">
                                        <ui:button action="#{admin$SupplierUserEditPage.saveButton_action}" binding="#{admin$SupplierUserEditPage.saveButton}"
                                            id="saveButton" style="height: 24px; width: 72px" text="#{msgBundle.Save}"/>
                                        <ui:button action="#{admin$SupplierUserEditPage.cancelButton_action}"
                                            binding="#{admin$SupplierUserEditPage.cancelButton}" id="cancelButton" style="height: 24px; width: 72px" text="#{msgBundle.Cancel}"/>
                                        <ui:messageGroup binding="#{admin$SupplierUserEditPage.messageGroup1}" id="messageGroup1"/>
                                    </h:panelGrid>
                                </ui:property>
                            </ui:propertySheetSection>
                        </ui:propertySheet>
                    </ui:form>
                    <jsp:directive.include file="AdminNavigationFragment.jspf"/>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
</jsp:root>
