<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <f:view>
        <ui:page binding="#{admin$SystemUserEditPage.page1}" id="page1">
            <ui:html binding="#{admin$SystemUserEditPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{admin$SystemUserEditPage.head1}" id="head1">
                    <ui:link binding="#{admin$SystemUserEditPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{admin$SystemUserEditPage.body1}" id="body1" style="-rave-layout: grid">
                    <ui:form binding="#{admin$SystemUserEditPage.form1}" id="form1"
                        style="height: 312px; left: 0px; top: 48px; position: absolute; width: 120px" virtualFormsConfig="cancelForm | topSystemUserStringHiddenField viewFilterStringHiddenField systemUserIdHiddenField | propertySheet1:section2:property9:gridPanel2:cancelButton , saveForm | topSystemUserStringHiddenField viewFilterStringHiddenField systemUserIdHiddenField propertySheet1:section1:property1:systemUserIdTextField propertySheet1:section1:property3:systemUserNameTextField propertySheet1:section1:property7:systemUserActiveCheckbox propertySheet1:section1:property8:systemUserRemarksTextArea propertySheet1:section1:property2:systemUserUseridTextField propertySheet1:section1:property4:systemUserPassword1PasswordField propertySheet1:section1:property5:systemUserPassword2PasswordField propertySheet1:section1:property6:systemUserEmailTextField originalUseridHiddenField | propertySheet1:section2:property9:gridPanel2:saveButton">
                        <ui:hiddenField binding="#{admin$SystemUserEditPage.originalUseridHiddenField}" id="originalUseridHiddenField" text="#{admin$SystemUserEditPage.originalUserid}"/>
                        <ui:hiddenField binding="#{admin$SystemUserEditPage.topSystemUserStringHiddenField}" id="topSystemUserStringHiddenField" text="#{admin$SystemUserEditPage.topSystemUserString}"/>
                        <ui:hiddenField binding="#{admin$SystemUserEditPage.viewFilterStringHiddenField}" id="viewFilterStringHiddenField" text="#{admin$SystemUserEditPage.viewFilterString}"/>
                        <ui:hiddenField binding="#{admin$SystemUserEditPage.systemUserIdHiddenField}" id="systemUserIdHiddenField" text="#{admin$SystemUserEditPage.systemUser.id}"/>
                        <ui:propertySheet binding="#{admin$SystemUserEditPage.propertySheet1}" id="propertySheet1" style="left: 144px; top: 24px; position: absolute">
                            <ui:propertySheetSection binding="#{admin$SystemUserEditPage.section1}" id="section1" label="">
                                <ui:property binding="#{admin$SystemUserEditPage.property1}" id="property1" label="#{msgBundle.ID}">
                                    <ui:textField binding="#{admin$SystemUserEditPage.systemUserIdTextField}" disabled="true" id="systemUserIdTextField"
                                        required="true" text="#{admin$SystemUserEditPage.systemUser.id}"/>
                                    <ui:message binding="#{admin$SystemUserEditPage.message4}" for="systemUserIdTextField" id="message4" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SystemUserEditPage.property2}" id="property2" label="#{msgBundle.UserID}">
                                    <ui:textField binding="#{admin$SystemUserEditPage.systemUserUseridTextField}" id="systemUserUseridTextField" required="true" text="#{admin$SystemUserEditPage.systemUser.userid}"/>
                                    <ui:message binding="#{admin$SystemUserEditPage.message5}" for="systemUserUseridTextField" id="message5" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SystemUserEditPage.property3}" id="property3" label="#{msgBundle.Name}">
                                    <ui:textField binding="#{admin$SystemUserEditPage.systemUserNameTextField}" columns="70" id="systemUserNameTextField"
                                        required="true" text="#{admin$SystemUserEditPage.systemUser.name}"/>
                                    <ui:message binding="#{admin$SystemUserEditPage.message1}" for="systemUserNameTextField" id="message1" showDetail="false"
                                        showSummary="true" />
                                </ui:property>
                                <ui:property binding="#{admin$SystemUserEditPage.property4}" id="property4" label="#{msgBundle.Password}">
                                    <ui:passwordField binding="#{admin$SystemUserEditPage.systemUserPassword1PasswordField}"
                                        id="systemUserPassword1PasswordField" password="#{admin$SystemUserEditPage.systemUser.password}"/>
                                    <ui:message binding="#{admin$SystemUserEditPage.message7}" for="systemUserPassword1PasswordField" id="message7"
                                        showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SystemUserEditPage.property5}" id="property5" label="#{msgBundle.ConfirmPassword}">
                                    <ui:passwordField binding="#{admin$SystemUserEditPage.systemUserPassword2PasswordField}" id="systemUserPassword2PasswordField"/>
                                    <ui:message binding="#{admin$SystemUserEditPage.message8}" for="systemUserPassword2PasswordField" id="message8"
                                        showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SystemUserEditPage.property6}" id="property6" label="#{msgBundle.Email}">
                                    <ui:textField binding="#{admin$SystemUserEditPage.systemUserEmailTextField}" columns="60" id="systemUserEmailTextField"
                                        required="true" text="#{admin$SystemUserEditPage.systemUser.email}"/>
                                    <ui:message binding="#{admin$SystemUserEditPage.message6}" for="systemUserEmailTextField" id="message6" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SystemUserEditPage.property7}" id="property7" label="#{msgBundle.Active}">
                                    <ui:checkbox binding="#{admin$SystemUserEditPage.systemUserActiveCheckbox}" id="systemUserActiveCheckbox" selected="#{admin$SystemUserEditPage.systemUser.active}"/>
                                    <ui:message binding="#{admin$SystemUserEditPage.message3}" for="systemUserActiveCheckbox" id="message3" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SystemUserEditPage.property8}" id="property8" label="#{msgBundle.Remarks}">
                                    <ui:textArea binding="#{admin$SystemUserEditPage.systemUserRemarksTextArea}" columns="80" id="systemUserRemarksTextArea"
                                        rows="10" text="#{admin$SystemUserEditPage.systemUser.remarks}"/>
                                    <ui:message binding="#{admin$SystemUserEditPage.message2}" for="systemUserRemarksTextArea" id="message2" showDetail="false" showSummary="true"/>
                                </ui:property>
                            </ui:propertySheetSection>
                            <ui:propertySheetSection binding="#{admin$SystemUserEditPage.section2}" id="section2">
                                <ui:property binding="#{admin$SystemUserEditPage.property9}" id="property9" label="">
                                    <h:panelGrid binding="#{admin$SystemUserEditPage.gridPanel2}" columns="3" id="gridPanel2">
                                        <ui:button action="#{admin$SystemUserEditPage.saveButton_action}" binding="#{admin$SystemUserEditPage.saveButton}"
                                            id="saveButton" style="height: 24px; width: 72px" text="#{msgBundle.Save}"/>
                                        <ui:button action="#{admin$SystemUserEditPage.cancelButton_action}" binding="#{admin$SystemUserEditPage.cancelButton}"
                                            id="cancelButton" style="height: 24px; width: 72px" text="#{msgBundle.Cancel}"/>
                                        <ui:messageGroup binding="#{admin$SystemUserEditPage.messageGroup1}" id="messageGroup1"/>
                                    </h:panelGrid>
                                </ui:property>
                            </ui:propertySheetSection>
                        </ui:propertySheet>
                    </ui:form>
                    <jsp:directive.include file="AdminNavigationFragment.jspf"/>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
</jsp:root>
