/*
 * $Id: Role.java,v 1.2 2007/05/15 16:01:59 bacon Exp $
 */

package com.unimar.shipneeds;

public class Role
{
	private String name;
	private String longName;

	public Role ()
	{
		clear ();
	}

	public Role (Role role)
	{
		copy (role);
	}

	public void copy (Role role)
	{
		this.name = role.name;
		this.longName = role.longName;
	}

	public void clear ()
	{
		this.name = "";
		this.longName = "";
	}

	public boolean equals (Role role)
	{
		return this.name.equals(role.name) &&
		       this.longName.equals(role.longName);
	}

	public String getName ()
	{
		return this.name;
	}

	public void setName (String s)
	{
		this.name = s;
	}

	public String getLongName ()
	{
		return this.longName;
	}

	public void setLongName (String s)
	{
		this.longName = s;
	}
}
