/*
 * $Id: Storage.java,v 1.1 2007/05/16 15:47:47 tomanish Exp $
 */

package com.unimar.shipneeds.model.businessobjects;

import com.unimar.shipneeds.exceptions.StorageException;
import java.util.List;

public abstract class Storage
{
	public abstract void close ();

	public abstract void addGroup (Group group) throws StorageException;
	public abstract void updateGroup (
		Group oldGroup, Group newGroup) throws StorageException;
	public abstract void deleteGroup (String group) throws StorageException;
	public abstract List getGroups () throws StorageException;

	public abstract void addUser (User user) throws StorageException;
	public abstract void updateUser (
		User oldUser, User newUser) throws StorageException;
	public abstract void deleteUser (String user) throws StorageException;
	public abstract List getUsers (String user) throws StorageException;

	public abstract List getRoles () throws StorageException;



	public abstract void addRfq (String username, Rfq rfq) throws StorageException;
	public abstract List getRfqs (String username) throws StorageException;
}
