

package com.unimar.shipneeds.model.dataaccess;

import com.unimar.shipneeds.model.businessobjects.RfqItem;


public interface RfqItemDAO {
    
    public RfqItem findOrderItem(String orderItemId) throws DAOException;
    public RfqItem[] findAllOrderItem() throws DAOException;
    public void insertOrderItem(RfqItem orderItem) throws DAOException;
    public void updateOrderItem(RfqItem orderItem) throws DAOException;
    public void deleteOrderItem(RfqItem orderItem) throws DAOException; 
}
