package com.unimar.shipneeds.model.dataaccess.hibernate;

import com.unimar.shipneeds.model.dataaccess.DAOFactory;

import com.unimar.shipneeds.model.dataaccess.RfqDAO;

import com.unimar.shipneeds.model.dataaccess.UserDAO;

public class DAOFactoryImpl extends DAOFactory {
    
   
    private RfqDAO RfqDAO = new RfqDAOImpl();
    
    private UserDAO userDAO = new UserDAOImpl();
    
    
    public RfqDAO getRfqDAO() {
        return RfqDAO;
    }

   
    
    public UserDAO getUserDAO() {
        return userDAO;                
    }
    
}