<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>	

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>

<f:view locale="#{pageContext.request.locale}">
    <f:loadBundle basename="labels" var="labels" />
    
    <html>
	<head>
	    <title>${labels.login}</title>
	    <link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/style.css">
	</head>
	<body bgcolor="white">
	    
	    <div class="title">Please Login</div>
	    <p>
		The page you requested is only available to registered users.
		Please enter your username and password and click Login.
	    </p>
	    <form action="j_security_check" method="post">
		<table class="tablebg">
		    <tr>
			<td align="right">${labels.username}:</td>
			<td><input name="j_username"></td>
		    </tr>
		    <tr>
			<td align="right">${labels.password}:</td>
			<td>
			    <input type="password" name="j_password">
			</td>
		    </tr>
		</table>
		<input type="submit" value="${labels.login}" >
	    </form>
	</body>
    </html>
    
</f:view>