<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@ taglib prefix="h" uri="http://java.sun.com/jsf/html" %>
<%@ taglib prefix="f" uri="http://java.sun.com/jsf/core" %>

<%
{
	javax.faces.context.FacesContext fc = javax.faces.context.FacesContext.getCurrentInstance();
	String remoteUser = ((HttpServletRequest)pageContext.getRequest()).getRemoteUser ();
	pageContext.setAttribute ("loginUser", remoteUser, PageContext.SESSION_SCOPE);
}
%>

<f:view locale="#{userProfile.locale}">
	<f:loadBundle basename="labels" var="labels" />
	
	<html>
		
		<head>
			<title>SHIPNEEDS</title>
			<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/style.css">
		</head>
		
		<body>
			
			<h:form id="topbar">
				<%@ include file="WEB-INF/jspf/topbar.jspf" %>
			</h:form>
			
			<h:form>
				[<h:outputLink value="buyer/RfqList.faces"><h:outputText value="RFQ List For Buyer" /></h:outputLink>]
				[<h:outputLink value="supplier/RfqList.faces"><h:outputText value="RFQ List For Supplier" /></h:outputLink>]
				[<h:outputLink value="admin/UserAdmin.faces"><h:outputText value="User Administration" /></h:outputLink>]
			</h:form>
			
		</body>
	</html>
	
</f:view>
