/*
 * $Id: BuyerUserEditPage.java,v 1.2 2007/09/23 03:02:56 bacon Exp $
 */

package com.unimar.shipneeds.admin;

import com.sun.rave.web.ui.appbase.AbstractPageBean;
import com.sun.rave.web.ui.component.Alert;
import com.sun.rave.web.ui.component.Body;
import com.sun.rave.web.ui.component.Button;
import com.sun.rave.web.ui.component.Checkbox;
import com.sun.rave.web.ui.component.DropDown;
import com.sun.rave.web.ui.component.Form;
import com.sun.rave.web.ui.component.Head;
import com.sun.rave.web.ui.component.HiddenField;
import com.sun.rave.web.ui.component.Html;
import com.sun.rave.web.ui.component.Link;
import com.sun.rave.web.ui.component.Message;
import com.sun.rave.web.ui.component.MessageGroup;
import com.sun.rave.web.ui.component.Page;
import com.sun.rave.web.ui.component.PasswordField;
import com.sun.rave.web.ui.component.Property;
import com.sun.rave.web.ui.component.PropertySheet;
import com.sun.rave.web.ui.component.PropertySheetSection;
import com.sun.rave.web.ui.component.TextArea;
import com.sun.rave.web.ui.component.TextField;
import com.sun.rave.web.ui.model.Option;
import com.sun.rave.web.ui.model.SingleSelectOptionsList;
import com.unimar.shipneeds.ApplicationBean1;
import com.unimar.shipneeds.RequestBean1;
import com.unimar.shipneeds.SessionBean1;
import com.unimar.shipneeds.trans.AdminTransaction;
import com.unimar.shipneeds.model.Buyer;
import com.unimar.shipneeds.model.BuyerUser;
import com.unimar.shipneeds.util.Resource;
import java.util.List;
import java.util.Iterator;
import java.util.Map;
import javax.faces.FacesException;
import javax.faces.component.html.HtmlPanelGrid;
import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;

/**
 * <p>Page bean that corresponds to a similarly named JSP page.  This
 * class contains component definitions (and initialization code) for
 * all components that you have defined on this page, as well as
 * lifecycle methods and event handlers where you may add behavior
 * to respond to incoming events.</p>
 */
public class BuyerUserEditPage extends AbstractPageBean
{
	// <editor-fold defaultstate="collapsed" desc="Managed Component Definition">
	private int __placeholder;
	
	/**
	 * <p>Automatically managed component initialization.  <strong>WARNING:</strong>
	 * This method is automatically generated, so any user-specified code inserted
	 * here is subject to being replaced.</p>
	 */
	private void _init () throws Exception
	{
	}
	
	private Page page1 = new Page ();
	
	public Page getPage1 ()
	{
		return page1;
	}
	
	public void setPage1 (Page p)
	{
		this.page1 = p;
	}
	
	private Html html1 = new Html ();
	
	public Html getHtml1 ()
	{
		return html1;
	}
	
	public void setHtml1 (Html h)
	{
		this.html1 = h;
	}
	
	private Head head1 = new Head ();
	
	public Head getHead1 ()
	{
		return head1;
	}
	
	public void setHead1 (Head h)
	{
		this.head1 = h;
	}
	
	private Link link1 = new Link ();
	
	public Link getLink1 ()
	{
		return link1;
	}
	
	public void setLink1 (Link l)
	{
		this.link1 = l;
	}
	
	private Body body1 = new Body ();
	
	public Body getBody1 ()
	{
		return body1;
	}
	
	public void setBody1 (Body b)
	{
		this.body1 = b;
	}
	
	private Form form1 = new Form ();
	
	public Form getForm1 ()
	{
		return form1;
	}
	
	public void setForm1 (Form f)
	{
		this.form1 = f;
	}

	private TextField buyerUserNameTextField = new TextField ();

	public TextField getBuyerUserNameTextField ()
	{
		return buyerUserNameTextField;
	}

	public void setBuyerUserNameTextField (TextField tf)
	{
		this.buyerUserNameTextField = tf;
	}

	private TextArea buyerUserRemarksTextArea = new TextArea ();

	public TextArea getBuyerUserRemarksTextArea ()
	{
		return buyerUserRemarksTextArea;
	}

	public void setBuyerUserRemarksTextArea (TextArea ta)
	{
		this.buyerUserRemarksTextArea = ta;
	}

	private Message message1 = new Message ();

	public Message getMessage1 ()
	{
		return message1;
	}

	public void setMessage1 (Message m)
	{
		this.message1 = m;
	}

	private Message message2 = new Message ();

	public Message getMessage2 ()
	{
		return message2;
	}

	public void setMessage2 (Message m)
	{
		this.message2 = m;
	}

	private Message message3 = new Message ();

	public Message getMessage3 ()
	{
		return message3;
	}

	public void setMessage3 (Message m)
	{
		this.message3 = m;
	}

	private Button saveButton = new Button ();

	public Button getSaveButton ()
	{
		return saveButton;
	}

	public void setSaveButton (Button b)
	{
		this.saveButton = b;
	}

	private Button cancelButton = new Button ();

	public Button getCancelButton ()
	{
		return cancelButton;
	}

	public void setCancelButton (Button b)
	{
		this.cancelButton = b;
	}

	private Checkbox buyerUserAdminCheckbox = new Checkbox ();

	public Checkbox getBuyerUserAdminCheckbox ()
	{
		return buyerUserAdminCheckbox;
	}

	public void setBuyerUserAdminCheckbox (Checkbox c)
	{
		this.buyerUserAdminCheckbox = c;
	}

	private Checkbox buyerUserActiveCheckbox = new Checkbox ();

	public Checkbox getBuyerUserActiveCheckbox ()
	{
		return buyerUserActiveCheckbox;
	}

	public void setBuyerUserActiveCheckbox (Checkbox c)
	{
		this.buyerUserActiveCheckbox = c;
	}

	private TextField buyerUserIdTextField = new TextField ();

	public TextField getBuyerUserIdTextField ()
	{
		return buyerUserIdTextField;
	}

	public void setBuyerUserIdTextField (TextField tf)
	{
		this.buyerUserIdTextField = tf;
	}

	private HtmlPanelGrid gridPanel2 = new HtmlPanelGrid ();

	public HtmlPanelGrid getGridPanel2 ()
	{
		return gridPanel2;
	}

	public void setGridPanel2 (HtmlPanelGrid hpg)
	{
		this.gridPanel2 = hpg;
	}

	private Message message4 = new Message ();

	public Message getMessage4 ()
	{
		return message4;
	}

	public void setMessage4 (Message m)
	{
		this.message4 = m;
	}

	private HiddenField buyerUserIdHiddenField = new HiddenField ();

	public HiddenField getBuyerUserIdHiddenField ()
	{
		return buyerUserIdHiddenField;
	}

	public void setBuyerUserIdHiddenField (HiddenField hf)
	{
		this.buyerUserIdHiddenField = hf;
	}

	private HiddenField viewFilterStringHiddenField = new HiddenField ();

	public HiddenField getViewFilterStringHiddenField ()
	{
		return viewFilterStringHiddenField;
	}

	public void setViewFilterStringHiddenField (HiddenField hf)
	{
		this.viewFilterStringHiddenField = hf;
	}

	private HiddenField topBuyerUserStringHiddenField = new HiddenField ();

	public HiddenField getTopBuyerUserStringHiddenField ()
	{
		return topBuyerUserStringHiddenField;
	}

	public void setTopBuyerUserStringHiddenField (HiddenField hf)
	{
		this.topBuyerUserStringHiddenField = hf;
	}

	private TextField buyerUserUseridTextField = new TextField ();

	public TextField getBuyerUserUseridTextField ()
	{
		return buyerUserUseridTextField;
	}

	public void setBuyerUserUseridTextField (TextField tf)
	{
		this.buyerUserUseridTextField = tf;
	}

	private TextField buyerUserEmailTextField = new TextField ();

	public TextField getBuyerUserEmailTextField ()
	{
		return buyerUserEmailTextField;
	}

	public void setBuyerUserEmailTextField (TextField tf)
	{
		this.buyerUserEmailTextField = tf;
	}

	private PasswordField buyerUserPassword1PasswordField = new PasswordField ();

	public PasswordField getBuyerUserPassword1PasswordField ()
	{
		return buyerUserPassword1PasswordField;
	}

	public void setBuyerUserPassword1PasswordField (PasswordField pf)
	{
		this.buyerUserPassword1PasswordField = pf;
	}

	private PasswordField buyerUserPassword2PasswordField = new PasswordField ();

	public PasswordField getBuyerUserPassword2PasswordField ()
	{
		return buyerUserPassword2PasswordField;
	}

	public void setBuyerUserPassword2PasswordField (PasswordField pf)
	{
		this.buyerUserPassword2PasswordField = pf;
	}

	private Message message5 = new Message ();

	public Message getMessage5 ()
	{
		return message5;
	}

	public void setMessage5 (Message m)
	{
		this.message5 = m;
	}

	private Message message6 = new Message ();

	public Message getMessage6 ()
	{
		return message6;
	}

	public void setMessage6 (Message m)
	{
		this.message6 = m;
	}

	private Message message7 = new Message ();

	public Message getMessage7 ()
	{
		return message7;
	}

	public void setMessage7 (Message m)
	{
		this.message7 = m;
	}

	private Message message8 = new Message ();

	public Message getMessage8 ()
	{
		return message8;
	}

	public void setMessage8 (Message m)
	{
		this.message8 = m;
	}

	private Message message9 = new Message ();

	public Message getMessage9 ()
	{
		return message9;
	}

	public void setMessage9 (Message m)
	{
		this.message9 = m;
	}

	private Message message10 = new Message ();

	public Message getMessage10 ()
	{
		return message10;
	}

	public void setMessage10 (Message m)
	{
		this.message10 = m;
	}

	private DropDown buyerNameDropDown = new DropDown ();

	public DropDown getBuyerNameDropDown ()
	{
		return buyerNameDropDown;
	}

	public void setBuyerNameDropDown (DropDown dd)
	{
		this.buyerNameDropDown = dd;
	}


	private HiddenField originalUseridHiddenField = new HiddenField ();

	public HiddenField getOriginalUseridHiddenField ()
	{
		return originalUseridHiddenField;
	}

	public void setOriginalUseridHiddenField (HiddenField hf)
	{
		this.originalUseridHiddenField = hf;
	}

	private PropertySheet propertySheet1 = new PropertySheet ();

	public PropertySheet getPropertySheet1 ()
	{
		return propertySheet1;
	}

	public void setPropertySheet1 (PropertySheet ps)
	{
		this.propertySheet1 = ps;
	}

	private PropertySheetSection section1 = new PropertySheetSection ();

	public PropertySheetSection getSection1 ()
	{
		return section1;
	}

	public void setSection1 (PropertySheetSection pss)
	{
		this.section1 = pss;
	}

	private Property property1 = new Property ();

	public Property getProperty1 ()
	{
		return property1;
	}

	public void setProperty1 (Property p)
	{
		this.property1 = p;
	}

	private Property property2 = new Property ();

	public Property getProperty2 ()
	{
		return property2;
	}

	public void setProperty2 (Property p)
	{
		this.property2 = p;
	}

	private Property property3 = new Property ();

	public Property getProperty3 ()
	{
		return property3;
	}

	public void setProperty3 (Property p)
	{
		this.property3 = p;
	}

	private Property property4 = new Property ();

	public Property getProperty4 ()
	{
		return property4;
	}

	public void setProperty4 (Property p)
	{
		this.property4 = p;
	}

	private Property property5 = new Property ();

	public Property getProperty5 ()
	{
		return property5;
	}

	public void setProperty5 (Property p)
	{
		this.property5 = p;
	}

	private Property property6 = new Property ();

	public Property getProperty6 ()
	{
		return property6;
	}

	public void setProperty6 (Property p)
	{
		this.property6 = p;
	}

	private Property property7 = new Property ();

	public Property getProperty7 ()
	{
		return property7;
	}

	public void setProperty7 (Property p)
	{
		this.property7 = p;
	}

	private Property property8 = new Property ();

	public Property getProperty8 ()
	{
		return property8;
	}

	public void setProperty8 (Property p)
	{
		this.property8 = p;
	}

	private PropertySheetSection section2 = new PropertySheetSection ();

	public PropertySheetSection getSection2 ()
	{
		return section2;
	}

	public void setSection2 (PropertySheetSection pss)
	{
		this.section2 = pss;
	}

	private Property property9 = new Property ();

	public Property getProperty9 ()
	{
		return property9;
	}

	public void setProperty9 (Property p)
	{
		this.property9 = p;
	}

	private Property property10 = new Property ();

	public Property getProperty10 ()
	{
		return property10;
	}

	public void setProperty10 (Property p)
	{
		this.property10 = p;
	}

	private Property property11 = new Property ();

	public Property getProperty11 ()
	{
		return property11;
	}

	public void setProperty11 (Property p)
	{
		this.property11 = p;
	}

	private MessageGroup messageGroup1 = new MessageGroup ();

	public MessageGroup getMessageGroup1 ()
	{
		return messageGroup1;
	}

	public void setMessageGroup1 (MessageGroup mg)
	{
		this.messageGroup1 = mg;
	}
	
	// </editor-fold>
	
	/**
	 * <p>Construct a new Page bean instance.</p>
	 */
	public BuyerUserEditPage ()
	{
	}
	
	/**
	 * <p>Callback method that is called whenever a page is navigated to,
	 * either directly via a URL, or indirectly via page navigation.
	 * Customize this method to acquire resources that will be needed
	 * for event handlers and lifecycle methods, whether or not this
	 * page is performing post back processing.</p>
	 *
	 * <p>Note that, if the current request is a postback, the property
	 * values of the components do <strong>not</strong> represent any
	 * values submitted with this request.  Instead, they represent the
	 * property values that were saved for this view when it was rendered.</p>
	 */
	public void init ()
	{
		// Perform initializations inherited from our superclass
		super.init ();
		// Perform application initialization that must complete
		// *before* managed components are initialized
		// TODO - add your own initialiation code here
		
		// <editor-fold defaultstate="collapsed" desc="Managed Component Initialization">
		// Initialize automatically managed components
		// *Note* - this logic should NOT be modified
		try
		{
			_init ();
		}
		catch (Exception e)
		{
			log ("BuyerUserEditPage Initialization Failure", e);
			throw e instanceof FacesException ? (FacesException) e: new FacesException (e);
		}
		
		// </editor-fold>
		// Perform application initialization that must complete
		// *after* managed components are initialized
		// TODO - add your own initialization code here
		
		initViews ();
		if (!isPostBack()) initData ();
	}

	private void initViews ()
	{
		FacesContext ctx = getFacesContext();
		SessionBean1 sb = getSessionBean1 ();
		AdminTransaction trans = sb.getAdminTransaction ();
		
		try
		{
			List buyers = trans.getAllBuyers ();
			Option[] buyerNameOpts = new Option[buyers.size()] ;

			int idx = 0;
			for (Iterator i = buyers.iterator(); i.hasNext(); )
			{
				Buyer c = (Buyer)i.next ();
				buyerNameOpts[idx++] = 
					new Option (c.getName(), c.getName());
			}

			buyerNameOptionsList.setMultiple (false);
			buyerNameOptionsList.setOptions (buyerNameOpts);
		}
		catch (Exception e)
		{
			this.error (
				Resource.getMessageString(ctx,"CannotLoadBasicData") +
				" - " + e.getMessage ());
		}
	}

	private void initData ()
	{
		FacesContext ctx = getFacesContext();
		ExternalContext ectx = ctx.getExternalContext ();

		SessionBean1 sb = getSessionBean1 ();
		AdminTransaction trans = sb.getAdminTransaction ();
		
		this.viewFilterString = (String)ectx.getRequestMap().get("viewFilterString");
		this.topBuyerUserString = (String)ectx.getRequestMap().get ("topBuyerUserString");
		
		String id = (String)ectx.getRequestMap().get("buyerUserId");
		if (id != null)
		{
			try
			{
				buyerUser = trans.getBuyerUser (Long.parseLong (id));
				originalUserid = buyerUser.getUserid ();
				buyerNameOptionsList.setSelectedValue (buyerUser.getBuyer().getName());
			}
			catch (Exception e)
			{
				this.error (
					Resource.getMessageString(ctx,"CannotLoadData") +
					" - " + e.getMessage ());		

			}
		}
	}
	
	/**
	 * <p>Callback method that is called after the component tree has been
	 * restored, but before any event processing takes place.  This method
	 * will <strong>only</strong> be called on a postback request that
	 * is processing a form submit.  Customize this method to allocate
	 * resources that will be required in your event handlers.</p>
	 */
	public void preprocess ()
	{
	}
	
	/**
	 * <p>Callback method that is called just before rendering takes place.
	 * This method will <strong>only</strong> be called for the page that
	 * will actually be rendered (and not, for example, on a page that
	 * handled a postback and then navigated to a different page).  Customize
	 * this method to allocate resources that will be required for rendering
	 * this page.</p>
	 */
	public void prerender ()
	{
		boolean isNew = (buyerUser.getId () == BuyerUser.ID_NEW);
		if (!isNew)
		{
			buyerUserUseridTextField.setText (originalUserid);
			buyerUserUseridTextField.setDisabled (true);
		}
	}
	
	/**
	 * <p>Callback method that is called after rendering is completed for
	 * this request, if <code>init()</code> was called (regardless of whether
	 * or not this was the page that was actually rendered).  Customize this
	 * method to release resources acquired in the <code>init()</code>,
	 * <code>preprocess()</code>, or <code>prerender()</code> methods (or
	 * acquired during execution of an event handler).</p>
	 */
	public void destroy ()
	{
	}

	/**
	 * <p>Return a reference to the scoped data bean.</p>
	 */
	protected ApplicationBean1 getApplicationBean1 ()
	{
		return (ApplicationBean1)getBean("ApplicationBean1");
	}

	/**
	 * <p>Return a reference to the scoped data bean.</p>
	 */
	protected SessionBean1 getSessionBean1 ()
	{
		return (SessionBean1)getBean("SessionBean1");
	}

	/**
	 * <p>Return a reference to the scoped data bean.</p>
	 */
	protected RequestBean1 getRequestBean1 ()
	{
		return (RequestBean1)getBean("RequestBean1");
	}

	private SingleSelectOptionsList buyerNameOptionsList = new SingleSelectOptionsList ();

	public SingleSelectOptionsList getBuyerNameOptionsList ()
	{
		return this.buyerNameOptionsList;
	}

	public void setBuyerNameOptionsList (SingleSelectOptionsList buyerNameOptionsList)
	{
		this.buyerNameOptionsList = buyerNameOptionsList;
	}

	/**
	 * Holds value of property buyerUser.
	 */
	private BuyerUser buyerUser = new BuyerUser ();

	/**
	 * Getter for property buyerUser.
	 * @return Value of property buyerUser.
	 */
	public BuyerUser getBuyerUser ()
	{
		return this.buyerUser;
	}

	/**
	 * Setter for property buyerUser.
	 * @param buyerUser New value of property buyerUser.
	 */
	public void setBuyerUser (BuyerUser buyerUser)
	{
		this.buyerUser = buyerUser;
	}

	public String saveButton_action ()
	{
		FacesContext ctx = getFacesContext ();
		SessionBean1 sb = this.getSessionBean1();
		AdminTransaction trans = sb.getAdminTransaction ();
		
		String p1 = buyerUser.getPassword ();
		String p2 = (String)buyerUserPassword2PasswordField.getPassword ();
		int len1 = 0, len2 = 0;
		
		if (p1 != null) len1 = p1.length ();
		if (p2 != null) len2 = p2.length ();
		
		boolean isNew = (buyerUser.getId () == BuyerUser.ID_NEW);
		
		if ((len1 != len2)|| (len1 > 0 && len2 > 0 && !p1.equals (p2)))
		{
			this.error ("password mismatch");
			return null;
		}
		
		if (isNew)
		{
			
			if (p1 == null || p1.length() == 0)
			{
				this.error ("empty password");
				return null;
			}
		}
		else
		{
			if (p1 != null && p1.length() == 0) 
				buyerUser.setPassword (null);
		}
		
		try 
		{
			this.buyerUser.getBuyer().setName (
				(String)buyerNameOptionsList.getSelectedValue());
			trans.storeBuyerUser (this.buyerUser); 
		}
		catch (Exception e)
		{
			this.error (
				Resource.getMessageString(ctx,"CannotStoreData") +
				" - " + e.getMessage ());
			return null;

		}

		ExternalContext ectx = ctx.getExternalContext();
		Map map = ectx.getRequestMap();
		
		if (viewFilterString != null)
			map.put("viewFilterString", viewFilterString);		
		if (topBuyerUserString != null)
			map.put ("topBuyerUserString", topBuyerUserString);
		
		return "view";
	}
	
	public String cancelButton_action ()
	{
		FacesContext ctx = getFacesContext ();
		ExternalContext ectx = ctx.getExternalContext();
		Map map = ectx.getRequestMap();
		
		if (viewFilterString != null)
			map.put("viewFilterString", viewFilterString);		
		if (topBuyerUserString != null)
			map.put ("topBuyerUserString", topBuyerUserString);
		
		return "view";
	}

	/**
	 * Holds value of property viewFilterString.
	 */
	private String viewFilterString;

	/**
	 * Getter for property viewFilterString.
	 * @return Value of property viewFilterString.
	 */
	public String getViewFilterString ()
	{
		return this.viewFilterString;
	}

	/**
	 * Setter for property viewFilterString.
	 * @param viewFilterString New value of property viewFilterString.
	 */
	public void setViewFilterString (String viewFilterString)
	{
		this.viewFilterString = viewFilterString;
	}

	/**
	 * Holds value of property topBuyerUserString.
	 */
	private String topBuyerUserString;

	/**
	 * Getter for property topBuyerUserString.
	 * @return Value of property topBuyerUserString.
	 */
	public String getTopBuyerUserString ()
	{
		return this.topBuyerUserString;
	}

	/**
	 * Setter for property topBuyerUserString.
	 * @param topBuyerUserString New value of property topBuyerUserString.
	 */
	public void setTopBuyerUserString (String topBuyerUserString)
	{
		this.topBuyerUserString = topBuyerUserString;
	}

	/**
	 * Holds value of property originalUserid.
	 */
	private String originalUserid;

	/**
	 * Getter for property originalUserid.
	 * @return Value of property originalUserid.
	 */
	public String getOriginalUserid ()
	{
		return this.originalUserid;
	}

	/**
	 * Setter for property originalUserid.
	 * @param originalUserid New value of property originalUserid.
	 */
	public void setOriginalUserid (String originalUserid)
	{
		this.originalUserid = originalUserid;
	}
}

