/*
 * $Id: ProductEditPage.java,v 1.2 2007/09/29 01:29:45 bacon Exp $
 */

package com.unimar.shipneeds.admin;

import com.sun.rave.web.ui.appbase.AbstractPageBean;
import com.sun.rave.web.ui.component.Alert;
import com.sun.rave.web.ui.component.Body;
import com.sun.rave.web.ui.component.Button;
import com.sun.rave.web.ui.component.Checkbox;
import com.sun.rave.web.ui.component.Form;
import com.sun.rave.web.ui.component.Head;
import com.sun.rave.web.ui.component.HiddenField;
import com.sun.rave.web.ui.component.Html;
import com.sun.rave.web.ui.component.Link;
import com.sun.rave.web.ui.component.Message;
import com.sun.rave.web.ui.component.MessageGroup;
import com.sun.rave.web.ui.component.Page;
import com.sun.rave.web.ui.component.Property;
import com.sun.rave.web.ui.component.PropertySheet;
import com.sun.rave.web.ui.component.PropertySheetSection;
import com.sun.rave.web.ui.component.TextArea;
import com.sun.rave.web.ui.component.TextField;
import com.unimar.shipneeds.ApplicationBean1;
import com.unimar.shipneeds.RequestBean1;
import com.unimar.shipneeds.SessionBean1;
import com.unimar.shipneeds.trans.AdminTransaction;
import com.unimar.shipneeds.model.Product;
import com.unimar.shipneeds.util.Resource;
import java.util.Map;
import javax.faces.FacesException;
import javax.faces.component.html.HtmlPanelGrid;
import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;

/**
 * <p>Page bean that corresponds to a similarly named JSP page.  This
 * class contains component definitions (and initialization code) for
 * all components that you have defined on this page, as well as
 * lifecycle methods and event handlers where you may add behavior
 * to respond to incoming events.</p>
 */
public class ProductEditPage extends AbstractPageBean
{
	// <editor-fold defaultstate="collapsed" desc="Managed Component Definition">
	private int __placeholder;
	
	/**
	 * <p>Automatically managed component initialization.  <strong>WARNING:</strong>
	 * This method is automatically generated, so any user-specified code inserted
	 * here is subject to being replaced.</p>
	 */
	private void _init () throws Exception
	{
	}
	
	private Page page1 = new Page ();
	
	public Page getPage1 ()
	{
		return page1;
	}
	
	public void setPage1 (Page p)
	{
		this.page1 = p;
	}
	
	private Html html1 = new Html ();
	
	public Html getHtml1 ()
	{
		return html1;
	}
	
	public void setHtml1 (Html h)
	{
		this.html1 = h;
	}
	
	private Head head1 = new Head ();
	
	public Head getHead1 ()
	{
		return head1;
	}
	
	public void setHead1 (Head h)
	{
		this.head1 = h;
	}
	
	private Link link1 = new Link ();
	
	public Link getLink1 ()
	{
		return link1;
	}
	
	public void setLink1 (Link l)
	{
		this.link1 = l;
	}
	
	private Body body1 = new Body ();
	
	public Body getBody1 ()
	{
		return body1;
	}
	
	public void setBody1 (Body b)
	{
		this.body1 = b;
	}
	
	private Form form1 = new Form ();
	
	public Form getForm1 ()
	{
		return form1;
	}
	
	public void setForm1 (Form f)
	{
		this.form1 = f;
	}

	private TextField productNameTextField = new TextField ();

	public TextField getProductNameTextField ()
	{
		return productNameTextField;
	}

	public void setProductNameTextField (TextField tf)
	{
		this.productNameTextField = tf;
	}

	private TextArea productRemarksTextArea = new TextArea ();

	public TextArea getProductRemarksTextArea ()
	{
		return productRemarksTextArea;
	}

	public void setProductRemarksTextArea (TextArea ta)
	{
		this.productRemarksTextArea = ta;
	}

	private Message message1 = new Message ();

	public Message getMessage1 ()
	{
		return message1;
	}

	public void setMessage1 (Message m)
	{
		this.message1 = m;
	}

	private Message message2 = new Message ();

	public Message getMessage2 ()
	{
		return message2;
	}

	public void setMessage2 (Message m)
	{
		this.message2 = m;
	}

	private Message message3 = new Message ();

	public Message getMessage3 ()
	{
		return message3;
	}

	public void setMessage3 (Message m)
	{
		this.message3 = m;
	}

	private Button saveButton = new Button ();

	public Button getSaveButton ()
	{
		return saveButton;
	}

	public void setSaveButton (Button b)
	{
		this.saveButton = b;
	}

	private Button cancelButton = new Button ();

	public Button getCancelButton ()
	{
		return cancelButton;
	}

	public void setCancelButton (Button b)
	{
		this.cancelButton = b;
	}

	private Checkbox productActiveCheckbox = new Checkbox ();

	public Checkbox getProductActiveCheckbox ()
	{
		return productActiveCheckbox;
	}

	public void setProductActiveCheckbox (Checkbox c)
	{
		this.productActiveCheckbox = c;
	}

	private TextField productIdTextField = new TextField ();

	public TextField getProductIdTextField ()
	{
		return productIdTextField;
	}

	public void setProductIdTextField (TextField tf)
	{
		this.productIdTextField = tf;
	}

	private HtmlPanelGrid gridPanel2 = new HtmlPanelGrid ();

	public HtmlPanelGrid getGridPanel2 ()
	{
		return gridPanel2;
	}

	public void setGridPanel2 (HtmlPanelGrid hpg)
	{
		this.gridPanel2 = hpg;
	}

	private Message message4 = new Message ();

	public Message getMessage4 ()
	{
		return message4;
	}

	public void setMessage4 (Message m)
	{
		this.message4 = m;
	}

	private HiddenField productIdHiddenField = new HiddenField ();

	public HiddenField getProductIdHiddenField ()
	{
		return productIdHiddenField;
	}

	public void setProductIdHiddenField (HiddenField hf)
	{
		this.productIdHiddenField = hf;
	}

	private HiddenField viewFilterStringHiddenField = new HiddenField ();

	public HiddenField getViewFilterStringHiddenField ()
	{
		return viewFilterStringHiddenField;
	}

	public void setViewFilterStringHiddenField (HiddenField hf)
	{
		this.viewFilterStringHiddenField = hf;
	}

	private HiddenField topProductStringHiddenField = new HiddenField ();

	public HiddenField getTopProductStringHiddenField ()
	{
		return topProductStringHiddenField;
	}

	public void setTopProductStringHiddenField (HiddenField hf)
	{
		this.topProductStringHiddenField = hf;
	}

	private TextField productCodeTextField = new TextField ();

	public TextField getProductCodeTextField ()
	{
		return productCodeTextField;
	}

	public void setProductCodeTextField (TextField tf)
	{
		this.productCodeTextField = tf;
	}

	private TextField productUnitTextField = new TextField ();

	public TextField getProductUnitTextField ()
	{
		return productUnitTextField;
	}

	public void setProductUnitTextField (TextField tf)
	{
		this.productUnitTextField = tf;
	}

	private Message message5 = new Message ();

	public Message getMessage5 ()
	{
		return message5;
	}

	public void setMessage5 (Message m)
	{
		this.message5 = m;
	}

	private Message message6 = new Message ();

	public Message getMessage6 ()
	{
		return message6;
	}

	public void setMessage6 (Message m)
	{
		this.message6 = m;
	}

	private HiddenField originalCodeHiddenField = new HiddenField ();

	public HiddenField getOriginalCodeHiddenField ()
	{
		return originalCodeHiddenField;
	}

	public void setOriginalCodeHiddenField (HiddenField hf)
	{
		this.originalCodeHiddenField = hf;
	}

	private PropertySheet propertySheet1 = new PropertySheet ();

	public PropertySheet getPropertySheet1 ()
	{
		return propertySheet1;
	}

	public void setPropertySheet1 (PropertySheet ps)
	{
		this.propertySheet1 = ps;
	}

	private PropertySheetSection section1 = new PropertySheetSection ();

	public PropertySheetSection getSection1 ()
	{
		return section1;
	}

	public void setSection1 (PropertySheetSection pss)
	{
		this.section1 = pss;
	}

	private Property property1 = new Property ();

	public Property getProperty1 ()
	{
		return property1;
	}

	public void setProperty1 (Property p)
	{
		this.property1 = p;
	}

	private Property property2 = new Property ();

	public Property getProperty2 ()
	{
		return property2;
	}

	public void setProperty2 (Property p)
	{
		this.property2 = p;
	}

	private Property property3 = new Property ();

	public Property getProperty3 ()
	{
		return property3;
	}

	public void setProperty3 (Property p)
	{
		this.property3 = p;
	}

	private Property property6 = new Property ();

	public Property getProperty6 ()
	{
		return property6;
	}

	public void setProperty6 (Property p)
	{
		this.property6 = p;
	}

	private Property property7 = new Property ();

	public Property getProperty7 ()
	{
		return property7;
	}

	public void setProperty7 (Property p)
	{
		this.property7 = p;
	}

	private Property property8 = new Property ();

	public Property getProperty8 ()
	{
		return property8;
	}

	public void setProperty8 (Property p)
	{
		this.property8 = p;
	}

	private PropertySheetSection section2 = new PropertySheetSection ();

	public PropertySheetSection getSection2 ()
	{
		return section2;
	}

	public void setSection2 (PropertySheetSection pss)
	{
		this.section2 = pss;
	}

	private Property property9 = new Property ();

	public Property getProperty9 ()
	{
		return property9;
	}

	public void setProperty9 (Property p)
	{
		this.property9 = p;
	}

	private MessageGroup messageGroup1 = new MessageGroup ();

	public MessageGroup getMessageGroup1 ()
	{
		return messageGroup1;
	}

	public void setMessageGroup1 (MessageGroup mg)
	{
		this.messageGroup1 = mg;
	}
	
	// </editor-fold>
	
	/**
	 * <p>Construct a new Page bean instance.</p>
	 */
	public ProductEditPage ()
	{
	}
	
	/**
	 * <p>Callback method that is called whenever a page is navigated to,
	 * either directly via a URL, or indirectly via page navigation.
	 * Customize this method to acquire resources that will be needed
	 * for event handlers and lifecycle methods, whether or not this
	 * page is performing post back processing.</p>
	 *
	 * <p>Note that, if the current request is a postback, the property
	 * values of the components do <strong>not</strong> represent any
	 * values submitted with this request.  Instead, they represent the
	 * property values that were saved for this view when it was rendered.</p>
	 */
	public void init ()
	{
		// Perform initializations inherited from our superclass
		super.init ();
		// Perform application initialization that must complete
		// *before* managed components are initialized
		// TODO - add your own initialiation code here
		
		// <editor-fold defaultstate="collapsed" desc="Managed Component Initialization">
		// Initialize automatically managed components
		// *Note* - this logic should NOT be modified
		try
		{
			_init ();
		}
		catch (Exception e)
		{
			log ("ProductEditPage Initialization Failure", e);
			throw e instanceof FacesException ? (FacesException) e: new FacesException (e);
		}
		
		// </editor-fold>
		// Perform application initialization that must complete
		// *after* managed components are initialized
		// TODO - add your own initialization code here
		
		initViews ();
		if (!isPostBack()) initData ();
	}

	private void initViews ()
	{
	}

	private void initData ()
	{
		FacesContext ctx = getFacesContext();
		ExternalContext ectx = ctx.getExternalContext ();
		
		this.viewFilterString = (String)ectx.getRequestMap().get("viewFilterString");
		this.topProductString = (String)ectx.getRequestMap().get ("topProductString");
		
		String id = (String)ectx.getRequestMap().get("productId");
		if (id != null)
		{
			SessionBean1 sb = getSessionBean1 ();
			AdminTransaction trans = sb.getAdminTransaction ();		
			try
			{
				product = trans.getProduct (Long.parseLong (id));
				originalCode = product.getCode ();
			}
			catch (Exception e)
			{
				this.error (
					Resource.getMessageString(ctx,"CannotLoadData") +
					" - " + e.getMessage ());		

			}
		}
	}
	
	/**
	 * <p>Callback method that is called after the component tree has been
	 * restored, but before any event processing takes place.  This method
	 * will <strong>only</strong> be called on a postback request that
	 * is processing a form submit.  Customize this method to allocate
	 * resources that will be required in your event handlers.</p>
	 */
	public void preprocess ()
	{
	}
	
	/**
	 * <p>Callback method that is called just before rendering takes place.
	 * This method will <strong>only</strong> be called for the page that
	 * will actually be rendered (and not, for example, on a page that
	 * handled a postback and then navigated to a different page).  Customize
	 * this method to allocate resources that will be required for rendering
	 * this page.</p>
	 */
	public void prerender ()
	{
		boolean isNew = (product.getId () == Product.ID_NEW);
		if (!isNew)
		{
			productCodeTextField.setText (originalCode);
			productCodeTextField.setDisabled (true);
		}
	}
	
	/**
	 * <p>Callback method that is called after rendering is completed for
	 * this request, if <code>init()</code> was called (regardless of whether
	 * or not this was the page that was actually rendered).  Customize this
	 * method to release resources acquired in the <code>init()</code>,
	 * <code>preprocess()</code>, or <code>prerender()</code> methods (or
	 * acquired during execution of an event handler).</p>
	 */
	public void destroy ()
	{
	}

	/**
	 * <p>Return a reference to the scoped data bean.</p>
	 */
	protected ApplicationBean1 getApplicationBean1 ()
	{
		return (ApplicationBean1)getBean("ApplicationBean1");
	}

	/**
	 * <p>Return a reference to the scoped data bean.</p>
	 */
	protected SessionBean1 getSessionBean1 ()
	{
		return (SessionBean1)getBean("SessionBean1");
	}

	/**
	 * <p>Return a reference to the scoped data bean.</p>
	 */
	protected RequestBean1 getRequestBean1 ()
	{
		return (RequestBean1)getBean("RequestBean1");
	}

	/**
	 * Holds value of property product.
	 */
	private Product product = new Product ();

	/**
	 * Getter for property product.
	 * @return Value of property product.
	 */
	public Product getProduct ()
	{
		return this.product;
	}

	/**
	 * Setter for property product.
	 * @param product New value of property product.
	 */
	public void setProduct (Product product)
	{
		this.product = product;
	}

	public String saveButton_action ()
	{
		FacesContext ctx = getFacesContext ();
		SessionBean1 sb = this.getSessionBean1();
		AdminTransaction trans = sb.getAdminTransaction ();
		
		try 
		{
			trans.storeProduct (this.product); 
		}
		catch (Exception e)
		{
			this.error (
				Resource.getMessageString(ctx,"CannotStoreData") +
				" - " + e.getMessage ());
			return null;

		}

		ExternalContext ectx = ctx.getExternalContext();
		Map map = ectx.getRequestMap();
		
		if (viewFilterString != null)
			map.put("viewFilterString", viewFilterString);		
		if (topProductString != null)
			map.put ("topProductString", topProductString);
		
		return "view";
	}
	
	public String cancelButton_action ()
	{
		FacesContext ctx = getFacesContext ();
		ExternalContext ectx = ctx.getExternalContext();
		Map map = ectx.getRequestMap();
		
		if (viewFilterString != null)
			map.put("viewFilterString", viewFilterString);		
		if (topProductString != null)
			map.put ("topProductString", topProductString);
		
		return "view";
	}

	/**
	 * Holds value of property viewFilterString.
	 */
	private String viewFilterString;

	/**
	 * Getter for property viewFilterString.
	 * @return Value of property viewFilterString.
	 */
	public String getViewFilterString ()
	{
		return this.viewFilterString;
	}

	/**
	 * Setter for property viewFilterString.
	 * @param viewFilterString New value of property viewFilterString.
	 */
	public void setViewFilterString (String viewFilterString)
	{
		this.viewFilterString = viewFilterString;
	}

	/**
	 * Holds value of property topProductString.
	 */
	private String topProductString;

	/**
	 * Getter for property topProductString.
	 * @return Value of property topProductString.
	 */
	public String getTopProductString ()
	{
		return this.topProductString;
	}

	/**
	 * Setter for property topProductString.
	 * @param topProductString New value of property topProductString.
	 */
	public void setTopProductString (String topProductString)
	{
		this.topProductString = topProductString;
	}

	/**
	 * Holds value of property originalCode.
	 */
	private String originalCode;

	/**
	 * Getter for property originalCode.
	 * @return Value of property originalCode.
	 */
	public String getOriginalCode ()
	{
		return this.originalCode;
	}

	/**
	 * Setter for property originalCode.
	 * @param originalCode New value of property originalCode.
	 */
	public void setOriginalCode (String originalCode)
	{
		this.originalCode = originalCode;
	}
}

