/*
 * $Id: VesselViewPage.java,v 1.6 2007/10/02 09:32:44 bacon Exp $
 */

package com.unimar.shipneeds.admin;

import com.sun.data.provider.RowKey;
import com.sun.data.provider.impl.ObjectArrayDataProvider;
import com.sun.rave.web.ui.appbase.AbstractPageBean;
import com.sun.rave.web.ui.component.Alert;
import com.sun.rave.web.ui.component.Body;
import com.sun.rave.web.ui.component.Button;
import com.sun.rave.web.ui.component.Checkbox;
import com.sun.rave.web.ui.component.DropDown;
import com.sun.rave.web.ui.component.Form;
import com.sun.rave.web.ui.component.Head;
import com.sun.rave.web.ui.component.HiddenField;
import com.sun.rave.web.ui.component.Html;
import com.sun.rave.web.ui.component.Hyperlink;
import com.sun.rave.web.ui.component.Link;
import com.sun.rave.web.ui.component.Page;
import com.sun.rave.web.ui.component.PanelGroup;
import com.sun.rave.web.ui.component.StaticText;
import com.sun.rave.web.ui.component.Table;
import com.sun.rave.web.ui.component.TableColumn;
import com.sun.rave.web.ui.component.TableRowGroup;
import com.sun.rave.web.ui.component.TextField;
import com.sun.rave.web.ui.model.Option;
import com.sun.rave.web.ui.model.SingleSelectOptionsList;
import com.unimar.shipneeds.ApplicationBean1;
import com.unimar.shipneeds.RequestBean1;
import com.unimar.shipneeds.SessionBean1;
import com.unimar.shipneeds.model.Buyer;
import com.unimar.shipneeds.model.Country;
import com.unimar.shipneeds.trans.AdminTransaction;
import com.unimar.shipneeds.model.Vessel;
import com.unimar.shipneeds.util.Escaper;
import com.unimar.shipneeds.view.VesselViewFilter;
import com.unimar.shipneeds.view.TableRowSelect;
import com.unimar.shipneeds.util.Serializer;
import com.unimar.shipneeds.util.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import javax.faces.FacesException;
import javax.faces.component.html.HtmlPanelGrid;
import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;

/**
 * <p>Page bean that corresponds to a similarly named JSP page.  This
 * class contains component definitions (and initialization code) for
 * all components that you have defined on this page, as well as
 * lifecycle methods and event handlers where you may add behavior
 * to respond to incoming events.</p>
 */
public class VesselViewPage extends AbstractPageBean
{
	// <editor-fold defaultstate="collapsed" desc="Managed Component Definition">
	private int __placeholder;
	
	/**
	 * <p>Automatically managed component initialization.  <strong>WARNING:</strong>
	 * This method is automatically generated, so any user-specified code inserted
	 * here is subject to being replaced.</p>
	 */
	private void _init () throws Exception
	{
		vesselDataProvider.setArray((java.lang.Object[])getValue("#{admin$VesselViewPage.vessels}"));
	}
	
	private Page page1 = new Page ();
	
	public Page getPage1 ()
	{
		return page1;
	}
	
	public void setPage1 (Page p)
	{
		this.page1 = p;
	}
	
	private Html html1 = new Html ();
	
	public Html getHtml1 ()
	{
		return html1;
	}
	
	public void setHtml1 (Html h)
	{
		this.html1 = h;
	}
	
	private Head head1 = new Head ();
	
	public Head getHead1 ()
	{
		return head1;
	}
	
	public void setHead1 (Head h)
	{
		this.head1 = h;
	}
	
	private Link link1 = new Link ();
	
	public Link getLink1 ()
	{
		return link1;
	}
	
	public void setLink1 (Link l)
	{
		this.link1 = l;
	}
	
	private Body body1 = new Body ();
	
	public Body getBody1 ()
	{
		return body1;
	}
	
	public void setBody1 (Body b)
	{
		this.body1 = b;
	}
	
	private Form form1 = new Form ();
	
	public Form getForm1 ()
	{
		return form1;
	}
	
	public void setForm1 (Form f)
	{
		this.form1 = f;
	}
	
	private Table vesselTable = new Table ();
	
	public Table getVesselTable ()
	{
		return vesselTable;
	}
	
	public void setVesselTable (Table t)
	{
		this.vesselTable = t;
	}
	
	private TableRowGroup vesselTableRowGroup = new TableRowGroup ();
	
	public TableRowGroup getVesselTableRowGroup ()
	{
		return vesselTableRowGroup;
	}
	
	public void setVesselTableRowGroup (TableRowGroup trg)
	{
		this.vesselTableRowGroup = trg;
	}
	
	private TableColumn tableColumn4 = new TableColumn ();
	
	public TableColumn getTableColumn4 ()
	{
		return tableColumn4;
	}
	
	public void setTableColumn4 (TableColumn tc)
	{
		this.tableColumn4 = tc;
	}
	
	private StaticText staticText4 = new StaticText ();
	
	public StaticText getStaticText4 ()
	{
		return staticText4;
	}
	
	public void setStaticText4 (StaticText st)
	{
		this.staticText4 = st;
	}

	private StaticText staticText5 = new StaticText ();
	
	public StaticText getStaticText5 ()
	{
		return staticText5;
	}
	
	public void setStaticText5 (StaticText st)
	{
		this.staticText5 = st;
	}

	private StaticText staticText6 = new StaticText ();
	
	public StaticText getStaticText6 ()
	{
		return staticText6;
	}
	
	public void setStaticText6 (StaticText st)
	{
		this.staticText6 = st;
	}

	private TableColumn tableColumn5 = new TableColumn ();
	
	public TableColumn getTableColumn5 ()
	{
		return tableColumn5;
	}
	
	public void setTableColumn5 (TableColumn tc)
	{
		this.tableColumn5 = tc;
	}

	private Hyperlink buyerHyperlink = new Hyperlink ();
	
	public Hyperlink getBuyerHyperlink ()
	{
		return buyerHyperlink;
	}
	
	public void setBuyerHyperlink (Hyperlink h)
	{
		this.buyerHyperlink = h;
	}

	private Hyperlink countryHyperlink = new Hyperlink ();
	
	public Hyperlink getCountryHyperlink ()
	{
		return countryHyperlink;
	}
	
	public void setCountryHyperlink (Hyperlink h)
	{
		this.countryHyperlink = h;
	}

	private TableColumn tableColumn6 = new TableColumn ();
	
	public TableColumn getTableColumn6 ()
	{
		return tableColumn6;
	}
	
	public void setTableColumn6 (TableColumn tc)
	{
		this.tableColumn6 = tc;
	}
	
	private TableColumn tableColumn7 = new TableColumn ();
	
	public TableColumn getTableColumn7 ()
	{
		return tableColumn7;
	}
	
	public void setTableColumn7 (TableColumn tc)
	{
		this.tableColumn7 = tc;
	}
	
	private TableColumn tableColumn8 = new TableColumn ();
	
	public TableColumn getTableColumn8 ()
	{
		return tableColumn8;
	}
	
	public void setTableColumn8 (TableColumn tc)
	{
		this.tableColumn8 = tc;
	}

	private TableColumn tableColumn9 = new TableColumn ();
	
	public TableColumn getTableColumn9 ()
	{
		return tableColumn9;
	}
	
	public void setTableColumn9 (TableColumn tc)
	{
		this.tableColumn9 = tc;
	}

	private Button refreshButton = new Button ();
	
	public Button getRefreshButton ()
	{
		return refreshButton;
	}
	
	public void setRefreshButton (Button b)
	{
		this.refreshButton = b;
	}
	
	private TableColumn tableColumn1 = new TableColumn ();
	
	public TableColumn getTableColumn1 ()
	{
		return tableColumn1;
	}
	
	public void setTableColumn1 (TableColumn tc)
	{
		this.tableColumn1 = tc;
	}
	
	private TableColumn tableColumn2 = new TableColumn ();
	
	public TableColumn getTableColumn2 ()
	{
		return tableColumn2;
	}
	
	public void setTableColumn2 (TableColumn tc)
	{
		this.tableColumn2 = tc;
	}
	
	private StaticText staticText2 = new StaticText ();
	
	public StaticText getStaticText2 ()
	{
		return staticText2;
	}
	
	public void setStaticText2 (StaticText st)
	{
		this.staticText2 = st;
	}
	
	private Alert pageAlert = new Alert ();
	
	public Alert getPageAlert ()
	{
		return pageAlert;
	}
	
	public void setPageAlert (Alert a)
	{
		this.pageAlert = a;
	}
	
	private Button previousPageButton = new Button ();
	
	public Button getPreviousPageButton ()
	{
		return previousPageButton;
	}
	
	public void setPreviousPageButton (Button b)
	{
		this.previousPageButton = b;
	}
	
	private Button nextPageButton = new Button ();
	
	public Button getNextPageButton ()
	{
		return nextPageButton;
	}
	
	public void setNextPageButton (Button b)
	{
		this.nextPageButton = b;
	}
	
	private Hyperlink nameHyperlink = new Hyperlink ();
	
	public Hyperlink getNameHyperlink ()
	{
		return nameHyperlink;
	}
	
	public void setNameHyperlink (Hyperlink h)
	{
		this.nameHyperlink = h;
	}

	private ObjectArrayDataProvider vesselDataProvider = new ObjectArrayDataProvider ();

	public ObjectArrayDataProvider getVesselDataProvider ()
	{
		return vesselDataProvider;
	}

	public void setVesselDataProvider (ObjectArrayDataProvider oadp)
	{
		this.vesselDataProvider = oadp;
	}

	private HiddenField vesselListStringHiddenField = new HiddenField ();

	public HiddenField getVesselListStringHiddenField ()
	{
		return vesselListStringHiddenField;
	}

	public void setVesselListStringHiddenField (HiddenField hf)
	{
		this.vesselListStringHiddenField = hf;
	}

	private DropDown sortKeyDropDown = new DropDown ();

	public DropDown getSortKeyDropDown ()
	{
		return sortKeyDropDown;
	}

	public void setSortKeyDropDown (DropDown dd)
	{
		this.sortKeyDropDown = dd;
	}

	private DropDown searchKeyDropDown = new DropDown ();

	public DropDown getSearchKeyDropDown ()
	{
		return searchKeyDropDown;
	}

	public void setSearchKeyDropDown (DropDown dd)
	{
		this.searchKeyDropDown = dd;
	}

	private TextField searchWordTextField = new TextField ();

	public TextField getSearchWordTextField ()
	{
		return searchWordTextField;
	}

	public void setSearchWordTextField (TextField tf)
	{
		this.searchWordTextField = tf;
	}

	private DropDown statusKeyDropDown = new DropDown ();

	public DropDown getStatusKeyDropDown ()
	{
		return statusKeyDropDown;
	}

	public void setStatusKeyDropDown (DropDown dd)
	{
		this.statusKeyDropDown = dd;
	}

	private PanelGroup groupPanel2 = new PanelGroup ();

	public PanelGroup getGroupPanel2 ()
	{
		return groupPanel2;
	}

	public void setGroupPanel2 (PanelGroup pg)
	{
		this.groupPanel2 = pg;
	}

	private HtmlPanelGrid gridPanel1 = new HtmlPanelGrid ();

	public HtmlPanelGrid getGridPanel1 ()
	{
		return gridPanel1;
	}

	public void setGridPanel1 (HtmlPanelGrid hpg)
	{
		this.gridPanel1 = hpg;
	}

	private HtmlPanelGrid gridPanel2 = new HtmlPanelGrid ();

	public HtmlPanelGrid getGridPanel2 ()
	{
		return gridPanel2;
	}

	public void setGridPanel2 (HtmlPanelGrid hpg)
	{
		this.gridPanel2 = hpg;
	}

	private HtmlPanelGrid vesselViewPanel = new HtmlPanelGrid ();

	public HtmlPanelGrid getVesselViewPanel ()
	{
		return vesselViewPanel;
	}

	public void setVesselViewPanel (HtmlPanelGrid hpg)
	{
		this.vesselViewPanel = hpg;
	}

	private Checkbox checkbox1 = new Checkbox ();

	public Checkbox getCheckbox1 ()
	{
		return checkbox1;
	}

	public void setCheckbox1 (Checkbox c)
	{
		this.checkbox1 = c;
	}

	private Button deleteButton = new Button ();

	public Button getDeleteButton ()
	{
		return deleteButton;
	}

	public void setDeleteButton (Button b)
	{
		this.deleteButton = b;
	}

	private Button activateButton = new Button ();

	public Button getActivateButton ()
	{
		return activateButton;
	}

	public void setActivateButton (Button b)
	{
		this.activateButton = b;
	}

	private Button deactivateButton = new Button ();

	public Button getDeactivateButton ()
	{
		return deactivateButton;
	}

	public void setDeactivateButton (Button b)
	{
		this.deactivateButton = b;
	}

	private Button newButton = new Button ();

	public Button getNewButton ()
	{
		return newButton;
	}

	public void setNewButton (Button b)
	{
		this.newButton = b;
	}

	/**
	 * <p>Construct a new Page bean instance.</p>
	 */
	public VesselViewPage ()
	{
	}
	
	/**
	 * <p>Callback method that is called whenever a page is navigated to,
	 * either directly via a URL, or indirectly via page navigation.
	 * Customize this method to acquire resources that will be needed
	 * for event handlers and lifecycle methods, whether or not this
	 * page is performing post back processing.</p>
	 *
	 * <p>Note that, if the current request is a postback, the property
	 * values of the components do <strong>not</strong> represent any
	 * values submitted with this request.  Instead, they represent the
	 * property values that were saved for this view when it was rendered.</p>
	 */
	public void init ()
	{
		// Perform initializations inherited from our superclass
		super.init ();
		// Perform application initialization that must complete
		// *before* managed components are initialized
		// TODO - add your own initialiation code here
		
		// <editor-fold defaultstate="collapsed" desc="Managed Component Initialization">
		// Initialize automatically managed components
		// *Note* - this logic should NOT be modified
		try
		{
			_init ();
		}
		catch (Exception e)
		{
			log ("Page1 Initialization Failure", e);
			throw e instanceof FacesException ? (FacesException) e: new FacesException (e);
		}
		
		// </editor-fold>
		// Perform application initialization that must complete
		// *after* managed components are initialized
		// TODO - add your own initialization code here

		initViews ();
		if (!isPostBack()) initData ();
	}

	private void initViews ()
	{
		FacesContext ctx = getFacesContext ();
		String msgBundle = ctx.getApplication ().getMessageBundle ();
		Locale locale = ctx.getViewRoot ().getLocale ();
	
		String msgId = Resource.getMessageResourceString (
			msgBundle, "ID", null, locale);
		String msgName = Resource.getMessageResourceString (
			msgBundle, "Name", null, locale);
		String msgBuyer = Resource.getMessageResourceString (
			msgBundle, "Buyer", null, locale);
		String msgCountry = Resource.getMessageResourceString (
			msgBundle, "Country", null, locale);
		String msgCallSign = Resource.getMessageResourceString (
			msgBundle, "CallSign", null, locale);
		String msgOwner = Resource.getMessageResourceString (
			msgBundle, "Owner", null, locale);
		String msgRemarks = Resource.getMessageResourceString (
			msgBundle, "Remarks", null, locale);
			
			
		String msgAll = Resource.getMessageResourceString (
			msgBundle, "All", null, locale);
		String msgActive = Resource.getMessageResourceString (
			msgBundle, "Active", null, locale);
		String msgInactive = Resource.getMessageResourceString (
			msgBundle, "Inactive", null, locale);
		
			
		Option[] statusKeyOpts = new Option[] {
			new Option(Integer.toString (VesselViewFilter.STATUS_KEY_ALL), msgAll), 
			new Option(Integer.toString (VesselViewFilter.STATUS_KEY_ACTIVE), msgActive),
			new Option(Integer.toString (VesselViewFilter.STATUS_KEY_INACTIVE), msgInactive)
		};
	
		Option[] sortKeyOpts= new Option[] {
			new Option(Integer.toString (VesselViewFilter.SORT_KEY_ID), msgId), 
			new Option(Integer.toString (VesselViewFilter.SORT_KEY_NAME), msgName),
			new Option(Integer.toString (VesselViewFilter.SORT_KEY_BUYER), msgBuyer),
			new Option(Integer.toString (VesselViewFilter.SORT_KEY_COUNTRY), msgCountry),
			new Option(Integer.toString (VesselViewFilter.SORT_KEY_CALLSIGN), msgCallSign)
		};
			
		Option[] searchKeyOpts = new Option[] {
			new Option(Integer.toString (VesselViewFilter.SEARCH_KEY_NAME), msgName),
			new Option(Integer.toString (VesselViewFilter.SEARCH_KEY_BUYER), msgBuyer),
			new Option(Integer.toString (VesselViewFilter.SEARCH_KEY_COUNTRY), msgCountry),
			new Option(Integer.toString (VesselViewFilter.SEARCH_KEY_CALLSIGN), msgCallSign),
			new Option(Integer.toString (VesselViewFilter.SEARCH_KEY_OWNER), msgOwner),
			new Option(Integer.toString (VesselViewFilter.SEARCH_KEY_REMARKS), msgRemarks)
		};
			
		statusKeyOptionsList.setMultiple (false);
		statusKeyOptionsList.setOptions (statusKeyOpts);
			
		sortKeyOptionsList.setMultiple (false);
		sortKeyOptionsList.setOptions (sortKeyOpts);
			
		searchKeyOptionsList.setMultiple (false);
		searchKeyOptionsList.setOptions (searchKeyOpts);
	}
	
	private void initData ()
	{
		FacesContext ctx = getFacesContext ();
		ExternalContext ectx = ctx.getExternalContext ();
			
		String viewFilterString = (String)ectx.getRequestMap().get("viewFilterString");
		if (viewFilterString != null) 
		{ 
			VesselViewFilter cvf = (VesselViewFilter)Serializer.stringToObject (viewFilterString);
			if (cvf != null)
			{
				this.statusKeyOptionsList.setSelectedValue (Integer.toString (cvf.getStatusKey ()));
				this.sortKeyOptionsList.setSelectedValue (Integer.toString (cvf.getSortKey ()));
				this.searchKeyOptionsList.setSelectedValue (Integer.toString (cvf.getSearchKey ()));
				this.searchWord = cvf.getSearchWord ();
			}
		}
				
		String topVesselString = (String)ectx.getRequestMap ().get ("topVesselString");
		if (topVesselString != null)
		{
			Vessel topVessel = (Vessel)Serializer.stringToObject (topVesselString);
			if (topVessel != null) vessels = new Vessel[] { topVessel };
		}
			
		/* normal load - loaded by direct url access */
		loadCurrentVessels (getVesselViewFilter());
	}
	
	/**
	 * <p>Callback method that is called after the component tree has been
	 * restored, but before any event processing takes place.  This method
	 * will <strong>only</strong> be called on a postback request that
	 * is processing a form submit.  Customize this method to allocate
	 * resources that will be required in your event handlers.</p>
	 */
	public void preprocess ()
	{
		this.vessels = restoreData ();
		vesselDataProvider.setArray (this.vessels);
	}

	private Vessel[] restoreData ()
	{
		FacesContext ctx = getFacesContext ();
		ExternalContext ectx = ctx.getExternalContext();

		String fid = vesselListStringHiddenField.getClientId(ctx);
		String str = (String)ectx.getRequestParameterMap().get(fid);

		Vessel[] c;

		if (str == null || str.length() == 0) 
		{
			c = new Vessel[0];
		}
		else
		{
			c = (Vessel[])Serializer.stringToArray(str);
			if (c == null) c = new Vessel[0];
		}

		return c;
	}
	
	/**
	 * <p>Callback method that is called just before rendering takes place.
	 * This method will <strong>only</strong> be called for the page that
	 * will actually be rendered (and not, for example, on a page that
	 * handled a postback and then navigated to a different page).  Customize
	 * this method to allocate resources that will be required for rendering
	 * this page.</p>
	 */
	public void prerender ()
	{	
	}
	
	/**
	 * <p>Callback method that is called after rendering is completed for
	 * this request, if <code>init()</code> was called (regardless of whether
	 * or not this was the page that was actually rendered).  Customize this
	 * method to release resources acquired in the <code>init()</code>,
	 * <code>preprocess()</code>, or <code>prerender()</code> methods (or
	 * acquired during execution of an event handler).</p>
	 */
	public void destroy ()
	{
	}
	
	/**
	 * <p>Return a reference to the scoped data bean.</p>
	 */
	protected ApplicationBean1 getApplicationBean1 ()
	{
		return (ApplicationBean1)getBean ("ApplicationBean1");
	}
	
	/**
	 * <p>Return a reference to the scoped data bean.</p>
	 */
	protected SessionBean1 getSessionBean1 ()
	{
		return (SessionBean1)getBean ("SessionBean1");
	}
	
	/**
	 * <p>Return a reference to the scoped data bean.</p>
	 */
	protected RequestBean1 getRequestBean1 ()
	{
		return (RequestBean1)getBean ("RequestBean1");
	}
	
	/**
	 * Holds value of property vessels.
	 */
	private Vessel[] vessels;

	/**
	 * Getter for property vessels.
	 * @return Value of property vessels.
	 */
	public Vessel[] getVessels ()
	{
		return this.vessels;
	}

	/**
	 * Setter for property vessels.
	 * @param vessels New value of property vessels.
	 */
	public void setVessels (Vessel[] vessels)
	{
		this.vessels = vessels;
	}

	/**
	 * Holds value of property vesselListString.
	 */
	private String vesselListString;

	/**
	 * Getter for property vesselListString.
	 * @return Value of property vesselListString.
	 */
	public String getVesselListString ()
	{
		return this.vesselListString;
	}

	/**
	 * Setter for property vesselListString.
	 * @param vesselListString New value of property vesselListString.
	 */
	public void setVesselListString (String vesselListString)
	{
		this.vesselListString = vesselListString;
	}
	
	/**
	 * Holds value of property statusKeyOptionsList.
	 */
	private SingleSelectOptionsList statusKeyOptionsList = new SingleSelectOptionsList ();

	/**
	 * Getter for property statusKeyOptionsList.
	 * @return Value of property statusKeyOptionsList.
	 */
	public SingleSelectOptionsList getStatusKeyOptionsList ()
	{
		return this.statusKeyOptionsList;
	}

	/**
	 * Setter for property statusKeyOptionsList.
	 * @param statusKeyOptionsList New value of property statusKeyOptionsList.
	 */
	public void setStatusKeyOptionsList (SingleSelectOptionsList statusKeyOptionsList)
	{
		this.statusKeyOptionsList = statusKeyOptionsList;
	}

	/**
	 * Holds value of property sortKeyOptionsList.
	 */
	private SingleSelectOptionsList sortKeyOptionsList = new SingleSelectOptionsList ();

	/**
	 * Getter for property sortKeyOptionsList.
	 * @return Value of property sortKeyOptionsList.
	 */
	public SingleSelectOptionsList getSortKeyOptionsList ()
	{
		return this.sortKeyOptionsList;
	}
	
		/**
	 * Holds value of property searchKeyOptionsList.
	 */
	private SingleSelectOptionsList searchKeyOptionsList = new SingleSelectOptionsList ();

	/**
	 * Getter for property searchKeyOptionsList.
	 * @return Value of property searchKeyOptionsList.
	 */
	public SingleSelectOptionsList getSearchKeyOptionsList ()
	{
		return this.searchKeyOptionsList;
	}

	/**
	 * Setter for property searchKeyOptionsList.
	 * @param searchKeyOptionsList New value of property searchKeyOptionsList.
	 */
	public void setSearchKeyOptionsList (SingleSelectOptionsList searchKeyOptionsList)
	{
		this.searchKeyOptionsList = searchKeyOptionsList;
	}

	/**
	 * Setter for property sortKeyOptionsList.
	 * @param sortKeyOptionsList New value of property sortKeyOptionsList.
	 */
	public void setSortKeyOptionsList (SingleSelectOptionsList sortKeyOptionsList)
	{
		this.sortKeyOptionsList = sortKeyOptionsList;
	}
	
	/**
	 * Holds value of property searchWord.
	 */
	private String searchWord;

	/**
	 * Getter for property searchWord.
	 * @return Value of property searchWord.
	 */
	public String getSearchWord ()
	{
		return this.searchWord;
	}

	/**
	 * Setter for property searchWord.
	 * @param searchWord New value of property searchWord.
	 */
	public void setSearchWord (String searchWord)
	{
		this.searchWord = searchWord;
	}

	private void loadVessels (int dir, Vessel base, VesselViewFilter filter)
	{
		SessionBean1 sb = getSessionBean1 ();
		AdminTransaction trans = sb.getAdminTransaction ();

		try
		{
			List list = trans.getVessels (dir, base, filter);

			if (dir == AdminTransaction.GET_CURRENT && 
			    (list == null || list.size() == 0))
			{
				list = trans.getVessels (AdminTransaction.GET_PREVIOUS, base, filter);
			}
			
			if (list == null || list.size() == 0)
			{
				if (dir == AdminTransaction.GET_CURRENT)
				{
					vesselListString = "";
					this.vessels = new Vessel[0];
					vesselDataProvider.setArray (this.vessels);
				}
				else
				{
					vesselDataProvider.setArray (this.vessels);
					pageAlert.setSummary ("no more data available");
				}
			}
			else
			{
				Vessel[] c = new Vessel[list.size()];
				c = (Vessel[])list.toArray (c);
			
				vesselListString = Serializer.arrayToString (c);
				if (vesselListString == null)
				{
					vesselDataProvider.setArray (this.vessels);
					pageAlert.setSummary ("Cannot create a list string");
				}
				else
				{
					this.vessels = c;
					vesselDataProvider.setArray (this.vessels);
				}
			}
			
			this.vesselBuyerDetailHtml = buildVesselBuyerDetailHtml (this.vessels);
			this.vesselCountryDetailHtml = buildVesselCountryDetailHtml (this.vessels);
		}
		catch (Exception e)
		{
			vesselDataProvider.setArray (vessels);
			pageAlert.setSummary ("Cannot load data - " + e.getMessage ());
		}
	}
	
	private void loadCurrentVessels (VesselViewFilter filter)
	{
		Vessel base = Vessel.MIN;
		if (vessels != null && vessels.length > 0) 
			base = vessels[0];
		loadVessels (AdminTransaction.GET_CURRENT, base, filter);
	}
	
	private void loadPreviousVessels (VesselViewFilter filter)
	{
		Vessel base = Vessel.MAX;
		if (vessels != null && vessels.length > 0) 
			base = vessels[0];
		loadVessels (AdminTransaction.GET_PREVIOUS, base, filter);
	}
	
	private void loadNextVessels (VesselViewFilter filter)
	{
		Vessel base = Vessel.MIN;
		if (vessels != null && vessels.length > 0) 
		{
			base = vessels[vessels.length-1];
		}
		loadVessels (AdminTransaction.GET_NEXT, base, filter);
	}
	
	public String refreshButton_action ()
	{
		pageAlert.setSummary (null);
		vesselTableRowSelect.clear ();
		loadCurrentVessels (getVesselViewFilter());
		return null;
	}

	public String previousPageButton_action ()
	{
		pageAlert.setSummary (null);
		vesselTableRowSelect.clear ();
		loadPreviousVessels (getVesselViewFilter());
		return null;
	}
	
	public String nextPageButton_action ()
	{		
		pageAlert.setSummary (null);
		vesselTableRowSelect.clear ();
		loadNextVessels (getVesselViewFilter());
		return null;
	}
	
	public String deleteButton_action ()
	{
		String[] rows = vesselTableRowSelect.getSelectedRowIds ();
		if (rows == null || rows.length < 0) return null;
	
		long cid[] = new long[rows.length];
		for (int i = 0; i < rows.length; i++)
		{
			int rid = Integer.parseInt (rows[i]);
			cid[i] = vessels[rid].getId();
		}

		SessionBean1 sb = getSessionBean1 ();
		AdminTransaction trans = sb.getAdminTransaction ();

		try { trans.deleteVessels (cid); }
		catch (Exception e)
		{
			pageAlert.setSummary ("cannot delete data - " + e.getMessage());
			return null;
		}
		
		vesselTableRowSelect.clear ();
		loadCurrentVessels (getVesselViewFilter());
		return null;
	}
	
	private String setVesselStatus(boolean active)
	{
		String[] rows = vesselTableRowSelect.getSelectedRowIds ();
		if (rows == null || rows.length < 0) return null;
	
		long cid[] = new long[rows.length];
		for (int i = 0; i < rows.length; i++)
		{
			int rid = Integer.parseInt (rows[i]);
			cid[i] = vessels[rid].getId();
		}

		SessionBean1 sb = getSessionBean1 ();
		AdminTransaction trans = sb.getAdminTransaction ();

		try { trans.setVesselStatus (cid, active); }
		catch (Exception e)
		{
			pageAlert.setSummary ("cannot update data - " + e.getMessage());
			return null;
		}
		
		vesselTableRowSelect.clear ();
		loadCurrentVessels (getVesselViewFilter());
		return null;
	}
	
	public String activateButton_action ()
	{
		return setVesselStatus (true);
	}
	
	public String deactivateButton_action ()
	{
		return setVesselStatus (false);
	}
	
	public String newButton_action ()
	{
		FacesContext ctx = getFacesContext ();
		ExternalContext ectx = ctx.getExternalContext();
		Map map = ectx.getRequestMap ();
				
		String viewFilterString = Serializer.objectToString (getVesselViewFilter());
		map.put("viewFilterString", viewFilterString);
				
		if (vessels != null && vessels.length > 0)
		{
			String topVesselString = Serializer.objectToString (vessels[0]);
			map.put ("topVesselString", topVesselString);
		}
				
		return "edit";
	}
	
	public String nameHyperlink_action ()
	{
		RowKey rk = this.vesselTableRowGroup.getRowKey ();
		if (rk != null)
		{
			int ri = Integer.parseInt(rk.getRowId ());
			
			if (ri >= 0 && ri < vessels.length)
			{
				long id = vessels[ri].getId ();
				FacesContext ctx = getFacesContext ();
				ExternalContext ectx = ctx.getExternalContext();
				Map map = ectx.getRequestMap ();
				
				map.put("vesselId", Long.toString (id));
				
				String viewFilterString = Serializer.objectToString (getVesselViewFilter());
				map.put("viewFilterString", viewFilterString);
				
				if (vessels != null && vessels.length > 0)
				{
					String topVesselString = Serializer.objectToString (vessels[0]);
					map.put ("topVesselString", topVesselString);
				}
				
				return "edit";
			}
		}

		return null;
	}
	
	protected VesselViewFilter getVesselViewFilter ()
	{
		VesselViewFilter cvf = new VesselViewFilter ();
		
		String x = (String)sortKeyOptionsList.getSelectedValue ();
		if (x != null) cvf.setSortKey (Integer.parseInt (x));
		
		x = (String)searchKeyOptionsList.getSelectedValue ();
		if (x != null) 
		{
			cvf.setSearchKey (Integer.parseInt(x));
			cvf.setSearchWord (searchWord);
		}
	
		x = (String)statusKeyOptionsList.getSelectedValue ();
		if (x != null) cvf.setStatusKey (Integer.parseInt (x));
		
		return cvf;
	}

	/**
	 * Holds value of property vesselTableRowSelect.
	 */
	private TableRowSelect vesselTableRowSelect = new TableRowSelect("currentRow");

	/**
	 * Getter for property vesselTableRowSelect.
	 * @return Value of property vesselTableRowSelect.
	 */
	public TableRowSelect getVesselTableRowSelect ()
	{
		return this.vesselTableRowSelect;
	}

	/**
	 * Setter for property vesselTableRowSelect.
	 * @param vesselTableRowSelect New value of property vesselTableRowSelect.
	 */
	public void setVesselTableRowSelect (TableRowSelect vesselTableRowSelect)
	{
		this.vesselTableRowSelect = vesselTableRowSelect;
	}	
	
	private String vesselBuyerDetailHtml = "";
	
	public String getVesselBuyerDetailHtml ()
	{
		return vesselBuyerDetailHtml;
	}

	private String vesselCountryDetailHtml = "";
	
	public String getVesselCountryDetailHtml ()
	{
		return vesselCountryDetailHtml;
	}
	
	private String buildVesselBuyerDetailHtml (Vessel[] vesselArray)
	{
		StringBuffer cd = new StringBuffer ();
		HashMap hl = new HashMap ();
		
		for (int i = 0; i < vesselArray.length; i++)
		{
			Buyer s = vesselArray[i].getBuyer();
			
			if (hl.containsKey (s.getName ())) continue;
			hl.put (s.getName (), "yes");
			
			String name = Escaper.htmlEscape (s.getName());
			cd.append ("<div id='buyer-detail-");
			cd.append (name);
			cd.append ("' style='visibility: hidden;'>");
			cd.append ("<div class='hd'>");
			cd.append (name);
			cd.append ("</div>");
			cd.append ("<div class='bd'>");
			cd.append ("<form>");
			cd.append ("<table cellspacing=2 cellpadding=2>");
			
			cd.append ("<tr>");
			cd.append ("<td>ID</td>");
			cd.append ("<td>");
			cd.append (s.getId ());				
			cd.append ("</td>");
			cd.append ("</tr>");
			
			cd.append ("<tr>");
			cd.append ("<td>Name</td>");
			cd.append ("<td>");
			cd.append (name);
			cd.append ("</td>");
			cd.append ("</tr>");
			
			cd.append ("<tr>");
			cd.append ("<td>Contact</td>");
			cd.append ("<td>");
			cd.append (Escaper.htmlEscape (s.getContact ()));
			cd.append ("</td>");
			cd.append ("</tr>");

			cd.append ("<tr>");
			cd.append ("<td>Department</td>");
			cd.append ("<td>");
			cd.append (Escaper.htmlEscape (s.getDepartment ()));
			cd.append ("</td>");
			cd.append ("</tr>");
			
			cd.append ("<tr>");
			cd.append ("<td>Address</td>");
			cd.append ("<td>");
			cd.append (Escaper.htmlEscape (s.getAddress ()));
			cd.append ("</td>");
			cd.append ("</tr>");
			
			cd.append ("<tr>");
			cd.append ("<td>Zipcode</td>");
			cd.append ("<td>");
			cd.append (Escaper.htmlEscape (s.getZipcode ()));
			cd.append ("</td>");
			cd.append ("</tr>");

			cd.append ("<tr>");
			cd.append ("<td>Country</td>");
			cd.append ("<td>");
			cd.append (Escaper.htmlEscape (s.getCountry().toString()));
			cd.append ("</td>");
			cd.append ("</tr>");
			
			cd.append ("<tr>");
			cd.append ("<td>Email</td>");
			cd.append ("<td>");
			cd.append (Escaper.htmlEscape (s.getEmail()));
			cd.append ("</td>");
			cd.append ("</tr>");
			
			cd.append ("<tr>");
			cd.append ("<td>Telno</td>");
			cd.append ("<td>");
			cd.append (Escaper.htmlEscape (s.getTelno()));
			cd.append ("</td>");
			cd.append ("</tr>");
			
			cd.append ("<tr>");
			cd.append ("<td>Faxno</td>");
			cd.append ("<td>");
			cd.append (Escaper.htmlEscape (s.getFaxno()));
			cd.append ("</td>");
			cd.append ("</tr>");
			
			cd.append ("<tr>");
			cd.append ("<td>Telex</td>");
			cd.append ("<td>");
			cd.append (Escaper.htmlEscape (s.getTelex()));
			cd.append ("</td>");
			cd.append ("</tr>");
			
			cd.append ("<tr>");
			cd.append ("<td>Active</td>");
			cd.append ("<td>");
			cd.append (s.getActive());
			cd.append ("</td>");
			cd.append ("</tr>");
			
			cd.append ("<tr>");
			cd.append ("<td>Remarks</td>");
			cd.append ("<td>");
			cd.append (Escaper.htmlEscape (s.getRemarks()));
			cd.append ("</td>");
			cd.append ("</tr>");
			
			cd.append ("</table>");
			cd.append ("</form>");
			cd.append ("</div>");
			cd.append ("</div>\n");
		}
		
		return cd.toString ();
	}

	private String buildVesselCountryDetailHtml (Vessel[] vesselArray)
	{
		StringBuffer cd = new StringBuffer ();
		HashMap hl = new HashMap ();
		
		for (int i = 0; i < vesselArray.length; i++)
		{
			Country c = vesselArray[i].getCountry();
			
			if (hl.containsKey (c.getName ())) continue;
			hl.put (c.getName (), "yes");
			
			String name = Escaper.htmlEscape (c.getName());
			cd.append ("<div id='country-detail-");
			cd.append (name);
			cd.append ("' style='visibility: hidden;'>");
			cd.append ("<div class='hd'>");
			cd.append (name);
			cd.append ("</div>");
			cd.append ("<div class='bd'>");
			cd.append ("<form>");
			cd.append ("<table cellspacing=2 cellpadding=2>");
			
			cd.append ("<tr>");
			cd.append ("<td>ID</td>");
			cd.append ("<td>");
			cd.append (c.getId ());				
			cd.append ("</td>");
			cd.append ("</tr>");
			
			cd.append ("<tr>");
			cd.append ("<td>Name</td>");
			cd.append ("<td>");
			cd.append (name);
			cd.append ("</td>");
			cd.append ("</tr>");
			
			cd.append ("<tr>");
			cd.append ("<td>Active</td>");
			cd.append ("<td>");
			cd.append (c.getActive());
			cd.append ("</td>");
			cd.append ("</tr>");
			
			cd.append ("<tr>");
			cd.append ("<td>Remarks</td>");
			cd.append ("<td>");
			cd.append (Escaper.htmlEscape (c.getRemarks()));
			cd.append ("</td>");
			cd.append ("</tr>");
			
			cd.append ("</table>");
			cd.append ("</form>");
			cd.append ("</div>");
			cd.append ("</div>\n");
		}
		
		return cd.toString ();
	}
}
