/*
 * $Id: MD5.java,v 1.1 2007/08/12 14:19:13 bacon Exp $
 */

package com.unimar.shipneeds.util;

import java.security.*;

public class MD5
{
	private MessageDigest md = null;
	private static final char[] hexChars ={'0','1','2','3','4','5','6','7','8','9','A','B','C','D','E','F'};
	
	public MD5 () throws NoSuchAlgorithmException
	{
		md = MessageDigest.getInstance ("MD5");
	}
	
	public String hashData (byte[] dataToHash)
	{
		return hexStringFromBytes ((calculateHash (dataToHash)));
	}
	
	private byte[] calculateHash (byte[] dataToHash)	
	{
		md.update (dataToHash, 0, dataToHash.length);
		return (md.digest ());
	}
	
	public String hexStringFromBytes (byte[] b)
	{
		String hex = "";
		
		int msb, lsb = 0;
		
		for (int i = 0; i < b.length; i++)
		{
			msb = ((int)b[i] & 0x000000FF) / 16;	
			lsb = ((int)b[i] & 0x000000FF) % 16;
			hex = hex + hexChars[msb] + hexChars[lsb];
		}
		return(hex);
	}
}
