<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <f:view>
        <ui:page binding="#{admin$BuyerEditPage.page1}" id="page1">
            <ui:html binding="#{admin$BuyerEditPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{admin$BuyerEditPage.head1}" id="head1">
                    <ui:link binding="#{admin$BuyerEditPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{admin$BuyerEditPage.body1}" id="body1" style="-rave-layout: grid">
                    <ui:form binding="#{admin$BuyerEditPage.form1}" id="form1" style="height: 312px; left: 0px; top: 48px; position: absolute;" virtualFormsConfig="cancelForm | topBuyerStringHiddenField viewFilterStringHiddenField buyerIdHiddenField | propertySheet1:section6:property16:gridPanel2:cancelButton , saveForm | topBuyerStringHiddenField viewFilterStringHiddenField buyerIdHiddenField propertySheet1:section1:property1:buyerIdTextField propertySheet1:section5:property15:buyerRemarksTextArea propertySheet1:section2:property12:buyerTelexTextField propertySheet1:section1:property2:buyerNameTextField propertySheet1:section2:property4:buyerContactTextField propertySheet1:section2:property10:buyerTelnoTextField propertySheet1:section2:property5:buyerDepartmentTextField propertySheet1:section2:property9:buyerEmailTextField propertySheet1:section2:property8:countryNameDropDown propertySheet1:section2:property6:buyerAddressTextField propertySheet1:section2:property11:buyerFaxnoTextField propertySheet1:section2:property7:buyerZipcodeTextField propertySheet1:section1:property3:buyerActiveCheckbox | propertySheet1:section6:property16:gridPanel2:saveButton">
                        <ui:hiddenField binding="#{admin$BuyerEditPage.topBuyerStringHiddenField}" id="topBuyerStringHiddenField" text="#{admin$BuyerEditPage.topBuyerString}"/>
                        <ui:hiddenField binding="#{admin$BuyerEditPage.viewFilterStringHiddenField}" id="viewFilterStringHiddenField" text="#{admin$BuyerEditPage.viewFilterString}"/>
                        <ui:hiddenField binding="#{admin$BuyerEditPage.buyerIdHiddenField}" id="buyerIdHiddenField" text="#{admin$BuyerEditPage.buyer.id}"/>
                        <ui:propertySheet binding="#{admin$BuyerEditPage.propertySheet1}" id="propertySheet1" style="left: 144px; top: 24px; position: absolute; width: 622px">
                            <ui:propertySheetSection binding="#{admin$BuyerEditPage.section1}" id="section1" label="#{msgBundle.BasicInformation}">
                                <ui:property binding="#{admin$BuyerEditPage.property1}" id="property1" label="#{msgBundle.ID}">
                                    <ui:textField binding="#{admin$BuyerEditPage.buyerIdTextField}" disabled="true" id="buyerIdTextField" required="true"
                                         text="#{admin$BuyerEditPage.buyer.id}"/>
                                    <ui:message binding="#{admin$BuyerEditPage.message4}" for="buyerIdTextField" id="message4" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$BuyerEditPage.property2}" id="property2" label="#{msgBundle.Name}">
                                    <ui:textField binding="#{admin$BuyerEditPage.buyerNameTextField}" columns="70" id="buyerNameTextField" required="true"
                                        text="#{admin$BuyerEditPage.buyer.name}"/>
                                    <ui:message binding="#{admin$BuyerEditPage.message1}" for="buyerNameTextField" id="message1" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$BuyerEditPage.property3}" id="property3" label="#{msgBundle.Active}">
                                    <ui:checkbox binding="#{admin$BuyerEditPage.buyerActiveCheckbox}" id="buyerActiveCheckbox"
                                        selected="#{admin$BuyerEditPage.buyer.active}" />
                                    <ui:message binding="#{admin$BuyerEditPage.message3}" for="buyerActiveCheckbox" id="message3" showDetail="false" showSummary="true"/>
                                </ui:property>
                            </ui:propertySheetSection>
                            <ui:propertySheetSection binding="#{admin$BuyerEditPage.section2}" id="section2" label="#{msgBundle.ContactInformation}">
                                <ui:property binding="#{admin$BuyerEditPage.property4}" id="property4" label="#{msgBundle.Contact}">
                                    <ui:textField binding="#{admin$BuyerEditPage.buyerContactTextField}" columns="60" id="buyerContactTextField"
                                        required="true" text="#{admin$BuyerEditPage.buyer.contact}"/>
                                    <ui:message binding="#{admin$BuyerEditPage.message6}" for="buyerContactTextField" id="message6" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$BuyerEditPage.property5}" id="property5" label="#{msgBundle.Department}">
                                    <ui:textField binding="#{admin$BuyerEditPage.buyerDepartmentTextField}" columns="60" id="buyerDepartmentTextField"
                                         text="#{admin$BuyerEditPage.buyer.department}"/>
                                    <ui:message binding="#{admin$BuyerEditPage.message7}" for="buyerDepartmentTextField" id="message7" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$BuyerEditPage.property6}" id="property6" label="#{msgBundle.Address}">
                                    <ui:textField binding="#{admin$BuyerEditPage.buyerAddressTextField}" columns="60" id="buyerAddressTextField"
                                        required="true"  text="#{admin$BuyerEditPage.buyer.address}"/>
                                    <ui:message binding="#{admin$BuyerEditPage.message8}" for="buyerAddressTextField" id="message8" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$BuyerEditPage.property7}" id="property7" label="#{msgBundle.Zipcode}">
                                    <ui:textField binding="#{admin$BuyerEditPage.buyerZipcodeTextField}" columns="30" id="buyerZipcodeTextField"
                                         text="#{admin$BuyerEditPage.buyer.zipcode}"/>
                                    <ui:message binding="#{admin$BuyerEditPage.message9}" for="buyerZipcodeTextField" id="message9" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$BuyerEditPage.property8}" id="property8" label="#{msgBundle.Country}">
                                    <ui:dropDown binding="#{admin$BuyerEditPage.countryNameDropDown}" id="countryNameDropDown"
                                        items="#{admin$BuyerEditPage.countryNameOptionsList.options}" required="true"
                                        selected="#{admin$BuyerEditPage.countryNameOptionsList.selectedValue}" style="height: 24px"/>
                                    <ui:message binding="#{admin$BuyerEditPage.message5}" for="countryNameDropDown" id="message5" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$BuyerEditPage.property9}" id="property9" label="#{msgBundle.Email}">
                                    <ui:textField binding="#{admin$BuyerEditPage.buyerEmailTextField}" columns="50" id="buyerEmailTextField"
                                        required="true"  text="#{admin$BuyerEditPage.buyer.email}"/>
                                    <ui:message binding="#{admin$BuyerEditPage.message10}" for="buyerEmailTextField" id="message10" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$BuyerEditPage.property10}" id="property10" label="#{msgBundle.Telno}">
                                    <ui:textField binding="#{admin$BuyerEditPage.buyerTelnoTextField}" columns="50" id="buyerTelnoTextField"
                                        required="true"  text="#{admin$BuyerEditPage.buyer.telno}"/>
                                    <ui:message binding="#{admin$BuyerEditPage.message11}" for="buyerTelnoTextField" id="message11" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$BuyerEditPage.property11}" id="property11" label="#{msgBundle.Faxno}">
                                    <ui:textField binding="#{admin$BuyerEditPage.buyerFaxnoTextField}" columns="50" id="buyerFaxnoTextField"
                                         text="#{admin$BuyerEditPage.buyer.faxno}"/>
                                    <ui:message binding="#{admin$BuyerEditPage.message12}" for="buyerFaxnoTextField" id="message12" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$BuyerEditPage.property12}" id="property12" label="#{msgBundle.Telex}">
                                    <ui:textField binding="#{admin$BuyerEditPage.buyerTelexTextField}" columns="50" id="buyerTelexTextField"
                                         text="#{admin$BuyerEditPage.buyer.telex}"/>
                                    <ui:message binding="#{admin$BuyerEditPage.message13}" for="buyerTelexTextField" id="message13" showDetail="false" showSummary="true"/>
                                </ui:property>
                            </ui:propertySheetSection>

                            <ui:propertySheetSection binding="#{admin$BuyerEditPage.section5}" id="section5" label="#{msgBundle.MiscellaneousInformation}">
                                <ui:property binding="#{admin$BuyerEditPage.property15}" id="property15" label="#{msgBundle.Remarks}">
                                    <ui:textArea binding="#{admin$BuyerEditPage.buyerRemarksTextArea}" columns="80" id="buyerRemarksTextArea" rows="10"
                                         text="#{admin$BuyerEditPage.buyer.remarks}"/>
                                    <ui:message binding="#{admin$BuyerEditPage.message2}" for="buyerRemarksTextArea" id="message2" showDetail="false" showSummary="true"/>
                                </ui:property>
                            </ui:propertySheetSection>
                            <ui:propertySheetSection binding="#{admin$BuyerEditPage.section6}" id="section6" label="">
                                <ui:property binding="#{admin$BuyerEditPage.property16}" id="property16" label="">
                                    <h:panelGrid binding="#{admin$BuyerEditPage.gridPanel2}" columns="3" id="gridPanel2">
                                        <ui:button action="#{admin$BuyerEditPage.saveButton_action}" binding="#{admin$BuyerEditPage.saveButton}" id="saveButton"
                                            style="height: 24px; width: 72px" text="#{msgBundle.Save}"/>
                                        <ui:button action="#{admin$BuyerEditPage.cancelButton_action}" binding="#{admin$BuyerEditPage.cancelButton}"
                                            id="cancelButton" style="height: 24px; width: 72px" text="#{msgBundle.Cancel}"/>
                                        <ui:messageGroup binding="#{admin$BuyerEditPage.messageGroup1}" id="messageGroup1" showGlobalOnly="true"/>
                                    </h:panelGrid>
                                </ui:property>
                            </ui:propertySheetSection>
                        </ui:propertySheet>
                    </ui:form>
                    <jsp:directive.include file="AdminNavigationFragment.jspf"/>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
</jsp:root>
