<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <f:view>
        <ui:page binding="#{admin$SupplierCategoryEditPage.page1}" id="page1">
            <ui:html binding="#{admin$SupplierCategoryEditPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{admin$SupplierCategoryEditPage.head1}" id="head1">
                    <ui:link binding="#{admin$SupplierCategoryEditPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{admin$SupplierCategoryEditPage.body1}" id="body1" style="-rave-layout: grid">
                    <ui:form binding="#{admin$SupplierCategoryEditPage.form1}" id="form1"
                        style="height: 312px; left: 0px; top: 48px; position: absolute; width: 120px" virtualFormsConfig="cancelForm | topSupplierCategoryStringHiddenField viewFilterStringHiddenField supplierCategoryIdHiddenField | propertySheet1:section2:property5:gridPanel2:cancelButton , saveForm | topSupplierCategoryStringHiddenField viewFilterStringHiddenField supplierCategoryIdHiddenField propertySheet1:section1:property1:supplierCategoryIdTextField propertySheet1:section1:property2:supplierCategoryNameTextField propertySheet1:section1:property3:supplierCategoryActiveCheckbox propertySheet1:section1:property4:supplierCategoryRemarksTextArea | propertySheet1:section2:property5:gridPanel2:saveButton">
                        <ui:hiddenField binding="#{admin$SupplierCategoryEditPage.topSupplierCategoryStringHiddenField}"
                            id="topSupplierCategoryStringHiddenField" text="#{admin$SupplierCategoryEditPage.topSupplierCategoryString}"/>
                        <ui:hiddenField binding="#{admin$SupplierCategoryEditPage.viewFilterStringHiddenField}" id="viewFilterStringHiddenField" text="#{admin$SupplierCategoryEditPage.viewFilterString}"/>
                        <ui:hiddenField binding="#{admin$SupplierCategoryEditPage.supplierCategoryIdHiddenField}" id="supplierCategoryIdHiddenField" text="#{admin$SupplierCategoryEditPage.supplierCategory.id}"/>
                        <ui:propertySheet binding="#{admin$SupplierCategoryEditPage.propertySheet1}" id="propertySheet1" style="left: 144px; top: 24px; position: absolute">
                            <ui:propertySheetSection binding="#{admin$SupplierCategoryEditPage.section1}" id="section1">
                                <ui:property binding="#{admin$SupplierCategoryEditPage.property1}" id="property1" label="#{msgBundle.ID}">
                                    <ui:textField binding="#{admin$SupplierCategoryEditPage.supplierCategoryIdTextField}" disabled="true"
                                        id="supplierCategoryIdTextField" required="true" text="#{admin$SupplierCategoryEditPage.supplierCategory.id}"/>
                                    <ui:message binding="#{admin$SupplierCategoryEditPage.message4}" for="supplierCategoryIdTextField" id="message4"
                                        showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierCategoryEditPage.property2}" id="property2" label="#{msgBundle.Name}">
                                    <ui:textField binding="#{admin$SupplierCategoryEditPage.supplierCategoryNameTextField}" columns="70"
                                        id="supplierCategoryNameTextField" required="true" text="#{admin$SupplierCategoryEditPage.supplierCategory.name}"/>
                                    <ui:message binding="#{admin$SupplierCategoryEditPage.message1}" for="supplierCategoryNameTextField" id="message1"
                                        showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierCategoryEditPage.property3}" id="property3" label="#{msgBundle.Active}">
                                    <ui:checkbox binding="#{admin$SupplierCategoryEditPage.supplierCategoryActiveCheckbox}" id="supplierCategoryActiveCheckbox" selected="#{admin$SupplierCategoryEditPage.supplierCategory.active}"/>
                                    <ui:message binding="#{admin$SupplierCategoryEditPage.message3}" for="supplierCategoryActiveCheckbox" id="message3"
                                        showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierCategoryEditPage.property4}" id="property4" label="#{msgBundle.Remarks}">
                                    <ui:textArea binding="#{admin$SupplierCategoryEditPage.supplierCategoryRemarksTextArea}" columns="80"
                                        id="supplierCategoryRemarksTextArea" rows="10" text="#{admin$SupplierCategoryEditPage.supplierCategory.remarks}"/>
                                    <ui:message binding="#{admin$SupplierCategoryEditPage.message2}" for="supplierCategoryRemarksTextArea" id="message2"
                                        showDetail="false" showSummary="true"/>
                                </ui:property>
                            </ui:propertySheetSection>
                            <ui:propertySheetSection binding="#{admin$SupplierCategoryEditPage.section2}" id="section2">
                                <ui:property binding="#{admin$SupplierCategoryEditPage.property5}" id="property5">
                                    <h:panelGrid binding="#{admin$SupplierCategoryEditPage.gridPanel2}" columns="3" id="gridPanel2">
                                        <ui:button action="#{admin$SupplierCategoryEditPage.saveButton_action}"
                                            binding="#{admin$SupplierCategoryEditPage.saveButton}" id="saveButton" style="height: 24px; width: 72px" text="#{msgBundle.Save}"/>
                                        <ui:button action="#{admin$SupplierCategoryEditPage.cancelButton_action}"
                                            binding="#{admin$SupplierCategoryEditPage.cancelButton}" id="cancelButton" style="height: 24px; width: 72px" text="#{msgBundle.Cancel}"/>
                                        <ui:messageGroup binding="#{admin$SupplierCategoryEditPage.messageGroup1}" id="messageGroup1"/>
                                    </h:panelGrid>
                                </ui:property>
                            </ui:propertySheetSection>
                        </ui:propertySheet>
                    </ui:form>
                    <jsp:directive.include file="AdminNavigationFragment.jspf"/>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
</jsp:root>
