<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <f:view>
        <ui:page binding="#{admin$SupplierEditPage.page1}" id="page1">
            <ui:html binding="#{admin$SupplierEditPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{admin$SupplierEditPage.head1}" id="head1">
                    <ui:link binding="#{admin$SupplierEditPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{admin$SupplierEditPage.body1}" id="body1" style="-rave-layout: grid">
                    <ui:form binding="#{admin$SupplierEditPage.form1}" id="form1" style="height: 312px; left: 0px; top: 48px; position: absolute;" virtualFormsConfig="cancelForm | topSupplierStringHiddenField viewFilterStringHiddenField supplierIdHiddenField | propertySheet1:section6:property16:gridPanel2:cancelButton , saveForm | topSupplierStringHiddenField viewFilterStringHiddenField supplierIdHiddenField propertySheet1:section1:property1:supplierIdTextField propertySheet1:section5:property15:supplierRemarksTextArea propertySheet1:section2:property12:supplierTelexTextField propertySheet1:section1:property2:supplierNameTextField propertySheet1:section2:property4:supplierContactTextField propertySheet1:section2:property10:supplierTelnoTextField propertySheet1:section3:property13:supplierCategoriesAddRemoveList propertySheet1:section4:property14:supplierPortsAddRemoveList propertySheet1:section2:property5:supplierDepartmentTextField propertySheet1:section2:property9:supplierEmailTextField propertySheet1:section2:property8:countryNameDropDown propertySheet1:section2:property6:supplierAddressTextField propertySheet1:section2:property11:supplierFaxnoTextField propertySheet1:section2:property7:supplierZipcodeTextField propertySheet1:section1:property3:supplierActiveCheckbox | propertySheet1:section6:property16:gridPanel2:saveButton">
                        <ui:hiddenField binding="#{admin$SupplierEditPage.topSupplierStringHiddenField}" id="topSupplierStringHiddenField" text="#{admin$SupplierEditPage.topSupplierString}"/>
                        <ui:hiddenField binding="#{admin$SupplierEditPage.viewFilterStringHiddenField}" id="viewFilterStringHiddenField" text="#{admin$SupplierEditPage.viewFilterString}"/>
                        <ui:hiddenField binding="#{admin$SupplierEditPage.supplierIdHiddenField}" id="supplierIdHiddenField" text="#{admin$SupplierEditPage.supplier.id}"/>
                        <ui:propertySheet binding="#{admin$SupplierEditPage.propertySheet1}" id="propertySheet1" style="left: 144px; top: 24px; position: absolute; width: 622px">
                            <ui:propertySheetSection binding="#{admin$SupplierEditPage.section1}" id="section1" label="#{msgBundle.BasicInformation}">
                                <ui:property binding="#{admin$SupplierEditPage.property1}" id="property1" label="#{msgBundle.ID}">
                                    <ui:textField binding="#{admin$SupplierEditPage.supplierIdTextField}" disabled="true" id="supplierIdTextField"
                                        required="true"  text="#{admin$SupplierEditPage.supplier.id}"/>
                                    <ui:message binding="#{admin$SupplierEditPage.message4}" for="supplierIdTextField" id="message4" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierEditPage.property2}" id="property2" label="#{msgBundle.Name}">
                                    <ui:textField binding="#{admin$SupplierEditPage.supplierNameTextField}" columns="70" id="supplierNameTextField"
                                        required="true"  text="#{admin$SupplierEditPage.supplier.name}"/>
                                    <ui:message binding="#{admin$SupplierEditPage.message1}" for="supplierNameTextField" id="message1" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierEditPage.property3}" id="property3" label="#{msgBundle.Active}">
                                    <ui:checkbox binding="#{admin$SupplierEditPage.supplierActiveCheckbox}" id="supplierActiveCheckbox"
                                        selected="#{admin$SupplierEditPage.supplier.active}" />
                                    <ui:message binding="#{admin$SupplierEditPage.message3}" for="supplierActiveCheckbox" id="message3" showDetail="false" showSummary="true"/>
                                </ui:property>
                            </ui:propertySheetSection>
                            <ui:propertySheetSection binding="#{admin$SupplierEditPage.section2}" id="section2" label="#{msgBundle.ContactInformation}">
                                <ui:property binding="#{admin$SupplierEditPage.property4}" id="property4" label="#{msgBundle.Contact}">
                                    <ui:textField binding="#{admin$SupplierEditPage.supplierContactTextField}" columns="70" id="supplierContactTextField"
                                        required="true"  text="#{admin$SupplierEditPage.supplier.contact}"/>
                                    <ui:message binding="#{admin$SupplierEditPage.message6}" for="supplierContactTextField" id="message6" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierEditPage.property5}" id="property5" label="#{msgBundle.Department}">
                                    <ui:textField binding="#{admin$SupplierEditPage.supplierDepartmentTextField}" columns="70" id="supplierDepartmentTextField"
                                         text="#{admin$SupplierEditPage.supplier.department}"/>
                                    <ui:message binding="#{admin$SupplierEditPage.message7}" for="supplierDepartmentTextField" id="message7" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierEditPage.property6}" id="property6" label="#{msgBundle.Address}">
                                    <ui:textField binding="#{admin$SupplierEditPage.supplierAddressTextField}" columns="70" id="supplierAddressTextField"
                                        required="true"  text="#{admin$SupplierEditPage.supplier.address}"/>
                                    <ui:message binding="#{admin$SupplierEditPage.message8}" for="supplierAddressTextField" id="message8" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierEditPage.property7}" id="property7" label="#{msgBundle.Zipcode}">
                                    <ui:textField binding="#{admin$SupplierEditPage.supplierZipcodeTextField}" columns="30" id="supplierZipcodeTextField"
                                         text="#{admin$SupplierEditPage.supplier.zipcode}"/>
                                    <ui:message binding="#{admin$SupplierEditPage.message9}" for="supplierZipcodeTextField" id="message9" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierEditPage.property8}" id="property8" label="#{msgBundle.Country}">
                                    <ui:dropDown binding="#{admin$SupplierEditPage.countryNameDropDown}" id="countryNameDropDown"
                                        items="#{admin$SupplierEditPage.countryNameOptionsList.options}" required="true"
                                        selected="#{admin$SupplierEditPage.countryNameOptionsList.selectedValue}" />
                                    <ui:message binding="#{admin$SupplierEditPage.message5}" for="countryNameDropDown" id="message5" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierEditPage.property9}" id="property9" label="#{msgBundle.Email}">
                                    <ui:textField binding="#{admin$SupplierEditPage.supplierEmailTextField}" columns="50" id="supplierEmailTextField"
                                        required="true"  text="#{admin$SupplierEditPage.supplier.email}"/>
                                    <ui:message binding="#{admin$SupplierEditPage.message10}" for="supplierEmailTextField" id="message10" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierEditPage.property10}" id="property10" label="#{msgBundle.Telno}">
                                    <ui:textField binding="#{admin$SupplierEditPage.supplierTelnoTextField}" columns="50" id="supplierTelnoTextField"
                                        required="true"  text="#{admin$SupplierEditPage.supplier.telno}"/>
                                    <ui:message binding="#{admin$SupplierEditPage.message11}" for="supplierTelnoTextField" id="message11" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierEditPage.property11}" id="property11" label="#{msgBundle.Faxno}">
                                    <ui:textField binding="#{admin$SupplierEditPage.supplierFaxnoTextField}" columns="50" id="supplierFaxnoTextField"
                                         text="#{admin$SupplierEditPage.supplier.faxno}"/>
                                    <ui:message binding="#{admin$SupplierEditPage.message12}" for="supplierFaxnoTextField" id="message12" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$SupplierEditPage.property12}" id="property12" label="#{msgBundle.Telex}">
                                    <ui:textField binding="#{admin$SupplierEditPage.supplierTelexTextField}" columns="50" id="supplierTelexTextField"
                                         text="#{admin$SupplierEditPage.supplier.telex}"/>
                                    <ui:message binding="#{admin$SupplierEditPage.message13}" for="supplierTelexTextField" id="message13" showDetail="false" showSummary="true"/>
                                </ui:property>
                            </ui:propertySheetSection>
                            <ui:propertySheetSection binding="#{admin$SupplierEditPage.section3}" id="section3" label="#{msgBundle.CategoryInformation}">
                                <ui:property binding="#{admin$SupplierEditPage.property13}" id="property13" label="#{msgBundle.Categories}">
                                    <ui:addRemove availableItemsLabel="#{msgBundle.Available}"
                                        binding="#{admin$SupplierEditPage.supplierCategoriesAddRemoveList}" id="supplierCategoriesAddRemoveList"
                                        items="#{admin$SupplierEditPage.supplierCategoriesAddRemoveListOptionsList.options}" required="true" rows="5"
                                        selected="#{admin$SupplierEditPage.supplierCategoriesAddRemoveListOptionsList.selectedValue}" selectedItemsLabel="#{msgBundle.Selected}"/>
                                    <ui:message binding="#{admin$SupplierEditPage.message14}" for="supplierCategoriesAddRemoveList" id="message14"
                                        showDetail="false" showSummary="true"/>
                                </ui:property>
                            </ui:propertySheetSection>
                            <ui:propertySheetSection binding="#{admin$SupplierEditPage.section4}" id="section4" label="#{msgBundle.PortInformation}">
                                <ui:property binding="#{admin$SupplierEditPage.property14}" id="property14" label="#{msgBundle.Ports}">
                                    <ui:addRemove availableItemsLabel="#{msgBundle.Available}" binding="#{admin$SupplierEditPage.supplierPortsAddRemoveList}"
                                        id="supplierPortsAddRemoveList" items="#{admin$SupplierEditPage.supplierPortsAddRemoveListOptionsList.options}"
                                        required="true" rows="5" selected="#{admin$SupplierEditPage.supplierPortsAddRemoveListOptionsList.selectedValue}" selectedItemsLabel="#{msgBundle.Selected}"/>
                                    <ui:message binding="#{admin$SupplierEditPage.message15}" for="supplierPortsAddRemoveList" id="message15" showDetail="false" showSummary="true"/>
                                </ui:property>
                            </ui:propertySheetSection>
                            <ui:propertySheetSection binding="#{admin$SupplierEditPage.section5}" id="section5" label="#{msgBundle.MiscellaneousInformation}">
                                <ui:property binding="#{admin$SupplierEditPage.property15}" id="property15" label="#{msgBundle.Remarks}">
                                    <ui:textArea binding="#{admin$SupplierEditPage.supplierRemarksTextArea}" columns="80" id="supplierRemarksTextArea" rows="10"
                                         text="#{admin$SupplierEditPage.supplier.remarks}"/>
                                    <ui:message binding="#{admin$SupplierEditPage.message2}" for="supplierRemarksTextArea" id="message2" showDetail="false" showSummary="true"/>
                                </ui:property>
                            </ui:propertySheetSection>
                            <ui:propertySheetSection binding="#{admin$SupplierEditPage.section6}" id="section6" label="">
                                <ui:property binding="#{admin$SupplierEditPage.property16}" id="property16" label="">
                                    <h:panelGrid binding="#{admin$SupplierEditPage.gridPanel2}" columns="3" id="gridPanel2">
                                        <ui:button action="#{admin$SupplierEditPage.saveButton_action}" binding="#{admin$SupplierEditPage.saveButton}"
                                            id="saveButton" style="height: 24px; width: 72px" text="#{msgBundle.Save}"/>
                                        <ui:button action="#{admin$SupplierEditPage.cancelButton_action}" binding="#{admin$SupplierEditPage.cancelButton}"
                                            id="cancelButton" style="height: 24px; width: 72px" text="#{msgBundle.Cancel}"/>
                                        <ui:messageGroup binding="#{admin$SupplierEditPage.messageGroup1}" id="messageGroup1" showGlobalOnly="true"/>
                                    </h:panelGrid>
                                </ui:property>
                            </ui:propertySheetSection>
                        </ui:propertySheet>
                    </ui:form>
                    <jsp:directive.include file="AdminNavigationFragment.jspf"/>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
</jsp:root>
