<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <f:view>
        <ui:page binding="#{admin$VesselEditPage.page1}" id="page1">
            <ui:html binding="#{admin$VesselEditPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{admin$VesselEditPage.head1}" id="head1">
                    <ui:link binding="#{admin$VesselEditPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{admin$VesselEditPage.body1}" id="body1" style="-rave-layout: grid">
                    <ui:form binding="#{admin$VesselEditPage.form1}" id="form1" style="height: 312px; left: 0px; top: 48px; position: absolute; width: 120px" virtualFormsConfig="cancelForm | topVesselStringHiddenField viewFilterStringHiddenField vesselIdHiddenField | propertySheet1:section2:property6:gridPanel2:cancelButton , saveForm | topVesselStringHiddenField viewFilterStringHiddenField vesselIdHiddenField propertySheet1:section1:property1:vesselIdTextField propertySheet1:section1:property2:vesselNameTextField propertySheet1:section1:property3:buyerNameDropDown propertySheet1:section1:property4:countryNameDropDown propertySheet1:section1:property5:callSignTextField propertySheet1:section1:property7:ownerTextField propertySheet1:section1:property8:vesselActiveCheckbox propertySheet1:section1:property9:vesselRemarksTextArea | propertySheet1:section2:property6:gridPanel2:saveButton">
                        <ui:hiddenField binding="#{admin$VesselEditPage.topVesselStringHiddenField}" id="topVesselStringHiddenField" text="#{admin$VesselEditPage.topVesselString}"/>
                        <ui:hiddenField binding="#{admin$VesselEditPage.viewFilterStringHiddenField}" id="viewFilterStringHiddenField" text="#{admin$VesselEditPage.viewFilterString}"/>
                        <ui:hiddenField binding="#{admin$VesselEditPage.vesselIdHiddenField}" id="vesselIdHiddenField" text="#{admin$VesselEditPage.vessel.id}"/>
                        <ui:propertySheet binding="#{admin$VesselEditPage.propertySheet1}" id="propertySheet1" style="left: 144px; top: 24px; position: absolute">
                            <ui:propertySheetSection binding="#{admin$VesselEditPage.section1}" id="section1" label="">
                                <ui:property binding="#{admin$VesselEditPage.property1}" id="property1" label="#{msgBundle.ID}">
                                    <ui:textField binding="#{admin$VesselEditPage.vesselIdTextField}" disabled="true" id="vesselIdTextField" required="true"
                                        text="#{admin$VesselEditPage.vessel.id}"/>
                                    <ui:message binding="#{admin$VesselEditPage.message4}" for="vesselIdTextField" id="message4" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$VesselEditPage.property2}" id="property2" label="#{msgBundle.Name}">
                                    <ui:textField binding="#{admin$VesselEditPage.vesselNameTextField}" columns="70" id="vesselNameTextField" required="true"
                                        text="#{admin$VesselEditPage.vessel.name}"/>
                                    <ui:message binding="#{admin$VesselEditPage.message1}" for="vesselNameTextField" id="message1" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$VesselEditPage.property3}" id="property3" label="#{msgBundle.Buyer}">
                                    <ui:dropDown binding="#{admin$VesselEditPage.buyerNameDropDown}" id="buyerNameDropDown"
                                        items="#{admin$VesselEditPage.buyerNameOptionsList.options}" required="true" selected="#{admin$VesselEditPage.buyerNameOptionsList.selectedValue}"/>
                                    <ui:message binding="#{admin$VesselEditPage.message6}" for="buyerNameDropDown" id="message6" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$VesselEditPage.property4}" id="property4" label="#{msgBundle.Country}">
                                    <ui:dropDown binding="#{admin$VesselEditPage.countryNameDropDown}" id="countryNameDropDown"
                                        items="#{admin$VesselEditPage.countryNameOptionsList.options}" required="true"
                                        selected="#{admin$VesselEditPage.countryNameOptionsList.selectedValue}" />
                                    <ui:message binding="#{admin$VesselEditPage.message5}" for="countryNameDropDown" id="message5" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$VesselEditPage.property5}" id="property5" label="#{msgBundle.CallSign}">
                                    <ui:textField binding="#{admin$VesselEditPage.callSignTextField}" columns="60" id="callSignTextField" required="true" text="#{admin$VesselEditPage.vessel.callSign}"/>
                                    <ui:message binding="#{admin$VesselEditPage.message7}" for="callSignTextField" id="message7" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$VesselEditPage.property7}" id="property7" label="#{msgBundle.Owner}">
                                    <ui:textField binding="#{admin$VesselEditPage.ownerTextField}" columns="60" id="ownerTextField" text="#{admin$VesselEditPage.vessel.owner}"/>
                                    <ui:message binding="#{admin$VesselEditPage.message8}" for="ownerTextField" id="message8" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$VesselEditPage.property8}" id="property8" label="#{msgBundle.Active}">
                                    <ui:checkbox binding="#{admin$VesselEditPage.vesselActiveCheckbox}" id="vesselActiveCheckbox"
                                        selected="#{admin$VesselEditPage.vessel.active}" />
                                    <ui:message binding="#{admin$VesselEditPage.message3}" for="vesselActiveCheckbox" id="message3" showDetail="false" showSummary="true"/>
                                </ui:property>
                                <ui:property binding="#{admin$VesselEditPage.property9}" id="property9" label="#{msgBundle.Remarks}">
                                    <ui:textArea binding="#{admin$VesselEditPage.vesselRemarksTextArea}" columns="80" id="vesselRemarksTextArea" rows="10"
                                        text="#{admin$VesselEditPage.vessel.remarks}"/>
                                    <ui:message binding="#{admin$VesselEditPage.message2}" for="vesselRemarksTextArea" id="message2" showDetail="false" showSummary="true"/>
                                </ui:property>
                            </ui:propertySheetSection>
                            <ui:propertySheetSection binding="#{admin$VesselEditPage.section2}" id="section2" label="">
                                <ui:property binding="#{admin$VesselEditPage.property6}" id="property6" label="">
                                    <h:panelGrid binding="#{admin$VesselEditPage.gridPanel2}" columns="3" id="gridPanel2">
                                        <ui:button action="#{admin$VesselEditPage.saveButton_action}" binding="#{admin$VesselEditPage.saveButton}"
                                            id="saveButton" style="height: 24px; width: 72px" text="#{msgBundle.Save}"/>
                                        <ui:button action="#{admin$VesselEditPage.cancelButton_action}" binding="#{admin$VesselEditPage.cancelButton}"
                                            id="cancelButton" style="height: 24px; width: 72px" text="#{msgBundle.Cancel}"/>
                                        <ui:messageGroup binding="#{admin$VesselEditPage.messageGroup1}" id="messageGroup1"/>
                                    </h:panelGrid>
                                </ui:property>
                            </ui:propertySheetSection>
                        </ui:propertySheet>
                    </ui:form>
                    <jsp:directive.include file="AdminNavigationFragment.jspf"/>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
</jsp:root>
