<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <f:view>
        <ui:page binding="#{supplier$LoginPage.page1}" id="page1">
            <ui:html binding="#{supplier$LoginPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{supplier$LoginPage.head1}" id="head1">
                    <ui:link binding="#{supplier$LoginPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{supplier$LoginPage.body1}" id="body1" style="-rave-layout: grid">
                    <ui:form binding="#{supplier$LoginPage.form1}" id="form1" virtualFormsConfig="loginForm | targetHiddenField loginPanel:gridPanel1:usernameTextField loginPanel:gridPanel1:passwordPasswordField | targetHiddenField loginPanel:gridPanel1:usernameTextField loginPanel:gridPanel1:passwordPasswordField loginPanel:gridPanel2:loginButton , cancelForm | | loginPanel:gridPanel2:cancelButton">
                        <ui:hiddenField binding="#{supplier$LoginPage.targetHiddenField}" id="targetHiddenField" text="#{supplier$LoginPage.target}"/>
                        <h:panelGrid binding="#{supplier$LoginPage.loginPanel}" id="loginPanel" style="height: 168px; left: 24px; top: 96px; position: absolute" width="408">
                            <h:panelGrid binding="#{supplier$LoginPage.gridPanel1}" columns="2" id="gridPanel1" style="height: 96px" width="360">
                                <ui:textField binding="#{supplier$LoginPage.usernameTextField}" id="usernameTextField" label="#{msgBundle.Username}"
                                    required="true" style="height: 24px" text="#{supplier$LoginPage.username}"/>
                                <ui:message binding="#{supplier$LoginPage.usernameMessage}" for="usernameTextField" id="usernameMessage" showDetail="false"
                                    showSummary="true" style="height: 24px"/>
                                <ui:passwordField binding="#{supplier$LoginPage.passwordPasswordField}" id="passwordPasswordField" label="#{msgBundle.Password}"
                                    password="#{supplier$LoginPage.password}" required="true" style="height: 24px"/>
                                <ui:message binding="#{supplier$LoginPage.passwordMessage}" for="passwordPasswordField" id="passwordMessage" showDetail="false"
                                    showSummary="true" style="height: 24px"/>
                            </h:panelGrid>
                            <ui:alert binding="#{supplier$LoginPage.loginAlert}" id="loginAlert" style=""/>
                            <h:panelGrid binding="#{supplier$LoginPage.gridPanel2}" columns="2" id="gridPanel2" style="height: 24px" width="168">
                                <ui:button action="#{supplier$LoginPage.loginButton_action}" binding="#{supplier$LoginPage.loginButton}" id="loginButton"
                                    style="height: 24px; width: 71px" text="#{msgBundle.Login}"/>
                                <ui:button action="#{supplier$LoginPage.cancelButton_action}" binding="#{supplier$LoginPage.cancelButton}" id="cancelButton"
                                    style="height: 24px; width: 72px" text="#{msgBundle.Cancel}"/>
                            </h:panelGrid>
                        </h:panelGrid>
                        <ui:staticText binding="#{supplier$LoginPage.staticText1}" id="staticText1"
                            style="background-color: orange; font-family: 'Courier New','Courier',monospace; font-size: 36px; font-style: italic; height: 94px; left: 24px; top: 0px; position: absolute; width: 502px" text="UNIMAR SHIPNEEDS SUPPLIER LOGIN"/>
                    </ui:form>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
</jsp:root>
